<?php


/*
 * ***********************************************************************************************
 * Filename:     admin.inc.php
 * Module:       Admin-Module
 * Subcategory:  Read album info
 * Description:  Reads the configuration of the selected album
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/admin_modules/admin.inc.php,v 1.5 2003/07/31 20:20:33 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */


//include_once("config.inc.php");


// read the album configuration!

$logfilename = singleslash($config["photo_root"] . "/" . rawurldecode($HTTP_GET_VARS["album"]) . "/config_album.inc.php");

if(!file_exists($logfilename) || !is_readable($logfilename) || !$fd = fopen($logfilename, "r")) {
	print "ERROR!! File config_album.inc.php for album " . rawurldecode($HTTP_GET_VARS["album"]) . " MISSING!!!!!";
	return;
}
flock($fd, 1); // get a shared lock
$data = fread($fd, filesize($logfilename));
flock($fd, 3); // release the lock
fclose($fd);
$config_album = unserialize($data);


/* If the hits.log exists and is readable and is writebale and at least one hit is logged!: everything ok  :-)
 * if NOT:
 *         - overrule Top10: switch OFF TopX
 *         - overrule "show hitcounters": switch off "show hitcounters"
 * Both options do make NO SENSE if there is no / no writeable hits.log!
 */
$l_hitsfilename = singleslash($config["photo_root"] . "/" . rawurldecode($HTTP_GET_VARS["album"]) . "/" . $config['log_filename']);
/* First check, if the hits.log exists.
 * If NOT - disable hitcounter & tp10 */
if(!file_exists($l_hitsfilename) || !is_readable($l_hitsfilename)|| !is_writeable($l_hitsfilename)) {
	$config_album["use_hitlog"] = "no";
	$config_album["show_image_hits"] = "no";
	$config_album["use_top10"] = "no";
	$config_album["mark_top10"] = "no";
} else {
	/* hits.log does exists. But are there hits in it or is it an empty hitlog?
	* If EMPTY - disable hitcounter & tp10 */
	$fd = fopen($l_hitsfilename, "r");
	flock($fd, 1); // get a shared lock
	$data = fread($fd, filesize($l_hitsfilename));
	flock($fd, 3); // release the lock
	fclose($fd);
	$l_log_array = unserialize($data);
	if (!(is_array($l_log_array))) {
		$config_album["use_hitlog"] = "no";
		$config_album["show_image_hits"] = "no";
		$config_album["use_top10"] = "no";
		$config_album["mark_top10"] = "no";
	}
}

?>
