<?php

/*
 * ***********************************************************************************************
 * Filename:     admin_module_deldir.inc.php
 * Module:       Admin-Module
 * Subcategory:  Delete a Photo-Album
 * Description:  Delets an album if there are no other subalbums
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/admin_modules/admin_module_deldir.inc.php,v 1.5 2003/07/31 15:18:50 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 * wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */

?>

<?php

include_once("common.php");

/* function deldir($dir);
 * posted by flexer at cutephp dot com
 * posted at http://us4.php.net/manual/en/function.rmdir.php
 */
function deldir($dir){
	$current_dir = opendir($dir);
	while($entryname = readdir($current_dir)){
		if(is_dir("$dir/$entryname") and ($entryname != "." and $entryname!="..")){
			deldir("${dir}/${entryname}");
		}elseif($entryname != "." and $entryname!=".."){
			unlink("${dir}/${entryname}");
		}
	}
	closedir($current_dir);
	$msg = rmdir(${dir});
return $msg;
}


function HandleForm () {
	global $config;
	global $HTTP_GET_VARS;
	global $HTTP_SERVER_VARS;
	global $selected_album;

	$_strSelFolder = singleslash($config["photo_root"] . "/" . $selected_album);
	$msg = deldir($_strSelFolder);

	$hitcounter = new HitCounter($config["log_filename"]);
	// make sure that there is a leading and a trailing slash
	$selected_album_leadingslash = "/" . $selected_album . "/";
	// change doubleslashes to singleslash
	$selected_album_singleslash = singleslash($selected_album_leadingslash);
	$hitcounter->del_hit($selected_album_singleslash);

return $msg;
}

function CheckCannotDelete () {
	global $config;
	global $HTTP_GET_VARS;
	global $selected_album;

	$msg = false;
	$checkfile = singleslash($config["photo_root"] . "/" . $selected_album . "/cannot-delete-album");
	if (file_exists($checkfile)) {
		$msg = true;
	}

return $msg;

}

$uri_base = str_replace("admintask=DelAlbum&","",$HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']);


if ($HTTP_POST_VARS['BeenSubmitted']) {
	if(($HTTP_POST_VARS['AlbumDelete']) && ($HTTP_POST_VARS['reallyDelete'])) {
		$msg = HandleForm();
	}
}

?>

<?php if(count($page["subalbums"]) > 0) { ?>
	<table cellspacing="0" cellpadding="5" border="0" width="100%">
	<tr valign="top">
	<td class="thumbnailCell">
	<table width="100%" border="0" cellspacing="0" cellpadding="3">

		<tr><td colspan=4 align="center" class="adminHeading"><?php print $lang_akt["admin_deldir_hmain"]; ?></td></tr>
		<tr><td colspan="4" class="passwdAdminCancel" align="center" >
		[ <b><a href="<?php echo $uri_base ?>"><?php echo $lang_akt["passwd_admin_cancel"]; ?></b></a> ]</td></tr>
		<tr><td width="5%">&nbsp;</td><td width="10%">&nbsp;</td><td width="10%">&nbsp;</td><td>&nbsp;</td></tr>
		<tr><td colspan="4" align="center" class="adminStatus">
		<?php
		print $lang_akt["admin_deldir_status3a"];
		print $lang_akt["admin_deldir_status3b"];
		print $lang_akt["admin_deldir_status3c"];
		?>
		</td></tr>
	</table>
	</td>
	</tr>
	</table>
<?php } elseif (CheckCannotDelete()) {
	/* cannot-delete-album file is set. albbum is delete-protected!
	 * you can delete the images, make and delete subalbums, but you CANNOT delete THIS album */
	?>
	<table cellspacing="0" cellpadding="5" border="0" width="100%">
	<tr valign="top">
	<td class="thumbnailCell">
	<table width="100%" border="0" cellspacing="0" cellpadding="3">

		<tr><td colspan=4 align="center" class="adminHeading"><?php print $lang_akt["admin_deldir_hmain"]; ?></td></tr>
		<tr><td colspan="4" class="passwdAdminCancel" align="center" >
		[ <b><a href="<?php echo $uri_base ?>"><?php echo $lang_akt["passwd_admin_cancel"]; ?></b></a> ]</td></tr>
		<tr><td width="5%">&nbsp;</td><td width="10%">&nbsp;</td><td width="10%">&nbsp;</td><td>&nbsp;</td></tr>
		<tr><td colspan="4" align="center" class="adminStatus">
		<?php
		print $lang_akt["admin_deldir_status4a"];
		print $lang_akt["admin_deldir_status4b"];
		print $lang_akt["admin_deldir_status4c"];
		?>
		</td></tr>
	</table>
	</td>
	</tr>
	</table>

<?php } else {
	//  everything normal - go on standard routine
	?>
	<form action="<?php echo $HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']; ?>" method="post">
	<table cellspacing="0" cellpadding="5" border="0" width="100%">
	<tr valign="top">
	<td class="thumbnailCell">
	<table width="100%" border="0" cellspacing="0" cellpadding="3">

	<tr><td colspan=4 align="center" class="adminHeading"><?php print $lang_akt["admin_deldir_hmain"]; ?></td></tr>
	<tr><td colspan="4" class="passwdAdminCancel" align="center" >
	[ <b><a href="<?php echo $uri_base ?>"><?php echo $lang_akt["passwd_admin_cancel"]; ?></b></a> ]</td></tr>
	<tr><td width="5%">&nbsp;</td><td width="10%">&nbsp;</td><td width="10%">&nbsp;</td><td>&nbsp;</td></tr>
	<tr><td colspan="4" align="center" class="adminStatus">

	<?php if ($HTTP_POST_VARS['BeenSubmitted']) {
		if ($msg == 1) {
			// successfully deleted
			print $lang_akt["admin_deldir_status1"];
			print $lang_akt["admin_deldir_status1b"];
			print $lang_akt["admin_deldir_status1c"];
			?>
			</td></tr>
			<tr><td colspan="4">&nbsp;</td></tr>
			<tr><td colspan="4" class="passwdAdminCancel" align="center" >
			[ <b><a href="<?php print $HTTP_SERVER_VARS['PHP_SELF'] . "?logout=yes&"; ?>"><?php echo $lang_akt["admin_deldir_linkout"]; ?></b></a> ]</td></tr>
			<tr><td colspan="4">&nbsp;</td></tr>
			</table>
			</td>
			</tr>
			</table>
		<?php } else {
			// ERROR during deletion
			print $lang_akt["admin_deldir_status2a"];
			print $lang_akt["admin_deldir_status2b"];
			print $lang_akt["admin_deldir_status2c"];
			?>
			</td></tr>
			<tr><td colspan="4">&nbsp;</td></tr>
			</table>
			</td>
			</tr>
			</table>
		<?php }
	}  else {
		// not submitted
		?>
		</td></tr>
		<tr><td colspan="4">&nbsp;</td></tr>
		<tr><td colspan=4 class="adminDescription"><?php print $lang_akt["admin_deldir_titleh"]; ?></td></tr>
		<tr><td colspan=4 class="adminComments"><?php print $lang_akt["admin_deldir_titlefull"]; ?></td></tr>
		<tr><td colspan="4">&nbsp;</td></tr>
		<tr><td colspan="4" align="center" class="adminStatus"><?php print $lang_akt["admin_deldir_delete"]; ?></td></tr>
		<tr><td colspan="4" align="center" class="adminStatus"><?php print $selected_album; ?></td></tr>
		<tr><td colspan="4">&nbsp;</td></tr>

		<tr>
		<td>&nbsp;</td>
		<td class="adminSelection" align="right"><input type="checkbox" name="AlbumDelete" value="no"></td>
		<td class="adminComments" align="left" nowrap><?php print $lang_akt["admin_deldir_del"]; ?></td>
		<td>&nbsp;</td>
		</tr>
		<tr><td colspan="4">&nbsp;</td></tr>
		<tr>
		<td>&nbsp;</td>
		<td class="adminSelection" align="right"><input type="checkbox" name="reallyDelete" value="no"></td>
		<td class="adminComments" align="left" nowrap><?php print $lang_akt["admin_deldir_realdel"]; ?></td>
		<td>&nbsp;</td>
		</tr>


		<tr><td colspan="4">&nbsp;</td></tr>
		<tr><td colspan="4" align="center">
			<input type="hidden" name="BeenSubmitted" value="true">
			<input type="submit" name="submit" value="Submit!">
		</td>
		</tr>


		</table>
		</td>
		</tr>
		</table>
		</form>
	<?php }

}



?>
