<?php

/*
 * ***********************************************************************************************
 * Filename:     admin_module_edit.inc.php
 * Module:       Admin-Module
 * Subcategory:  Edit / Create Albuminfo
 * Description:  Edits the albuminfo  (Language specific)
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/admin_modules/admin_module_edit.inc.php,v 1.8 2003/07/06 21:16:19 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */

?>

<?php

include_once("check_html.inc.php");

function HandleForm () {
	global $HTTP_POST_VARS;
	global $config;
	global $lang_akt;
	global $HTTP_GET_VARS;


	// in the album-title ALL html-tags are forbidden	
	$checkhtml_title = SaveHTML($HTTP_POST_VARS['admin_form']['title'],$allow_html=false);
	$checkhtml_title = htmlentities($checkhtml_title);

	// in the album-info ALL html-tags are forbidden IF it is a demo-gallery
	// else only a hrefs are forbidden!
	if ($config["demo_gallery"] == "yes") {
		$allow_html=false;
		$allow_a = "0";
	} else {
		$allow_html=true;
		/* if you think you want to permit <ahref...> x </a> tags then set it to yes in your config.inc.php ! */
		if ($config['permit_ahref'] != "yes") {
			$allow_a = "0";
		} else {
			$allow_a = "2";
		}
	}
	$checkhtml_comment = SaveHTML($HTTP_POST_VARS['admin_form']['comment'],$allow_html,$allow_a);
	// $checkhtml_comment = htmlentities($checkhtml_comment);
	$infofilename = singleslash($config["photo_root"] . "/" . rawurldecode($HTTP_GET_VARS["album"]) . "/" . $lang_akt["info"]);
	$fd = fopen($infofilename, "w");
	if ($fd) {
		flock($fd, 2); // get an exclusive lock
		fwrite($fd, $checkhtml_title . "\n");
		fwrite($fd, $checkhtml_comment);
		flock($fd, 3); // release the lock
		fclose($fd);
		return 1;
	} else {
		return 2;
	}


}

$uri_base = str_replace("admintask=Description&","",$HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']);

$config['lang_intuitive'] = "no";

if ($HTTP_POST_VARS['BeenSubmitted']) {
	$answer = HandleForm();

}
$album->clear_album_comment();
$album->read_album_info();
$page["album_title"] = $album->_album_title;
$page["album_comment"] = $album->_album_comment;

?>

<form action="<?php echo $HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']; ?>" method="post">
<table cellspacing="0" cellpadding="5" border="0" width="100%">
<tr valign="top">
<td class="thumbnailCell">
<table width="100%" border="0" cellspacing="0" cellpadding="3">
	<tr><td colspan=4 align="center" class="adminHeading"><?php print $lang_akt["admin_info_hmain"]; ?></td></tr>
	<tr><td colspan=4 align="center" class="adminLanguage"><?php print $lang_akt["admin_info_expl1"]; ?></td></tr>
	<tr><td colspan=4 align="center" class="adminLanguage"><?php print $lang_akt["admin_info_expl2"]; ?></td></tr>
	<tr><td colspan="4" class="passwdAdminCancel" align="center" >
	[ <b><a href="<?php echo $uri_base ?>"><?php echo $lang_akt["passwd_admin_cancel"]; ?></b></a> ]</td></tr>
	<tr><td width="10%">&nbsp;</td><td width="25%">&nbsp;</td><td width="5%">&nbsp;</td><td>&nbsp;</td></tr>
	<?php if ($config["demo_gallery"] == "yes") { ?>
		<tr><td colspan=4 align="center" class="adminDemo"><?php print $lang_akt["admin_info_demo1"]; ?></td></tr>
		<tr><td colspan=4 align="center" class="adminDemo"><?php print $lang_akt["admin_info_demo2"]; ?></td></tr>
		<tr><td colspan="4">&nbsp;</td></tr>
	<?php } ?>

	<tr><td colspan="4" align="center" class="adminStatus">
	<?php if ($HTTP_POST_VARS['BeenSubmitted']) {
		switch($answer) {
			case 1:
				print $lang_akt["admin_info_status1"];
				break;
			case 2:
				print $lang_akt["admin_info_status2"];
				break;
			default:
				print "";
				break;
		}
	} ?>
	</td></tr>
	<tr><td colspan="4">&nbsp;</td></tr>

	<tr><td colspan=4 class="adminDescription"><?php print $lang_akt["admin_info_titleh"]; ?></td></tr>
	<tr><td colspan=4 class="adminComments"><?php print $lang_akt["admin_info_titlefull"]; ?></td></tr>
	<tr>
	<td>&nbsp;</td>
	<td colspan="3" class="adminSelection"><input type="text" name="admin_form[title]" size="50" value="<?php print $page["album_title"]; ?>"> <?php print $lang_akt["admin_info_titletext"]; ?></td>
	</tr>
	<tr><td colspan="4">&nbsp;</td></tr>
	<?php 

	/* if it is not a demo gallery give some examples of allowed html-tags */
	if ($config["demo_gallery"] != "yes") { ?>
	<tr><td>&nbsp;</td><td class="adminComments"><?php  print $lang_akt["admin_info_allowed_html"]; ?></td><td class="adminComments"><?php  print $lang_akt["admin_info_allowed_html_br"]; ?></td><td>&nbsp</td></tr>
	<tr><td>&nbsp;</td><td>&nbsp;</td><td class="adminComments"><?php  print $lang_akt["admin_info_allowed_html_bold"]; ?></td><td>&nbsp</td></tr>
	<tr><td>&nbsp;</td><td>&nbsp;</td><td class="adminComments" nowrap="nowrap"><?php  print $lang_akt["admin_info_allowed_html_underline"]; ?></td><td>&nbsp</td></tr>
	<?php } ?>

	<tr><td colspan=4 class="adminDescription"><?php print $lang_akt["admin_info_commenth"]; ?></td></tr>
	<tr><td colspan=4 class="adminComments"><?php print $lang_akt["admin_info_commentfull"]; ?></td></tr>
	<tr>
	<td>&nbsp;</td>
	<?php $admin_form[comment] = ""; ?>
	<td colspan="3" class="adminSelection"><textarea name="admin_form[comment]" rows="10" cols="50"><?php print $page["album_comment"]; ?></textarea> <?php print $lang_akt["admin_info_commenttext"]; ?></td>
	</tr>
	<tr><td colspan="4">&nbsp;</td></tr>



	<tr><td colspan="4">&nbsp;</td></tr>
	<tr><td colspan="4" align="center">
		<input type="hidden" name="BeenSubmitted" value="true">
		<input type="submit" name="submit" value="Submit!">
	</td>
	</tr>


</table>
</td>
</tr>
</table>
</form>


<?php



?>
