<?php

/*
 * ***********************************************************************************************
 * Filename:     admin_module_init.inc.php
 * Module:       Admin-Module
 * Subcategory:  Initialize Album
 * Description:  Saves ALL the cached Images of one resize-size of the Album with one click.
 * Remark:       Be careful with this option - it could be very hard for your server if there are
 *               really many pictures and the convertsize is eg. 1600x1600 !!!
 *               You can disable this admin-module in your central config.inc.php
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/admin_modules/admin_module_init.inc.php,v 1.5 2003/07/31 18:01:06 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 * wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */

?>

<?php

//include_once("common.php");



function HandleForm () {
	global $HTTP_POST_VARS;
	global $config;
	// global $lang_akt;
	global $HTTP_GET_VARS;
	global $page, $album;
	global $define;
	// global $selected_album;

	/* initialize the return-array! */
	$msg[] = array();
	/* check, if a resize-option was selected! */
	if($HTTP_POST_VARS[admin_form][resize] != "") {
		/* check, if the resize-value is a valid resize-option */
		$l_size_init = $HTTP_POST_VARS[admin_form][resize];
		$l_resizes = $config['resize_options'];
		$l_resizes[] = $config['resize_mini'];
		$l_resizes[] = "thumbnails";
		$l_check = "false";
		$msg['resize'] = $l_size_init;
		foreach ($l_resizes as $l_size) {
			if ($l_size_init == $l_size) {
				$l_check = "true";
			}
		}
		/* if everything is ok - go on and resize */
		if ($l_check) {
			/* prepare the params and the special case thumbnails */
			$cache_dir = $l_size_init;
			if($l_size_init == "thumbnails") {
				$l_size_init = $config['thumb_width'] . "x" . $config['thumb_height'];
				$cache_dir = $define[thumbnails_dirname];
			}
			list($resize_width, $resize_height) = split('x', $l_size_init);

			/* check, if the resize path exists.
			 * if not: create! */

			/* is the 'alternate image display' enabled? (should be 'NO' in 98% of all setups!!) */
			if ($config['i_see_no_images'] == "yes") {
				/* Alternate display method enabled! */
				$config['cache_root'] = singleslash($config['yappa-ng_path'] . "/cache/");
			}
			$album_name = rawurldecode($HTTP_GET_VARS['album']);
			$cache_dir = singleslash($album_name . '/_' . $cache_dir);
			$cache_root = $config['cache_root'];
			if(!@file_exists($resize_path = singleslash($cache_root . '/' . $cache_dir))) {
				if (!makepath($cache_root, $cache_dir)) {
					/* could not create the needed cache-directory $resize_path! */
					$msg['path'] = $resize_path;
					$msg['code'] = 3;
					return $msg;
				}
			}

			/* resize all images with the selected size unconditionally
			 * overwriting existing cache-images */
			for($i = 0; $i < $page['album_images']; $i++) {
				$image_name = $album->get_imagename($i);
				$image_cached = singleslash($cache_root . '/' . $cache_dir . '/' .$image_name);
				$image_original = singleslash($config['photo_root'] . '/' . $album_name .'/' . $image_name);
				$cimage = new ImageResize($image_original);

				$cimage->set_params(
					array(
						"resize_width" => $resize_width,
						"resize_height" => $resize_height,
						"quality" => $config["resize_quality"]
					)
				);

				$cimage->convert($image_cached);
			}
		} else {
			/* incorrect resize value */
			$msg['code'] = 2;
			return $msg;
		}

	}
	/* everything ok! */
	$msg['code'] = 1;
	return $msg;
}



$uri_base = str_replace("admintask=Initialize&","",$HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']);

/* if the submit-button was clicked process form */
if ($HTTP_POST_VARS['BeenSubmitted']) {
	/* if the demo-mode of the album is on DO NOT process the form -
       * but say why you did not do it! */
	if ($config['demo_gallery'] != "yes") {
		$answer = HandleForm();
	} else {
		$answer['code'] = 9;
	}
}

$album->read_dir();
$page["album_images"] = $album->count_images();

?>

<form action="<?php echo $HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']; ?>" method="post">
<table cellspacing="0" cellpadding="5" border="0" width="100%">
<tr valign="top">
<td class="thumbnailCell">
<table width="100%" border="0" cellspacing="0" cellpadding="3">

	<tr><td colspan="9" align="center" class="adminHeading"><?php print $lang_akt["admin_init_hmain"]; ?></td></tr>
	<tr><td colspan="9" class="passwdAdminCancel" align="center" >
	[ <b><a href="<?php echo $uri_base ?>"><?php echo $lang_akt["passwd_admin_cancel"]; ?></b></a> ]</td></tr>
	<tr><td width="5%">&nbsp;</td><td width="10%">&nbsp;</td><td width="10%">&nbsp;</td><td width="70px">&nbsp;</td><td width="70px">&nbsp;</td><td width="70px">&nbsp;</td><td>&nbsp;</td></tr>
	<tr><td colspan="9" align="center" class="adminStatus">
	<?php if ($HTTP_POST_VARS['BeenSubmitted']) {
		print $lang_akt['admin_init_status0a'] . " " . $answer['resize'] . " " . $lang_akt['admin_init_status0b'] . "<br>";
		switch($answer['code']) {
			case 1:
				print $answer['resize'] . " " . $lang_akt['admin_init_status1'];
				break;
			case 2:
				print $lang_akt['admin_init_status2'] . " " . $answer['resize'] . "!<br>";
				break;
			case 3:
				print $lang_akt['admin_init_status3'] . " " . $answer['path'] . "!<br>";
				break;
			case 9:
				print $lang_akt['admin_init_status9'];
				break;
			default:
				print "";
				break;
		}
	}  ?>
	</td></tr>
	<tr><td colspan="9">&nbsp;</td></tr>
	<tr><td colspan="9" class="adminDescription"><?php print $lang_akt["admin_init_titleh"]; ?></td></tr>
	<tr><td colspan="9" class="adminComments"><?php print $lang_akt["admin_init_titlefull"]; ?></td></tr>
	<tr><td colspan="9">&nbsp;</td></tr>
	<tr><td class="adminComments2"><?php print $lang_akt["admin_main_isortimportant"]; ?></td><td colspan=8 class="adminComments"><?php print $lang_akt["admin_init_isortimp"]; ?></td></tr>
	<tr><td colspan="9">&nbsp;</td></tr>
	<tr><td colspan="9">&nbsp;</td></tr>
	<tr>
	<?php
	$l_resizes = $config['resize_options'];
	unset($l_resizes['original']);
	array_unshift($l_resizes, "thumbnails", $config['resize_mini']);
	$l_count = 0;
	foreach ($l_resizes as $l_size) {
		if ($l_size != 'original') {
		$lcount++ ?>
			<td class="adminSelection" align="center"><?php print $l_size; ?></td>
		<?php }
	}
	for($i=$l_count; $i<10; $i++) { ?>
		<td >&nbsp;</td>
	<?php } ?>
	</tr>
	<tr>
	<?php foreach ($l_resizes as $l_size) {
		if ($l_size != 'original') { ?>
			<td class="adminSelection" align="center"><input type="radio" name="admin_form[resize]" value="<?php print $l_size; ?>"></td>
		<?php }
	}
	for($i=$l_count; $i<10; $i++) { ?>
		<td >&nbsp;</td>
	<?php } ?>
	</tr>



	<tr><td colspan="9">&nbsp;</td></tr>
	<tr><td colspan="9" align="center">
		<input type="hidden" name="BeenSubmitted" value="true">
		<input type="submit" name="submit" value="Submit!">
	</td>
	</tr>


</table>
</td>
</tr>
</table>
</form>


<?php



?>
