<?php

/*
 * ***********************************************************************************************
 * Filename:     admin_module_main.inc.php
 * Module:       Admin-Module
 * Subcategory:  General Album Settings
 * Description:  Sets and changes the album behavior
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/admin_modules/admin_module_main.inc.php,v 1.6 2003/08/07 19:01:25 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */


?>
<?php


function HandleForm () {
	global $config_album;
	global $HTTP_POST_VARS;
	global $config;
	global $selected_album;
	global $HTTP_GET_VARS;
	
	$admin_form = $HTTP_POST_VARS['admin_form'];
	
	$admin_form["number_top10"] = intval($admin_form["number_top10"]);
	if ($admin_form["number_top10"] == 0 ) {
		return 3;
	}
	$admin_form["thumbs_per_row"] = intval($admin_form["thumbs_per_row"]);
	if ($admin_form["thumbs_per_row"] == 0 ) {
		return 3;
	}
	$admin_form["thumb_rows"] = intval($admin_form["thumb_rows"]);
	if ($admin_form["thumb_rows"] == 0 ) {
		return 3;
	}

	$config_album["use_hitlog"] = $admin_form["use_hitlog"];
	$config_album["use_comments"] = $admin_form["use_comments"];
	$config_album["use_top10"] = $admin_form["use_top10"];
	$config_album["number_top10"] = $admin_form["number_top10"];
	$config_album["mark_top10"] = $admin_form["mark_top10"];
	$config_album["sort_by"] = $admin_form["sort_by"];
	$config_album["sort_order"] = $admin_form["sort_order"];
	$config_album["thumbs_per_row"] = $admin_form["thumbs_per_row"];
	$config_album["thumb_rows"] = $admin_form["thumb_rows"];
	$config_album["thumbnail_alt"] = $admin_form["thumbnail_alt"];
	$config_album["show_image_names"] = $admin_form["show_image_names"];
	$config_album["show_image_hits"] = $admin_form["show_image_hits"];
	$config_album['preview_icons'] = $admin_form['preview_icons'];

	$configfilename = singleslash($config["photo_root"] . "/" . rawurldecode($HTTP_GET_VARS["album"]) . "/config_album.inc.php");

	$fd = fopen($configfilename, "w");
	if ($fd) {
		flock($fd, 2); // get an exclusive lock
		fwrite($fd, serialize($config_album));
		flock($fd, 3); // release the lock
		fclose($fd);
		return 1;
	} else {
		return 2;
	}


}

/* read the config_album.inc.php new!
 * in some setups the settings will get automatically changed.
 * For instance:
 *   if the hits.log for this album is not read/writeable:
 *    - the hitcounter will get switched off
 *    - the TopX will get switched off
 *    - ....some more
 * HERE you want to see your REAL settings!!
 * Thats why you have to read the albumconfig new before editing it!! */
$configfilename = singleslash($config["photo_root"] . "/" . rawurldecode($HTTP_GET_VARS["album"]) . "/config_album.inc.php");
$fd = fopen($configfilename, "r");
if ($fd) {
	flock($fd, 1); // get a shared lock
	$data = fread($fd, filesize($logfilename));
	flock($fd, 3); // release the lock
	fclose($fd);
	$config_album = unserialize($data);
}

/* if this form has been submitted than react and set everything! */
if ($HTTP_POST_VARS['BeenSubmitted']) {
	$answer = HandleForm();
}
?>

<form action="<?php echo $HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']; ?>" method="post">
<table cellspacing="0" cellpadding="5" border="0" width="100%">
<tr valign="top">
<td class="thumbnailCell">
<table width="100%" border="0" cellspacing="0" cellpadding="3">
	<tr><td colspan=6 align="center" class="adminHeading"><?php print $lang_akt["admin_main_hmain"]; ?></td></tr>
	<tr><td colspan="6">&nbsp;</td></tr>

	<tr><td colspan="6" align="center" class="adminStatus">
	<?php if ($HTTP_POST_VARS['BeenSubmitted']) {
		switch($answer) {
			case 1:
				print $lang_akt["admin_main_status1"];
				break;
			case 2:
				print $lang_akt["admin_main_status2"];
				break;
			case 3:
				print $lang_akt["admin_main_status3"];
				break;
			default:
				print "";
				break;
		}
	} ?>
	</td></tr>
	<tr><td colspan="6">&nbsp;</td></tr>

	<!-- Hits Log On/Off-->
	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_hitlogh"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_hitlogfull"]; ?></td></tr>
	<tr>
	<td width="5%">&nbsp;</td>
	<?php if ($config_album["use_hitlog"] == "yes") { ?>
		<td width="20%"><input type="radio" name="admin_form[use_hitlog]" value="yes" checked="checked"> <?php print $lang_akt["yes"]; ?></td>
		<td width="5%">&nbsp;</td>
		<td width="20%"><input type="radio" name="admin_form[use_hitlog]" value="no"> <?php print $lang_akt["no"]; ?></td>
	<?php } else { ?>
		<td width="20%"><input type="radio" name="admin_form[use_hitlog]" value="yes"> <?php print $lang_akt["yes"]; ?></td>
		<td width="5%">&nbsp;</td>
		<td width="20%"><input type="radio" name="admin_form[use_hitlog]" value="no" checked="checked"> <?php print $lang_akt["no"]; ?></td>
	<?php } ?>
	<td colspan="2">&nbsp;</td>
	</tr>
	<tr><td colspan="6">&nbsp;</td></tr>
<?php 
/*
	<!-- Comments On/Off -->
	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_comh"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_comfull"]; ?></td></tr>
	<tr>
	<td>&nbsp;</td>
	<?php if ($config_album["use_comments"] == "yes") { ?>
		<td><input type="radio" name="admin_form[use_comments]" value="yes" checked="checked"> <?php print $lang_akt["yes"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[use_comments]" value="no"> <?php print $lang_akt["no"]; ?></td>
	<?php } else { ?>
		<td><input type="radio" name="admin_form[use_comments]" value="yes"> <?php print $lang_akt["yes"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[use_comments]" value="no" checked="checked"> <?php print $lang_akt["no"]; ?></td>
	<?php } ?>
	<td colspan="2">&nbsp;</td>
	</tr>
	<tr><td colspan="6">&nbsp;</td></tr>
*/
?>

	<!-- Sort Images -->
	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_isorth"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_isortfull"]; ?></td></tr>
	<?php $l_help = 0; ?>
	<tr><td>&nbsp;</td>
	<td><input type="radio" name="admin_form[sort_by]" value="filename" <?php if($config_album["sort_by"] == "filename") { $lhelp = 1; print "checked='checked' "; } ?> > <?php print $lang_akt["admin_main_isortradio1"]; ?></td>
	<td>&nbsp;</td>
	<td><input type="radio" name="admin_form[sort_by]" value="mtime" <?php if($config_album["sort_by"] == "mtime") { $lhelp = 1; print "checked='checked' "; } ?> > <?php print $lang_akt["admin_main_isortradio2"]; ?></td>
	<td>&nbsp;</td>
	<td><input type="radio" name="admin_form[sort_by]" value="hits" <?php if($config_album["sort_by"] == "hits") { $lhelp = 1; print "checked='checked' "; } ?> > <?php print $lang_akt["admin_main_isortradio4"]; ?></td></tr>
	</tr>
	<tr>
	<td>&nbsp;</td>
	<td><input type="radio" name="admin_form[sort_by]" value="captions" <?php if($config_album["sort_by"] == "captions") { $lhelp = 1; print "checked='checked' "; } ?> > <?php print $lang_akt["admin_main_isortradio5"]; ?></td>
	<td>&nbsp;</td>
	<td><input type="radio" name="admin_form[sort_by]" value="none" <?php if($lhelp == 0) { print "checked='checked' "; } ?> > <?php print $lang_akt["admin_main_isortradio3"]; ?></td>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	</tr>
	<tr><td class="adminComments2"><?php print $lang_akt["admin_main_isortimportant"]; ?></td><td colspan=5 class="adminComments"><?php print $lang_akt["admin_main_isortimp2"]; ?></td></tr>
	<tr><td colspan="6">&nbsp;</td></tr>


	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_sortadh"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_sortadfull"]; ?></td></tr>
	<td>&nbsp;</td>
	<?php if ($config_album["sort_order"] == "a") { ?>
		<td><input type="radio" name="admin_form[sort_order]" value="a" checked="checked"> <?php print $lang_akt["admin_main_sortadradio1"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[sort_order]" value="d"> <?php print $lang_akt["admin_main_sortadradio2"]; ?></td>
	<?php } else { ?>
		<td><input type="radio" name="admin_form[sort_order]" value="a"> <?php print $lang_akt["admin_main_sortadradio1"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[sort_order]" value="d" checked="checked"> <?php print $lang_akt["admin_main_sortadradio2"]; ?></td>
	<?php } ?>
	<td colspan="2">&nbsp;</td>
	</tr>
	<tr><td colspan="6">&nbsp;</td></tr>

	<!-- Mini Preview in Single Album Mode On/Off -->
	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_minih"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_minifull1"] . $config['resize_mini'] . $lang_akt["admin_main_minifull2"]; ?></td></tr>
	<tr>
	<td>&nbsp;</td>
	<?php if ($config_album["preview_icons"] != "no") { ?>
		<td><input type="radio" name="admin_form[preview_icons]" value="yes" checked="checked"> <?php print $lang_akt["yes"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[preview_icons]" value="no"> <?php print $lang_akt["no"]; ?></td>
	<?php } else { ?>
		<td><input type="radio" name="admin_form[preview_icons]" value="yes"> <?php print $lang_akt["yes"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[preview_icons]" value="no" checked="checked"> <?php print $lang_akt["no"]; ?></td>
	<?php } ?>
	<td colspan="2">&nbsp;</td>
	</tr>
	<tr><td colspan="6">&nbsp;</td></tr>


	<tr><td colspan=6 align="center" class="adminHeading"><?php print $lang_akt["admin_main_hthumb"]; ?></td></tr>
	<tr><td colspan="6">&nbsp;</td></tr>

	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_perrowh"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_perrowfull"]; ?></td></tr>
	<tr>
	<td>&nbsp;</td>
	<td colspan="5"><input type="text" name="admin_form[thumbs_per_row]" size="5" value="<?php print $config_album["thumbs_per_row"]; ?>"> <?php print $lang_akt["admin_main_perrowtext"]; ?></td>
	</tr>
	<tr><td colspan="6">&nbsp;</td></tr>

	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_rowsh"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_rowsfull"]; ?></td></tr>
	<tr>
	<td>&nbsp;</td>
	<td colspan="5"><input type="text" name="admin_form[thumb_rows]" size="5" value="<?php print $config_album["thumb_rows"]; ?>"><?php print $lang_akt["admin_main_rowstext"]; ?> </td>
	</tr>
	<tr><td colspan="6">&nbsp;</td></tr>


	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_alth"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_altfull"]; ?></td></tr>
	<td>&nbsp;</td>
	<?php if ($config_album["thumbnail_alt"] == "text") { ?>
		<td><input type="radio" name="admin_form[thumbnail_alt]" value="text" checked="checked"> <?php print $lang_akt["admin_main_altradio1"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[thumbnail_alt]" value="imagename"> <?php print $lang_akt["admin_main_altradio2"]; ?></td>
	<?php } else { ?>
		<td><input type="radio" name="admin_form[thumbnail_alt]" value="text"> <?php print $lang_akt["admin_main_altradio1"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[thumbnail_alt]" value="imagename" checked="checked"> <?php print $lang_akt["admin_main_altradio2"]; ?></td>
	<?php } ?>
	<td colspan="2">&nbsp;</td>
	</tr>
	<tr><td colspan="6">&nbsp;</td></tr>


	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_imagenameh"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_imagenamefull"]; ?></td></tr>
	<td>&nbsp;</td>
	<?php if ($config_album["show_image_names"] == "yes") { ?>
		<td><input type="radio" name="admin_form[show_image_names]" value="yes" checked="checked"> <?php print $lang_akt["yes"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[show_image_names]" value="no"> <?php print $lang_akt["no"]; ?></td>
	<?php } else { ?>
		<td><input type="radio" name="admin_form[show_image_names]" value="yes"> <?php print $lang_akt["yes"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[show_image_names]" value="no" checked="checked"> <?php print $lang_akt["no"]; ?></td>
	<?php } ?>
	<td colspan="2">&nbsp;</td>
	</tr>
	<tr><td colspan="6">&nbsp;</td></tr>


	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_hitsthumbh"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_hitsthumbfull"]; ?></td></tr>
	<td>&nbsp;</td>
	<?php if ($config_album["show_image_hits"] == "yes") { ?>
		<td><input type="radio" name="admin_form[show_image_hits]" value="yes" checked="checked"> <?php print $lang_akt["yes"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[show_image_hits]" value="no"> <?php print $lang_akt["no"]; ?></td>
	<?php } else { ?>
		<td><input type="radio" name="admin_form[show_image_hits]" value="yes"> <?php print $lang_akt["yes"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[show_image_hits]" value="no" checked="checked"> <?php print $lang_akt["no"]; ?></td>
	<?php } ?>
	<td colspan="2">&nbsp;</td>
	</tr>
	<tr><td colspan="6">&nbsp;</td></tr>



	<tr><td colspan=6 align="center" class="adminHeading"><?php print $lang_akt["admin_main_htop10"]; ?></td></tr>
	<tr><td colspan="6">&nbsp;</td></tr>

	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_top10h"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_top10full"]; ?></td></tr>
	<tr>
	<td>&nbsp;</td>
	<?php if ($config_album["use_top10"] == "yes") { ?>
		<td><input type="radio" name="admin_form[use_top10]" value="yes" checked="checked"> <?php print $lang_akt["yes"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[use_top10]" value="no"> <?php print $lang_akt["no"]; ?></td>
	<?php } else { ?>
		<td><input type="radio" name="admin_form[use_top10]" value="yes"> <?php print $lang_akt["yes"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[use_top10]" value="no" checked="checked"> <?php print $lang_akt["no"]; ?></td>
	<?php } ?>
	<td colspan="2">&nbsp;</td>
	</tr>
	<tr><td colspan="6">&nbsp;</td></tr>

	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_numbertop10h"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_numbertop10full"]; ?></td></tr>
	<tr>
	<td>&nbsp;</td>
	<td colspan="5"><input type="text" name="admin_form[number_top10]" size="5" value="<?php print $config_album["number_top10"]; ?>"><?php print $lang_akt["admin_main_numbertop10text"]; ?> </td>
	</tr>
	<tr><td colspan="6">&nbsp;</td></tr>


	<tr><td colspan=6 class="adminDescription"><?php print $lang_akt["admin_main_marktop10h"]; ?></td></tr>
	<tr><td colspan=6 class="adminComments"><?php print $lang_akt["admin_main_marktop10full"]; ?></td></tr>
	<tr>
	<td>&nbsp;</td>
	<?php if ($config_album["mark_top10"] == "yes") { ?>
		<td><input type="radio" name="admin_form[mark_top10]" value="yes" checked="checked"> <?php print $lang_akt["yes"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[mark_top10]" value="no"> <?php print $lang_akt["no"]; ?></td>
	<?php } else { ?>
		<td><input type="radio" name="admin_form[mark_top10]" value="yes"> <?php print $lang_akt["yes"]; ?></td>
		<td>&nbsp;</td>
		<td><input type="radio" name="admin_form[mark_top10]" value="no" checked="checked"> <?php print $lang_akt["no"]; ?></td>
	<?php } ?>
	<td colspan="2">&nbsp;</td>
	</tr>
	<tr><td colspan="6">&nbsp;</td></tr>
	<tr><td colspan="6" align="center">
		<input type="hidden" name="BeenSubmitted" value="true">
		<input type="submit" name="submit" value="Submit!">
	</td></tr>



</table>
</td>
</tr>
</table>
</form>


<?php



?>
