<?php

/*
 * ***********************************************************************************************
 * Filename:     admin_module_new.inc.php
 * Module:       Admin-Module
 * Subcategory:  Create New Album
 * Description:  Creates new album and initializes it ( = creates necessary files)
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/admin_modules/admin_module_new.inc.php,v 1.8 2003/08/23 14:12:36 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */

?>

<?php

//include_once("check_html.inc.php");


/* Cleanup the file name removing any special characters. */
/* Code for this function submitted by:
 *     Marc Andrew Pawlowsky (marcpawl at users dot sourceforge dot net)
 */
function CleanFileName($old_name) {
	$first_letter_good = false;
	while ( (! $first_letter_good) && ($old_name != "") ) {
		$first_letter = substr($old_name, 0, 1);
		if ($first_letter == '.') {
			// We do not allow the first letter to be a period since this is
			// special indicating a hidden file in Unix.
			$old_name = substr($old_name, 1);
		} else {
			$first_letter_good = true;
		}
	}

	/* In this section we only let through characters we know as safe.
	 * The dangerous alternative is to try to filter out characters,
	 * but that makes it possible to make mistakes such having
	 * special HTML characters, e.g. < or >
	 *
	 * changed by Fritz Berger
	 * the following could be solved by a good erig_replace - but i'm not so good with regular expressions.
	 *
	 * Keep only alphanumeric letters
	 * and SOME special chars:
	 * blank will get changed to "_" (underscore)
	 * "_", "-" and "." will be allowed
	 * AND the dot only one at a time!
	 */
	$new_name = "";
	$i = 0;
	// check that there are not 2 or more dots in row
	$l_one_dot_check = 0;
	// be sure that after deleting some bad chars there is not a dot in first place AGAIN!
	$l_dot_is_now_first = 1;
	// and there has to be at lest one alphanumeric character in the directoryname!
	$l_one_alphanum = 0;
	$len = strlen($old_name);
	while ($i < $len) {
		$letter = substr($old_name, $i, 1);
		if ( ctype_alnum($letter) ) {
			$new_name = $new_name . $letter;
			$l_one_dot_check = 0;
			$l_dot_is_now_first = 0;
			$l_one_alphanum = 1;
		} else {
			if ($letter ==  " ") {
				$letter = "_";
			}
			if (($letter == ".") && ($l_one_dot_check == 0) && ($l_dot_is_now_first == 0)) {
				$new_name = $new_name . $letter;
				$l_one_dot_check = 1;
			}
			if (($letter == "_") || ($letter == "-")) {
				$new_name = $new_name . $letter;
				$l_one_dot_check = 0;
				$l_dot_is_now_first = 0;
			}
		}
		$i = $i + 1;
	}
	// check if there is at least one alphanum char inthe string (not only dots and underscores and hyphen ]
	if ($l_one_alphanum == 0) {
		$new_name ="";
	}

	return $new_name;
}


function HandleForm () {
	global $config_album;
	global $HTTP_POST_VARS;
	global $config;
	global $selected_album;
	global $HTTP_GET_VARS;

	// check filename
	/* here some checks are done
	 *  - only alphanumeric chars are accepted [a-zA-Z0-9]
	 *  - blanks get converted to underscore [" " -> "_" ]
	 *  - dots ".", hyphen "-" and underscores "_" are accepted
	 *  - no dot at the beginning and not more than one dot behind each other
	 *  - everything else removed
	 *  - the resulting directoryname has to be at least 2 chars long
	 *  if everytthing is ok set $check to true
	 */
	$check = false;
	$check_dir_name = basename($HTTP_POST_VARS['admin_form']['newdirname']);
	$check_dir_name =  CleanFileName($check_dir_name);
	if (strlen($check_dir_name) > 2) {
	 	$check = true;
	}
	if ($check) {
	// pathname is ok
		if ($config["demo_gallery"] == "yes") {
			// if in DEMO mode set Admin-Password to "nonono"
			$HTTP_POST_VARS['admin_form']['adminpwd'] = "nonono";
			$HTTP_POST_VARS['admin_form']['adminpwd2'] = "nonono";
		}
		// check, if password is empty (not permitted!!)
		if ($HTTP_POST_VARS['admin_form']['adminpwd'] == "") {
			// empty passwords not permitted!
			return 4;
		} else {
			// check if no typo is in the password
			if ($HTTP_POST_VARS['admin_form']['adminpwd'] == $HTTP_POST_VARS['admin_form']['adminpwd2']) {
				// everything ok - set password!
				/* password encryption thanks to Gertjan Vinkesteijn
				* who sent me the code ready for cut&paste! THANKS!!
				*/
				if ($config['use_MD5'] != "yes") {
					$config_album["adminpwd"] = $HTTP_POST_VARS['admin_form']['adminpwd'];
				} else {
					$md5_adminpwd = md5($HTTP_POST_VARS['admin_form']['adminpwd']);
					$config_album["adminpwd"] = $md5_adminpwd;
				}
				// $config_album["userpwd"] = "";
				// $config_album["userpwd_set"] = "no";
				$dirname = singleslash($config["photo_root"] . "/" . rawurldecode($HTTP_GET_VARS["album"]) . "/" . $check_dir_name);
				if (!(mkdir ($dirname, 0777))) {
					// directory not created!
					return 6;
				} else {
					$configfilename = singleslash($dirname . "/config_album.inc.php");
					$fd = fopen($configfilename, "w");
					if ($fd) {
						// configfile craeted successfully
						flock($fd, 2); // get an exclusive lock
						fwrite($fd, serialize($config_album));
						// fwrite($fd, $logfilename);
						flock($fd, 3); // release the lock
						fclose($fd);
						$logfilename = singleslash($dirname . "/hits.log");
						$fd = fopen($logfilename, "w");
						if ($fd) {
						// configfile created successfully
							flock($fd, 2); // get an exclusive lock
							fwrite($fd, "");
							flock($fd, 3); // release the lock
							fclose($fd);
							// everything ok
							$logfilename = singleslash($dirname . "/index.html");
							$indexfilecontent = "<HTML>\n<HEAD>\n<TITLE>nothing here</TITLE>\n</HEAD>\n<BODY>\nNothing here for you!\n</BODY>\n</HTML>\n";
							$fd = fopen($logfilename, "w");
							if ($fd) {
							// index.html created successfully
								flock($fd, 2); // get an exclusive lock
								fwrite($fd, $indexfilecontent);
								flock($fd, 3); // release the lock
								fclose($fd);
								if ($config_album["userpwd_set"] == "no") {
									// everything ok
									return 1;
								}
							} else {
								// index.html not created!
								return 8;
							}
						} else {
							// hitcounter not created!
							return 5;
						}
					} else {
						// configfile not created!
						return 3;
					}
					if ($config_album["userpwd_set"] != "no") {
						$pwdfilename = singleslash($dirname . "/passwd_txt.inc.php");
						$pwdhelp = "<?php \n \$passwd_txt = \"" . $config_album["userpwd"] . "\" \n ?>";
						$fd = fopen($pwdfilename, "w");
						if ($fd) {
							flock($fd, 2); // get an exclusive lock
							fwrite($fd, $pwdhelp);
							flock($fd, 3); // release the lock
							fclose($fd);
							// everything ok
							return 1;
						} else {
							// userpasswordfile not created
							return 9;
						}
					}
				}
			} else {
				// passwords dont match - no change!
				return 2;
			}
		}
	} else {
		// no valid dirname!
		return 7;
	}
}

$uri_base = str_replace("admintask=CreateNew&","",$HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']);

if ($HTTP_POST_VARS['BeenSubmitted']) {
	$answer = HandleForm();
}
?>

<form action="<?php echo $HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']; ?>" method="post">
<table cellspacing="0" cellpadding="5" border="0" width="100%">
<tr valign="top">
<td class="thumbnailCell">
<table width="100%" border="0" cellspacing="0" cellpadding="3">

	<tr><td colspan=4 align="center" class="adminHeading"><?php print $lang_akt["admin_new_hmain"]; ?></td></tr>
	<tr><td colspan=4 align="center" class="adminComments"><?php print $lang_akt["admin_new_expl1"] . $selected_album; ?></td></tr>
	<tr><td colspan=4 align="center" class="adminComments"><?php print $lang_akt["admin_new_expl2"]; ?></td></tr>

	<tr><td colspan="4" class="passwdAdminCancel" align="center" >
	[ <b><a href="<?php echo $uri_base ?>"><?php echo $lang_akt["passwd_admin_cancel"]; ?></b></a> ]</td></tr>
	<tr><td width="10%">&nbsp;</td><td width="25%">&nbsp;</td><td width="5%">&nbsp;</td><td>&nbsp;</td></tr>
	<?php if ($config["demo_gallery"] == "yes") { ?>
		<tr><td colspan=4 align="center" class="adminDemo"><?php print $lang_akt["admin_info_demo1"]; ?></td></tr>
		<tr><td colspan=4 align="center" class="adminDemo"><?php print $lang_akt["admin_new_demo2"]; ?></td></tr>
		<tr><td colspan="4">&nbsp;</td></tr>
	<?php } ?>
	<tr><td colspan="4" align="center" class="adminStatus">
	<?php if ($HTTP_POST_VARS['BeenSubmitted']) {
		switch($answer) {
			case 1:
				print $lang_akt["admin_new_status1a"];
				print $lang_akt["admin_new_status1b"];
				print $lang_akt["admin_new_status1c"];
				print $lang_akt["admin_new_status1d"];
				if ($config["demo_gallery"] == "yes") {
					print "<br>";
					print $lang_akt["admin_new_status1x"];
				}
				break;
			case 2:
				print $lang_akt["admin_cpwduser_status2"];
				break;
			case 3:
				print $lang_akt["admin_new_status3"];
				break;
			case 4:
				print $lang_akt["admin_cpwduser_status4"];
				break;
			case 5:
				print $lang_akt["admin_new_status5"];
				break;
			case 6:
				print $lang_akt["admin_new_status6"];
				break;
			case 7:
				print $lang_akt["admin_new_status7"];
				break;
			case 8:
				print $lang_akt["admin_new_status8"];
				break;
			case 9:
				print $lang_akt["admin_new_status9"];
				break;
			default:
				print "";
				break;
		}
	} ?>
	</td></tr>
	<tr><td colspan="4">&nbsp;</td></tr>
	<tr><td colspan="4">&nbsp;</td></tr>
	
	<tr><td colspan=4 class="adminDescription"><?php print $lang_akt["admin_new_nameosh"]; ?></td></tr>
	<tr><td colspan=4 class="adminComments"><?php print $lang_akt["admin_new_nameosfull"]; ?></td></tr>
	<tr>
	<td>&nbsp;</td>
	<td colspan="3" class="adminSelection"><input type="text" name="admin_form[newdirname]" value=""> <?php print $lang_akt["admin_new_nameostext"]; ?></td>
	</tr>
	<tr><td colspan="4">&nbsp;</td></tr>


	<tr><td colspan=4 class="adminDescription"><?php print $lang_akt["admin_new_adminpwdh"]; ?></td></tr>
	<tr><td colspan=4 class="adminComments"><?php print $lang_akt["admin_new_adminpwdfull"]; ?></td></tr>
	<tr>
	<td width="10%">&nbsp;</td>
	<td colspan="3" class="adminSelection"><input type="password" name="admin_form[adminpwd]" value=""> <?php print $lang_akt["admin_cpwdadmin_text1"]; ?></td>
	</tr>
	<tr>
	<td width="10%">&nbsp;</td>
	<td colspan="3" class="adminSelection"><input type="password" name="admin_form[adminpwd2]" value=""> <?php print $lang_akt["admin_cpwdadmin_text2"]; ?></td>
	</tr>


	<tr><td colspan="4">&nbsp;</td></tr>
	<tr><td colspan="4" align="center">
		<input type="hidden" name="BeenSubmitted" value="true">
		<input type="submit" name="submit" value="Submit!">
	</td>
	</tr>


</table>
</td>
</tr>
</table>
</form>


<?php



?>
