<?php

/*
 * ***********************************************************************************************
 * Filename:     album_info.inc.php
 * Module:       Album Info
 * Subcategory:  -
 * Description:  Displays the Album Info (some statistics, some settings, Languagesettings,....) of the album
 *               Languagesettings moved from Top10images to Album Info (release 2.1.0)
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/album_info.inc.php,v 1.3 2003/08/10 10:51:34 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_mainger.html  (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */


?>
<?php
/* checks if a certain file exists.
 * File consists of first part, language shortcut and extension:
 * e.g.    "captions_" +  "eng" +  ".txt" for the image captions file
 * function returns path to "YES" gif if file exists,
 * function returns path to "NO" gif if file does not exist.
 */
function check_langfile($file_to_check, $file_ext, $language_to_check, $lang_stat)
{
	global $config, $selected_album, $lang_used, $arrLangInstalled;

	$file_result = array();
	$help_filename = singleslash($config["photo_root"] . "/" . $selected_album . "/" . $file_to_check . $arrLangInstalled[$language_to_check]['short'] . $file_ext);
	if(file_exists($help_filename) && is_file($help_filename) && is_readable($help_filename)) { 
		$file_result['img_src']="images/yes_10x10.gif";
		$file_result['alt']="yes";
		if ($config['lang_intuitive'] != "no") {
			/* if it is the default language AND / OR the userselected language 
			   mark the tablespace as used */
			if (($lang_stat == 3) || ($lang_stat == 2)) {
				$file_result['td_class']="iaUsed";
			/* if it is the default language check if the file exists for the userselected language 
			   mark the tablespace as used if the file does not exist in the userselected language
			   mark the tablespace as NOT used if the file does not exist in the userselected language*/
			} elseif ($lang_stat == 1) {
				$help_filename = singleslash($config["photo_root"] . "/" . $selected_album . "/" . $file_to_check . $arrLangInstalled[$lang_used][short] . $file_ext);
				if(file_exists($help_filename) && is_file($help_filename) && is_readable($help_filename)) { 
					$file_result['td_class']="iaNotUsed";
				} else {
					$file_result['td_class']="iaUsed";
				}
			} else {
				$file_result['td_class']="iaNotUsed";
			}
		} else {
			if ($lang_stat == 2) {
				$file_result['td_class']="iaUsed";
			} else {
				$file_result['td_class']="iaNotUsed";
			}
		}			
	} else { 
		$file_result['img_src']="images/no_10x10.gif";
		$file_result['alt']="no";
		$file_result['td_class']="iaNotUsed";
	}
	return $file_result;

}

$blanks = "&nbsp;&nbsp;";

/* fetch the "Top x " for this album 
 * This is for the statistics in the head of the info only */
$log_file_destination = singleslash($config["photo_root"] . "/" . $selected_album . "/" . $config["log_filename"]);
$hitcounter = new HitCounter($log_file_destination);
/* clean the hits.log - meaning delete all images from hits.log which have been deleted manually */
$l_images_array = array();
$l_images_array = $album->_images;
$hitcounter->clean_hitslog($l_images_array);
$top10array = $hitcounter->top10();
?>

<!-- START Album Info Display -->

<table cellspacing="0" cellpadding="5" border="0" width="100%">
<tr valign="top"><td width="100%">

<table align="center" cellspacing="0" cellpadding="10" width="70%" class="top10HeadBg">
<div class="top10HeadBg">
<tr><td class="headerTop10Title" align="center" cellspacing="0" cellpadding="0">


<?php print $lang_akt["album_info"]; ?>
</td></tr>

<tr><td class="headerTop10Albumname" align="center" cellspacing="0" cellpadding="0">
" <?php print $page["album_title"] ? $page["album_title"] : $page["album_name"]; ?> "<br>
</td></tr>
</div>
</table>
<table align="center" cellspacing="0" cellpadding="10" width="70%" class="top10BackBg">
<tr><td class="headerTop10Back" align="center" cellspacing="0" cellpadding="0">
[ <a href="<?php print makeselflink(array("album" => $selected_album)); ?>" class="aheaderTop10Back"><?php print $lang_akt["t10_back"]; ?></a> ]
</td></tr>
</table>
<table align="center" cellspacing="0" cellpadding="10" width="70%" class="thumbnailCell">
<tr><td class="headerTop10Statistic" align="center">
<?php print $lang_akt["t10_line1_part1"] . $page["album_hits"] . $lang_akt["t10_line1_part2"]; ?><br>
<?php print $lang_akt["t10_line2_part1"] . $top10array["number"] . $lang_akt["t10_line2_part2"]; ?><br>
<?php print $lang_akt["t10_line3_part1"] . $top10array["number"] . $lang_akt["t10_line3_part2"] . $top10array["sum"] . $lang_akt["t10_line3_part3"]; ?><br>
<?php print $lang_akt["t10_line4_part1"] . intval($top10array["aver"]) . $lang_akt["t10_line4_part2"]; ?>
</td></tr>
</table>

<table align="center" cellspacing="0" cellpadding="1" width="70%" class="thumbnailCell">

<!-- password protection -->
<tr><td class="headerTop10Fileinfo" width="25%" align="right">&nbsp;</td>
<td class="headerTop10Fileinfo" align="left">
<?php
/* is this album passwordprotected?  */
$password_protected = Passwd_check($selected_album); ?>
<?php print $lang_akt["t10_fileinfo_pwd"]; ?></td><td class="headerTop10Fileinfo" align="left">
<?php if($password_protected == "1") { ?>
	<img src="images/yes_10x10.gif" border="0" width="10" height="10" alt="yes">
<?php } else { ?>
	<img src="images/no_10x10.gif" border="0" width="10" height="10" alt="no">
<?php } ?>
</td><td class="headerTop10Fileinfo" width="25%" align="right">&nbsp;</td></tr>
<!-- language autodetect -->
<tr><td class="headerTop10Fileinfo" width="25%" align="right">&nbsp;</td>
<td class="headerTop10Fileinfo" align="left">
<?php print $lang_akt["ai_auto"]; ?></td><td class="headerTop10Fileinfo" align="left">
<?php if($config['autodetect_language'] == "yes") { ?>
	<img src="images/yes_10x10.gif" border="0" width="10" height="10" alt="yes">
<?php } else { ?>
	<img src="images/no_10x10.gif" border="0" width="10" height="10" alt="no">
<?php } ?>
</td><td class="headerTop10Fileinfo" width="25%" align="right">&nbsp;</td></tr>
<tr><td class="headerTop10Fileinfo" align="left">
<!-- intuitive language management -->
<tr><td class="headerTop10Fileinfo" width="25%" align="right">&nbsp;</td>
<td class="headerTop10Fileinfo" align="left">
<?php print $lang_akt["ai_intuitive"]; ?></td><td class="headerTop10Fileinfo" align="left">
<?php if($config['lang_intuitive'] == "yes") { ?>
	<img src="images/yes_10x10.gif" border="0" width="10" height="10" alt="yes">
<?php } else { ?>
	<img src="images/no_10x10.gif" border="0" width="10" height="10" alt="no">
<?php } ?>
</td><td class="headerTop10Fileinfo" width="25%" align="right">&nbsp;</td></tr>
</td></tr>
<tr><td colspan="4" class="headerTop10Fileinfo">&nbsp;</td></tr>
</table>


<!-- START Album Info Languages display -->

<table align="center" cellspacing="0" cellpadding="1" width="70%" class="thumbnailCell">
<tr><td class="headerAlbumInfo" width="25%" align="right">&nbsp;</td>
<td class="headerAlbumInfo"  align="center" nowrap><?php print $blanks . $lang_akt["language"] . $blanks; ?></td>
<td class="headerAlbumInfo"  align="center" nowrap><?php print $blanks . $lang_akt["ai_title"] . $blanks; ?></td>
<td class="headerAlbumInfo"  align="center" nowrap><?php print $blanks . $lang_akt["ai_captions"] . $blanks; ?></td>
<td class="headerAlbumInfo"  align="center" nowrap><?php print $blanks . $lang_akt["ai_report"] . $blanks; ?></td>
<td class="headerAlbumInfo" width="25%" align="right">&nbsp;</td>
</tr>


<?php
/* Main languages loop - go through each installed language 
 * Go through them alphabetically */
foreach($arrLangNames as $InstalledLang) { ?>
	<tr><td class="headerTop10Fileinfo">&nbsp;</td>
	<?php
	/* print the language name - different formats are: default / selected / both / none */
	if (($InstalledLang == $lang_used) && ($InstalledLang == $config['lang_default'])) { 
		$l_lang_class="aiLangSelDef";
		$l_lang_status = 3;
	} elseif ($InstalledLang == $lang_used )  { 
		$l_lang_class="aiLangSel";
		$l_lang_status = 2;
	} elseif ($InstalledLang == $config["lang_default"] )  { 
		$l_lang_class="aiLangDef";
		$l_lang_status = 1;
	} else { 
		$l_lang_class="headerTop10Fileinfo";
		$l_lang_status = 0;
	} ?>
	<td class="<?php print $l_lang_class; ?>" align="center"><?php print $InstalledLang; ?></td>
	<?php
	/* check the album title / album info */
	$larr_help = check_langfile($config['info_txt'], ".txt", $InstalledLang, $l_lang_status);
	?>
	<td class="<?php print $larr_help['td_class']; ?>" align="center">
	<img src="<?php print $larr_help['img_src']; ?>" border="0" width="10" height="10" alt="<?php print $larr_help['alt']; ?>"></td>
	<?php
	/* check the image captions */
	$larr_help = check_langfile($config['capt_txt'], ".txt", $InstalledLang, $l_lang_status);
	?>
	<td class="<?php print $larr_help['td_class']; ?>" align="center">	
	<img src="<?php print $larr_help['img_src']; ?>" border="0" width="10" height="10" alt="<?php print $larr_help['alt']; ?>"></td>
	<?php
	/* check the report file */
	$larr_help = check_langfile($config['rep_txt'], ".inc.php", $InstalledLang, $l_lang_status);
	?>
	<td class="<?php print $larr_help['td_class']; ?>" align="center">	
	<img src="<?php print $larr_help['img_src']; ?>" border="0" width="10" height="10" alt="<?php print $larr_help['alt']; ?>"></td>
	<td class="headerTop10Fileinfo">&nbsp;</td></tr>

	<?php


/*  End Main languages loop */		
} ?>
<tr><td colspan="6" class="headerTop10Fileinfo">&nbsp;</td></tr>

<tr><td class="headerAlbumInfo">&nbsp;</td>
<td colspan="5" class="headerAlbumInfo" align="left"><?php print $lang_akt['ai_legend']; ?></tr>

<tr><td class="headerTop10Fileinfo">&nbsp;</td>
<td colspan="5" class="headerTop10Fileinfo" align="left"><b><?php print $lang_akt['language']; ?></b></tr>

<tr><td class="headerTop10Fileinfo">&nbsp;</td>
<td class="aiLangSel">&nbsp;</td>
<td colspan="4" class="headerTop10Fileinfo" align="left">&nbsp;&nbsp;<?php print $lang_akt['ai_l_selused']; ?></td></tr>
<tr><td class="headerTop10Fileinfo">&nbsp;</td>
<td class="aiLangDef">&nbsp;</td>
<td colspan="4" class="headerTop10Fileinfo" align="left">&nbsp;&nbsp;<?php print $lang_akt['ai_l_def']; ?></td></tr>
<tr><td class="headerTop10Fileinfo">&nbsp;</td>
<td class="aiLangSelDef">&nbsp;</td>
<td colspan="4" class="headerTop10Fileinfo" align="left">&nbsp;&nbsp;<?php print $lang_akt['ai_l_SelDef']; ?></td></tr>
<tr><td class="headerTop10Fileinfo">&nbsp;</td>

<td colspan="5" class="headerTop10Fileinfo" align="left"><b><?php print $lang_akt['ai_l_dep']; ?></b></tr>
<tr><td class="headerTop10Fileinfo">&nbsp;</td>
<td class="iaNotUsed" align="center">
<img src="images/no_10x10.gif" border="0" width="10" height="10" alt="no"></td>
<td colspan="4" class="headerTop10Fileinfo" align="left">&nbsp;&nbsp;<?php print $lang_akt['ai_l_not']; ?></td></tr>
<tr><td class="headerTop10Fileinfo">&nbsp;</td>
<td class="iaNotUsed" align="center">	
<img src="images/yes_10x10.gif" border="0" width="10" height="10" alt="yes"></td>
<td colspan="4" class="headerTop10Fileinfo" align="left">&nbsp;&nbsp;<?php print $lang_akt['ai_l_nouse']; ?></td></tr>
<tr><td class="headerTop10Fileinfo">&nbsp;</td>
<td class="iaUsed" align="center">	
<img src="images/yes_10x10.gif" border="0" width="10" height="10" alt="yes"></td>
<td colspan="4" class="headerTop10Fileinfo" align="left">&nbsp;&nbsp;<?php print $lang_akt['ai_l_used']; ?></td></tr>

<tr><td colspan="6" class="headerTop10Fileinfo">&nbsp;</td></tr>

</table>


<table align="center" cellspacing="0" cellpadding="10" width="70%" class="top10BackBg">
<tr><td class="headerTop10Back" align="center" cellspacing="0" cellpadding="0">
[ <a href="<?php print makeselflink(array("album" => $selected_album)); ?>" class="aheaderTop10Back"><?php print $lang_akt["t10_back"]; ?></a> ]
</td></tr>
</table>


</td></tr>
</table>


<!-- END TopX display -->

<?php
/* END */
?>
