<?php

/*
 * ***********************************************************************************************
 * Filename:     check_setup.php
 * Module:       -
 * Subcategory:  -
 * Description:  Standalone yappa-ng module
 *               checks the config and writes a file called check_setup.txt
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/check_setup.php,v 1.12 2003/08/12 19:51:25 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */


  $verbose = true; // true , false
?>

<html>
<title>check_setup of yappa-ng installation</title>
<body>
<table cellspacing="0" cellpadding="5" border="0" width="100%">
<tr><td>
<br><br><br>There may have been many errormessages displayed on the screen - <b>ignore them!!</b>
</td></tr>
<tr><td>&nbsp;</td></tr>
<tr><td><small>
<?php

include_once("config.inc.php");
include_once("common.php");
include_once(singleslash($config['path_lang_include'] . "languages_translated.inc.php"));



function Show_Array($array) {
    $str = '';
    foreach ($array as $key => $value) {
        if ($key != 0 || $value != '') {
        $str .= "    * $key = $value\n";
        }
    }
    if ($str == '') {
        return "    * Nothing listed\n";
    }
    return $str;
}


function check_validity($parameter, $default) {
	if (($parameter != "yes") && ($parameter != "no")) {
		$l_check = " ==> Value not valid! Defaults to: " . $default . "\n";
	} else {
		$l_check = "\n";
	}
	return $l_check;
}


/* This is a alternate method for the gd_info() function
 * which exists on PHP >= 4.3.0 !
 * This function is a slightly modified version of the one found on PHP.net
 * in the PHP Manual posted by johnschaefer at gmx dot de 
 * (search for function gd_info and go down to the usercomments)
 */
function gd2_info() {
	$gd_array = array(
		"GD Version" => "",
		"FreeType Support" => 0,
		"FreeType Support" => 0,
		"FreeType Linkage" => "",
		"T1Lib Support" => 0,
		"GIF Read Support" => 0,
		"GIF Create Support" => 0,
		"JPG Support" => 0,
		"PNG Support" => 0,
		"WBMP Support" => 0,
		"XBM Support" => 0
	);
	$gif_support = 0;

	ob_start();
	eval("phpinfo();");
	$l_php_info = ob_get_contents();
	//ob_end_flush();
	ob_end_clean();

	foreach(explode("\n", $l_php_info) as $line) {
		if(strpos($line, "GD Version")!==false) {
			$gd_array["GD Version"] = trim(str_replace("GD Version", "", strip_tags($line)));
		}
		if(strpos($line, "FreeType Support")!==false) {
			$gd_array["FreeType Support"] = trim(str_replace("FreeType Support", "", strip_tags($line)));
		}
		if(strpos($line, "FreeType Linkage")!==false) {
			$gd_array["FreeType Linkage"] = trim(str_replace("FreeType Linkage", "", strip_tags($line)));
		}
		if(strpos($line, "T1Lib Support")!==false) {
			$gd_array["T1Lib Support"] = trim(str_replace("T1Lib Support", "", strip_tags($line)));
		}
		if(strpos($line, "GIF Read Support")!==false) {
			$gd_array["GIF Read Support"] = trim(str_replace("GIF Read Support", "", strip_tags($line)));
		}
		if(strpos($line, "GIF Create Support")!==false) {
			$gd_array["GIF Create Support"] = trim(str_replace("GIF Create Support", "", strip_tags($line)));
		}
		if(strpos($line, "GIF Support")!==false) {
			$gif_support = trim(str_replace("GIF Support", "", strip_tags($line)));
		}
		if(strpos($line, "JPG Support")!==false) {
			$gd_array["JPG Support"] = trim(str_replace("JPG Support", "", strip_tags($line)));
		}
		if(strpos($line, "PNG Support")!==false) {
			$gd_array["PNG Support"] = trim(str_replace("PNG Support", "", strip_tags($line)));
		}
		if(strpos($line, "WBMP Support")!==false) {
			$gd_array["WBMP Support"] = trim(str_replace("WBMP Support", "", strip_tags($line)));
		}
		if(strpos($line, "XBM Support")!==false) {
			$gd_array["XBM Support"] = trim(str_replace("XBM Support", "", strip_tags($line)));
		}
	}

	if($gif_support==="enabled") {
		$gd_array["GIF Read Support"] = 1;
		$gd_array["GIF Create Support"] = 1;
	}

	if($gd_array["FreeType Support"]==="enabled") {
		$gd_array["FreeType Support"] = 1;
	}

	if($gd_array["T1Lib Support"]==="enabled") {
		$gd_array["T1Lib Support"] = 1;
	}

	if($gd_array["GIF Read Support"]==="enabled") {
		$gd_array["GIF Read Support"] = 1;
	}

	if($gd_array["GIF Create Support"]==="enabled") {
		$gd_array["GIF Create Support"] = 1;
	}

	if($gd_array["JPG Support"]==="enabled") {
		$gd_array["JPG Support"] = 1;
	}

	if($gd_array["PNG Support"]==="enabled") {
		$gd_array["PNG Support"] = 1;
	}

	if($gd_array["WBMP Support"]==="enabled") {
		$gd_array["WBMP Support"] = 1;
	}

	if($gd_array["XBM Support"]==="enabled") {
		$gd_array["XBM Support"] = 1;
	}

	return $gd_array;
}



/* Suppress warnings and the notice of undefined variables
 * --------
 * Tip from the usercomments in the php-manual on http://www.php.net/manual/en/function.error-reporting.php:
 * $old_error_reporting = error_reporting(E_ALL & ~(E_WARNING | E_NOTICE | ...));
 * ... do whatever you want to do in less verbose mode
 * error_reporting($old_error_reporting);
 * --------
 * yappa-ng setting: getting all errors reported - but NOT the notices 
 * (message: "undefined index xyz" if a $HTTP_POST/GET_VAR["xyz"] is not set at this moment (or similar) gets supressed!)
 */
$old_error_reporting = error_reporting(E_ALL & ~(E_WARNING | E_NOTICE));


/* initialize ERROR-string */
$l_err = " ==> ERROR! \n";
$l_ok = " \n";

/* initialize $msg */
$lhelp = date("l, d. F Y");
$msg = "This is the check_setup.txt file.\n\n" .
       "Date is                : " . $lhelp . "\n\n" .
       "check_setup.inc.php    $Id: check_setup.php,v 1.12 2003/08/12 19:51:25 zirkon13 Exp $ \n" .
       "yappa-ng version       : " . $config['release'] . "\n";



/* ***************************
 *                           *
 *   get some general info   *
 *                           *
 * ***************************
 */
if ($verbose) {print " <p>sniffing browser and server... ";}
$browser = get_browser();
$msg = $msg . "\nMy server software     : " . $_SERVER['SERVER_SOFTWARE'] . "\n" .
              "\nMy browser information : " . $_SERVER['HTTP_USER_AGENT'] . "\n" .
            "  get_browser() information (List)\n" .
            Show_Array((array) $browser) .
            "\n\nMy PHP installation information:\n" .
            "  PHP Version: " . phpversion() . "\n" .
            "  PHP Extensions (List)\n" .
            Show_Array(get_loaded_extensions());

if ($verbose) {print " <p>checking some php.ini settings... ";}
if (ini_get(safe_mode)) {
	$answer = "On";
} else {
	$answer = "Off";
}
$msg = $msg . "\nSafe Mode setting (safe_mode):                  " . $answer . "\n";
$msg = $msg . "Safe Mode directory (safe_mode_exec_dir):       " . ini_get(safe_mode_exec_dir) . "\n";
if (ini_get(safe_mode_gid)) {
	$answer = "On";
} else {
	$answer = "Off";
}
$msg = $msg . "Safe Mode gid (safe_mode_gid):                  " . $answer . "\n";
$msg = $msg . "Safe Mode include dir (safe_mode_include_dir):  " . ini_get(safe_mode_include_dir) . "\n";
$msg = $msg . "Restrict to specific directory (open_basedir):  " . ini_get(open_basedir) . "\n";
$msg = $msg . "Disabled PHP functions (disable_functions):     " . ini_get(disable_functions) . "\n";
$msg = $msg . "Max execution time script (max_execution_time): " . ini_get(max_execution_time) . "\n";
$msg = $msg . "Memory Limit for a script (memory_limit):       " . ini_get(memory_limit) . "\n";
$msg = $msg . "Post Max Size (post_max_size):                  " . ini_get(post_max_size) . "\n";

//if ($verbose) {print " <p>checking server capabilities... ";}
if (ini_get(file_uploads)) {
	$answer = "On";
} else {
	$answer = "Off ==> HEY! You cannot upload files with the admin module!!";
}
$msg = $msg . "File Uploads (file_uploads):                    " . $answer . "\n";
$msg = $msg . "Upload Max Filesize (upload_max_filesize):      " . ini_get(upload_max_filesize) . "\n";
if (ini_get(register_globals)) {
	$answer = "On";
} else {
	$answer = "Off";
}
$msg = $msg . "\nRegister Globals (register_globals):            " . $answer . "\n";
/*
if (ini_get(track_vars)) {
	$answer = "On";
} else {
	$answer = "Off";
}
$msg = $msg . "Track Vars (track_vars):                     " . $answer . "\n";
*/
$msg = $msg . "Variables order (variables_order):              " . ini_get(variables_order) . "\n";
$msg = $msg . "Variables order (gpc_order) deprecated!! :      " . @ini_get(gpc_order) . "\n";
if (ini_get(magic_quotes_gpc)) {
	$answer = "On";
} else {
	$answer = "Off";
}
$msg = $msg . "Magic quotes for incoming GET/POST/Cookie data: " . $answer . "\n";
if (ini_get(arg_separator.output)) {
	$answer = ini_get(arg_separator.output);
} else {
	$answer = "& (default)";
}
$msg = $msg . "separator used in PHP generated URLs to separate arguments:  " . $answer . "\n";
if (ini_get(arg_separator.input)) {
	$answer = ini_get(arg_separator.input);
} else {
	$answer = "& (default)";
}
$msg = $msg . "separator(s) used by PHP to parse input URLs into variables: " . $answer . "\n";

if (ini_get(GD_Support)) {
	$answer = "On";
} else {
	$answer = "Off";
}

if ($verbose) {print " <p>checking GD-library... ";}
$msg = $msg . "\nSome info from GD-Library: \n\n";

if(!function_exists("gd_info")) {
	$l_array = array();
	$l_array = gd2_info();
	foreach ($l_array as $key => $value) {
		$msg = $msg . $key . " : \t" . $l_array[$key] . "\n";
	}
} else {
	$l_array = array();
	$l_array = gd_info();
	foreach ($l_array as $key => $value) {
		$msg = $msg . $key . " : \t" . $l_array[$key] . "\n";
	}
}





/* **************************
 *                          *
 *         Apache only      *
 *                          *
 * **************************
 */

if ($verbose) {print " <p>querying HTTP environment... ";}
$msg = $msg . "\n\nSome SERVER Variables (HTTP_SERVER_VARS):\n";


$msg = $msg . "\nAPACHE ONLY:\n";
$msg = $msg . "Document Name:                               " . $HTTP_SERVER_VARS['DOCUMENT_NAME'] . "\n";
$msg = $msg . "Document Root:                               " . $HTTP_SERVER_VARS['DOCUMENT_ROOT'] . "\n";
$msg = $msg . "Request URI:                                 " . $HTTP_SERVER_VARS['REQUEST_URI'] . "\n";
$msg = $msg . "Server Signature:                            " . $HTTP_SERVER_VARS['SERVER_SIGNATURE'] . "\n";

$msg = $msg . "\nIIS ONLY:\n";
$msg = $msg . "Path to Metabasis:                           " . $HTTP_SERVER_VARS['APPL_MD_PATH'] . "\n";
$msg = $msg . "Physical Path to Metabasis:                  " . $HTTP_SERVER_VARS['APPL_PHYSICAL_PATH'] . "\n";

$msg = $msg . "\nAPACHE and IIS:\n";
$msg = $msg . "Path Info:                                   " . $HTTP_SERVER_VARS['PATH_INFO'] . "\n";
$msg = $msg . "Path Translated (SERVER):                    " . $HTTP_SERVER_VARS['PATH_TRANSLATED'] . "   ==> !!!\n";
$msg = $msg . "Path Translated (ENV):                       " . $HTTP_ENV_VARS['PATH_TRANSLATED'] . "   ==> !!!\n";
$msg = $msg . "Query String:                                " . $HTTP_SERVER_VARS['QUERY_STRING'] . "\n";








/* ************************************
 *                                    *
 *   the setup in this installation   *
 *                                    *
 * ************************************
 */

 if ($verbose) {print " <p>sniffing configuration in <i>config.ini.php</i>... ";}
$msg = $msg . "\n\nThe Setup of this installation: \n\n";

$msg = $msg . "photo_root:          " . $config['photo_root'] . "\n";
if ($config['resize_cache']) {
	$answer = "On";
} else {
	$answer = "Off";
}
$msg = $msg . "resize_cache:        " . $answer . "\n";
$msg = $msg . "cache_root:          " . $config['cache_root'] . "\n";
if (($config['image_module'] != "gd") && ($config['image_module'] != "magick")) {
	$lhelp = $l_err;
} else {
	$lhelp = $l_ok;
}
$msg = $msg . "image_module:        " . $config['image_module'] . $lhelp;
$msg = $msg . "convert_path:        " . $config['convert_path'] . "\n";
$msg = $msg . "gd_truecolor:        " . $config['gd_truecolor'] . check_validity($config['gd_truecolor'], "yes");
$msg = $msg . "demo_gallery:        " . $config['demo_gallery'] . check_validity($config['demo_gallery'], "no");
$msg = $msg . "send_warnings:       " . $config['send_warnings'] . check_validity($config['send_warnings'], "no");
$msg = $msg . "use_MD5:             " . $config['use_MD5'] . check_validity($config['use_MD5'], "no");
$msg = $msg . "error_rep:           " . $config['error_rep'] . "\n";
$msg = $msg . "i_see_no_images:     " . $config['i_see_no_images'] . check_validity($config['i_see_no_images'], "no");
$msg = $msg . "yappa-ng_path:       " . $config['yappa-ng_path'] . "\n\n";

$msg = $msg . "lang_support:        " . $config['lang_support'] . check_validity($config['lang_support'], "yes");
$msg = $msg . "lang_default:        " . $config['lang_default'] . "\n";
$msg = $msg . "autodetect_language: " . $config['autodetect_language'] . check_validity($config['autodetect_language'], "no");
$msg = $msg . "lang_intuitive:      " . $config['lang_intuitive'] . check_validity($config['lang_intuitive'], "yes");
$msg = $msg . "theme_support:       " . $config['theme_support'] . check_validity($config['theme_support'], "yes");
$msg = $msg . "theme_default:       " . $config['theme_default'] . "\n";
$msg = $msg . "oldLayOut:           " . $config['oldLayOut'] . check_validity($config['oldLayOut'], "no") . "\n";

$msg = $msg . "show_info:           " . $config['show_info'] . check_validity($config['show_info'], "no");
$msg = $msg . "use_initialize:      " . $config['use_initialize'] . check_validity($config['use_initialize'], "yes");
$msg = $msg . "use_overall:         " . $config['use_overall'] . check_validity($config['use_overall'], "yes");
$msg = $msg . "permit_ahref:        " . $config['permit_ahref'] . check_validity($config['permit_ahref'], "no");
$msg = $msg . "permit_newalbum:     " . $config['permit_newalbum'] . check_validity($config['permit_newalbum'], "yes");
$msg = $msg . "permit_uploaduser:   " . $config['permit_uploaduser'] . check_validity($config['permit_uploaduser'], "no") . "\n";

$msg = $msg . "upload_limit:        " . $config['upload_limit'] . "\n";
$msg = $msg . "upload_number:       " . $config['upload_number'] . "\n\n";

$msg = $msg . "resize options:      ";
$l_help = " ==> ERROR! Incorrect resize_default! Does not match with a resize_option! \n";
foreach ($config['resize_options'] as $l_size) {
	$msg = $msg . $l_size . ", ";
	if ($l_size == $config['resize_default']) {
		$l_help = " \n";
	}
} 
$msg = $msg . "\n";
$msg = $msg . "resize_default:      " . $config['resize_default'] . $l_help;
$msg = $msg . "resize_mini:         " . $config['resize_mini'] . "\n";
$msg = $msg . "thumbnail size:      " . $config['thumb_width'] . " x " . $config['thumb_height'] . "\n";
$msg = $msg . "thumbnail border size:" . $config['thumb_border_width'] . " x " . $config['thumb_border_height'] . "\n";
$msg = $msg . "resize_quality:      " . $config['resize_quality'] . "\n\n";

$msg = $msg . "And some Debug-Options: \n";
$msg = $msg . "use_pathinfo:        " . $config['use_pathinfo'] . check_validity($config['use_pathinfo'], "no");
$msg = $msg . "log_filename:        " . $config['log_filename'] . "\n";
$msg = $msg . "path_lang_include:   " . $config['path_lang_include'] . "\n";
$msg = $msg . "path_lang_search:    " . $config['path_lang_search'] . "\n";
$msg = $msg . "path_admin_include:  " . $config['path_admin_include'] . "\n";
$msg = $msg . "debug_mode:          " . $config['debug_mode'] . check_validity($config['debug_mode'], "yes");
$msg = $msg . "debug_autodetect:    " . $config['debug_autodetect'] . check_validity($config['debug_autodetect'], "yes");




/* **************************
 *                          *
 *   check for photo_root   *
 *                          *
 * **************************
 */
if ($verbose) {print " <p>sniffing photo_root permissions... ";}
$msg = $msg . "\n\nChecking for configured photo_root: " . $config['photo_root'] . "\n";


if (!is_dir($config['photo_root'])) {
      $msg = $msg . "Error: Could not find 'photo_root' in: " . $config['photo_root'] . "\n";
} else {
	$msg = $msg . "ok   : photo_root found in: " . $config['photo_root'] . "\n";
}

/* make a testfile in photo_root */
$testfilename = $config['photo_root'] . "/test.txt";
$testfilecontent = "ok: This is a TestFile, but I am NOT overwritten!!!";

/** +++ AGD Aug 8, 2003  added Serializable check to file read/write  **/
$testserialized = array ( first=>"first", second =>"second", third => 3, fourth=>array( "moo", "cow"));

if ($verbose) {print "<br> --starting standard write test...";}
$fd = fopen($testfilename, "w");
if ($fd) {
	// testfile created successfully
	flock($fd, 2); // get an exclusive lock
	fwrite($fd, $testfilecontent);
	flock($fd, 3); // release the lock
	fclose($fd);
	$msg = $msg . "ok   : testfile successfully created: " . $testfilename . "\n";
} else {
      $msg = $msg . "Error: Could not create testfile: " . $testfilename . "\n";
}

if ($verbose) {print "<br> --starting standard overwrite test...";}
/* overwrite the same testfile */
$testfilecontent = "ok: This is the overwritten TestFile!";
$fd = fopen($testfilename, "w");
if ($fd) {
	// testfile overwritten successfully
	flock($fd, 2); // get an exclusive lock
	fwrite($fd, $testfilecontent);
	flock($fd, 3); // release the lock
	fclose($fd);
	$msg = $msg . "ok   : testfile successfully overwritten: " . $testfilename . "\n";
} else {
      $msg = $msg . "Error: Could not overwrite testfile: " . $testfilename . "\n";
}

if ($verbose) {print "<br> --starting standard read test...";}
/* read the content of the same testfile */
$testfilecontent = " ";
$fd = fopen($testfilename, "rt");
if ($fd) {
	// testfile opened for read successfully
	$data = "";
	while(!feof($fd)) {
		$data = fgets($fd, 1024);
		$testfilecontent = $testfilecontent . $data;
	}
	fclose($fd);

	$msg = $msg . "ok   : testfile read successfully. content is : " . $testfilecontent . "\n";
} else {
      $msg = $msg . "Error: Could not read testfile : " . $testfilename . "\n";
}
if ($verbose) {print "<br> --starting serialized write test...";}
/* overwrite the same testfile */
$fd = fopen($testfilename, "w");
if ($fd) {
	// testfile overwritten successfully
	flock($fd, 2); // get an exclusive lock
	fwrite($fd, serialize($testserialized));
	flock($fd, 3); // release the lock
	fclose($fd);
	$msg = $msg . "ok   : testfile successfully stored serialized data:" . $testfilename . "\n";
} else {
      $msg = $msg . "Error: Could not overwrite testfile: " . $testfilename . "\n";
}
if (filesize($testfilename) > 0) {
	if ($verbose) {print "<br> --starting serialized read test...";}
	$fd = fopen($testfilename, "rt");
	if ($fd) {
		// testfile opened for read successfully
		$data = "";
		$data = fread($fd, filesize($testfilename));  // read serialized data from file
		fclose($fd);

		$returned = unserialize($data);
		if (strcmp( implode("|",array_keys($returned)), implode("|",array_keys($testserialized)))==0)
		{ $msg = $msg . "ok   : testfile successfully read correct number of elements: " . count($testserialized) . "\n" ;
		} else {
		$msg = $msg . "Error: testfile returned different number of elements: " . implode("|",array_keys($testserialized)) . "!=" . implode("|",array_keys($returned)) . "\ndata stored: \n\t". implode("|",$testserialized ). "\ndata returned: \n\t". implode("|",$returned) ."\n";
		}
	} else {
		$msg = $msg . "Error: Could not read testfile : " . $testfilename . "\n";
	}
} else {
	$msg = $msg . "Error: Filesize of testfile is ZERO : " . $testfilename . "\n";
}

if ($verbose) {print "<br> --starting standard erase test...";}
/* delete testfile */
unlink ($testfilename);
if (!file_exists($testfilename)) {
	$msg = $msg . "ok   : testfile successfully deleted. \n";
} else {
      $msg = $msg . "Error: Could not delete testfile. \n";
}


/* *******************************************
 *                                           *
 *   check for album_inc.php in photo_root   *
 *                                           *
 * *******************************************
 */
if ($verbose) {print " <p>sniffing config_album.inc.php... ";}
$filename = $config['photo_root'] . "/config_album.inc.php";
$msg = $msg . "\nChecking for config_album.inc.php in photo_root: " . $filename . "\n";


/* test for album_inc.php */
if (file_exists($filename)) {
	$msg = $msg . "ok   : file exists config_album.inc.php \n";
} else {
      $msg = $msg . "Error: Could not find: " . $filename . "\n";
}
if (is_readable($filename)) {
	$msg = $msg . "ok   : file  config_album.inc.php is readable. \n";
} else {
      $msg = $msg . "Error: Could not read: " . $filename . "\n";
}
if (is_writeable($filename)) {
	$msg = $msg . "ok   : file  config_album.inc.php is writeable. \n";
} else {
      $msg = $msg . "Error: Could not write: " . $filename . "\n";
}



/* *****************************
 *                             *
 *   check for cache_root      *
 *                             *
 * *****************************
 */
if ($verbose) {print " <p>sniffing cache_root for permissions... ";}
/* check only if cache is enabled */
if ($config['resize_cache']) {
	if($config['i_see_no_images'] == "yes") {
		$config['cache_root'] = $config['yappa-ng_path'];
	}
	$msg = $msg . "\nChecking for cache_root: " . $config['cache_root'] . "\n";

	if (!is_dir($config['cache_root'])) {
      	$msg = $msg . "Error: Could not find 'cache_root' in: " . $config['cache_root'] . "\n";
	} else {
		$msg = $msg . "ok   : photo_root found in: " . $config['cache_root'] . "\n";
	}


/* make a testfile in cache_root */
$testfilename = $config['cache_root'] . "/test.txt";
$testfilecontent = "ok: This is a TestFile";
$fd = fopen($testfilename, "w");
if ($fd) {
	// testfile created successfully
	flock($fd, 2); // get an exclusive lock
	fwrite($fd, $testfilecontent);
	flock($fd, 3); // release the lock
	fclose($fd);
	$msg = $msg . "ok   : testfile successfully created: " . $testfilename . "\n";
} else {
      $msg = $msg . "Error: Could not create testfile: " . $testfilename . "\n";
}

/* overwrite the same testfile */
$testfilecontent = "ok: This is the overwritten TestFile!";
$fd = fopen($testfilename, "w");
if ($fd) {
	// testfile overwritten successfully
	flock($fd, 2); // get an exclusive lock
	fwrite($fd, $testfilecontent);
	flock($fd, 3); // release the lock
	fclose($fd);
	$msg = $msg . "ok   : testfile successfully overwritten: " . $testfilename . "\n";
} else {
      $msg = $msg . "Error: Could not overwrite testfile: " . $testfilename . "\n";
}

/* read the content of the same testfile */
$testfilecontent = " ";
$fd = fopen($testfilename, "rt");
if ($fd) {
	// testfile opened for read successfully
	$data = "";
	while(!feof($fd)) {
		$data = fgets($fd, 1024);
		$testfilecontent = $testfilecontent . $data;
	}
	fclose($fd);
	$msg = $msg . "ok   : testfile read successfully. content is : " . $testfilecontent . "\n";
} else {
      $msg = $msg . "Error: Could not read testfile : " . $testfilename . "\n";
}

/* delete testfile */
unlink ($testfilename);
if (!file_exists($testfilename)) {
	$msg = $msg . "ok   : testfile successfully deleted. \n";
} else {
      $msg = $msg . "Error: Could not delete testfile. \n";
}


}



/* **********************************
 *                                  *
 *   check for convert_utility      *
 *                                  *
 * **********************************
 */
if ($verbose) {print " <p>sniffing magick... ";}
/* check only if magick is selected */
if ($config['image_module'] == 'magick') {
	$msg = $msg . "\nChecking for convert_utility: " . $config['convert_path'] . "\n";

	if (!file_exists($config['convert_path'])) {
      	$msg = $msg . "Error: Could not find the ImageMagick convert utility: " . $config['convert_path'] . "\n";
	} else {
		$msg = $msg . "ok   : Convert utility found in: " . $config['convert_path'] . "\n";
	}


	if (!is_file($config['convert_path'])) {
      	$msg = $msg . "Error: ImageMagick convert utility not a file: " . $config['convert_path'] . "\n";
	} else {
		$msg = $msg . "ok   : Convert utility is a file: " . $config['convert_path'] . "\n";
	}

	/* this seems to make real trouble on windows systems!!!
	if (!is_executable($config['convert_path'])) {
      	$msg = $msg . "Error: ImageMagick convert utility is not executable: " . $config['convert_path'] . "\n";
	} else {
		$msg = $msg . "ok   : Convert utility is executable: " . $config['convert_path'] . "\n";
	} */

	if (!is_readable($config['convert_path'])) {
      	$msg = $msg . "Error: ImageMagick convert utility is not readable: " . $config['convert_path'] . "\n";
	} else {
		$msg = $msg . "ok   : Convert utility is readable: " . $config['convert_path'] . "\n";
	}

}




/* **********************************
 *                                  *
 *   check for default language     *
 *                                  *
 * **********************************
 */

if ($verbose) {print " <p>sniffing installed languages... ";}
/* search for all languagefiles in the yappa-ng language-directory */

$msg = $msg . "\nChecking for default language \n";

$arrLangInstalled = array();
$arrLangNames = array();
$default_lang_ok = false;
$numberInstalledLanguages = 0;
foreach ($arrLangDef as $key => $value) {
	$l_filename = singleslash($config['path_lang_search'] . $arrLangDef[$key]['filename']);
	//$l_filename ="./languages/" . $arrLangDef[$key]['filename'];
	if ((file_exists($l_filename)) && (is_readable($l_filename))) {
		$arrLangInstalled[$key] = $arrLangDef[$key];
		$numberInstalledLanguages++;
		$arrLangNames[] = $key;
		if ($key == $config['lang_default']) {
			$default_lang_ok = true;
		}
	}
}

/* check if ANY language is installed
 * would be: yappa-ng ERRORCODE 030
 * would be: FATAL
 */
if ($numberInstalledLanguages == 0) {
	$msg = $msg . "Error: absolutely no language is found!!!\n";
} else {
	$msg = $msg . "ok   : i have found " . $numberInstalledLanguages . " installed languages.\n";
}

/* sort the languages alphabetically.... */
if ($numberInstalledLanguages > 1) {
	asort($arrLangNames);
}
/* ...and print all installed languages by name
* (info only)
*/
if ($numberInstalledLanguages > 0) {
	foreach($arrLangNames as $lang) {
		$msg = $msg . "       " . $lang . "\n";
	}
}

/* check if a default language is configured and readable
 * would be: yappa-ng ERRORCODE 031
 * would be: FATAL
 */
if (!$default_lang_ok) {
	$msg = $msg . "Error: could not find default language " .  $config["lang_default"] . " !!!\n";
} else {
	$msg = $msg . "ok   : i have found " . $config["lang_default"] . " as default language.\n";
}







/* *****************************
 *                             *
 *   SAVE THE RESULTS !!!!!    *
 *                             *
 * *****************************
 */


if ($verbose) {print " <p>done.  writing output ... ";}
$msg = $msg . "\n---------\nEOF\n";


$logfilename = "check_setup.txt";
$fd = fopen($logfilename, "w");
if ($fd) {
	// testfile created successfully
	flock($fd, 2); // get an exclusive lock
	fwrite($fd, $msg);
	flock($fd, 3); // release the lock
	fclose($fd);
	$l_saved = true;
} else {
	$l_saved = false;
}


/* **************************************
 *                                      *
 *   show a short msg in the browser    *
 *                                      *
 * **************************************
 */

?>
</small>
<?php
if ($l_saved) { ?>
<br><br><br>The file with the <b>output of this script</b> is in your <i><b>yappa-ng</b> main directory</i> and is called <b>check_setup.txt</b>
<?php } else { ?>
<br><br><br><b>ERROR:</b> could <b>NOT write</b> the output of this script to your yappa-ng main directory !!!</b><br>
To use this script please make the yappa-ng main directory writeable for your webbrowser!<br>
<?php } ?>
</td></tr>
<tr><td>
<?php /* $msg2 = str_replace("\n","<br>",$msg); print $msg2;  */ ?>
</td></tr>
</table>
</body>
</html>
