<?php

/*
 * ***********************************************************************************************
 * Filename:     config.inc.php
 * Module:       Global Settings - Public Part
 * Subcategory:  Main Public Configuration File
 * Description:  Only "Global Settings". This file is located in the yappa-ng root directory.
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/config.inc.php,v 1.45 2003/08/23 14:32:04 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */



/*
 *   MAIN CONFIG - Public Part
 *
 */



$config = array(

/*
 * ***********************************************************************************************
 * YOU HAVE TO (!!) EDIT THE FOLLOWING PARAMETERS!!!
 * ***********************************************************************************************
 */


/*
 *   SYSTEM CONFIG
 *
 */


/*
 * -------------------------------------------
 * directory where program sorcecode is stored
 * -------------------------------------------
 * This is the directory where you installed yappa-ng. 
 * This should be an absolute path !
 * This path has to be from your root directory (not webserver root)!
 *
 * btw: make sure your "hits.log" in THIS directory is read/writeable by your webserver (album-hits!!)
 */
"source_root" => "/usr/local/httpd/htdocs/yappa-ng",

/*
 * -------------------------------------
 * directory where album dirs are stored
 * -------------------------------------
 * IF you change this from the "photos" within the yappa-sourcecode-directory
 * make sure that you copy the following files into your new "photo_root"
 * (AND make the new "photo_root" read AND writable for your server!!):    ;-)
 *   - cannot-delete-album (makes sure you never delete the "photo_root" (for details please refer to the FAQ)
 *   - config_album.inc.php (default config-file for this album)
 *   - hits.log (the counter-file IF you give photos into your "photo_root")
 *   - index.html (prevents "filebrowsing")
 * if you do NOT copy these files you will get some errors before you create these files
 * with the admin-access - no panic!   ;-)
 */
"photo_root" => "/usr/local/httpd/htdocs/yappa-ng/photos",

/*
 * ---------------------
 * Cache resized images?
 * ---------------------
 * I can only recommend this option,
 * because the program gets much faster if the images are cached,
 * especially the image preview!!!
 * I personally use cache=true on all systems!
 * values are:  true / false
 * defaults to: ? */
"resize_cache" => true,

/*
 * ---------------------------------------------------------------
 * In which directory will the cached images be stored (=written)?
 * ---------------------------------------------------------------
 * The OWNER of the Webserver (user and/or group) must have read/write permission in the following directory.
 * But: this directory must not be accessible for your Webserver !!
 * It is recommended that you give this in your /tmp directory outside of your webserver */
"cache_root" => '/tmp/yappa-ng',

/*
 * ---------------------------------------------
 * used external image module: ImageMagick or GD
 * ---------------------------------------------
 * If you have not installed one of the two above please do so - you need them.
 * I can give NO support on installing ImageMagick or GD !
 * values are:  magick / gd
 * defaults to: ? */
"image_module" => 'magick',

/*
 * -------------------------------------------
 * If you use ImageMagick:
 * full path to ImageMagick's convert program
 * -------------------------------------------
 * Here you define the path to the "convert" / "convert.exe" so that yappa-ng can use it.
 * If you are using a windows system be sure to
 * make it 'windows-style' (backslash "\" instead of slash "/", append a ".exe").
 * That means it should look like: '\PathTo\utility\convert.exe'
 * or on some systems even:      'C:\PathTo\utility\convert.exe' ;-)  */
"convert_path" => '/usr/bin/convert',

/*
 * -------------------------------------
 * If you use GD:
 * Try to autodetect the right version?
 * -------------------------------------
 * There is an autodetect implemented in yappa-ng to deside if you are running a GD < 2.0 or GD => 2.0,
 * but sometimes it does not respond correctly.
 * If you use GD < 2.0 and see the originals but no resized images,
 * than set this parameter to "no"!
 * values are:  yes / no
 * defaults to: yes */
"gd_truecolor" => 'yes',


/*
 * ***********************************************************************************************
 * yappa-ng will run now if you set all parameters above correctly.
 *
 * All other parameters are set to defaults where yappa-ng will function (as in my demo gallery)!
 * If you are curious you can now save and test the album. Everything should work.
 * To do so point your browser to the directory you have the yappa-ng "index.php" in and enjoy!
 *
 * If you have troubles (e.g. have "broken images" instead of thumbnails please take a look into
 * the FAQ in the "/docs"-directory! There is detailed help !
 *
 * BUT COME BACK here to set all other parameters to the values YOU want for YOUR gallery! ;-)
 * ***********************************************************************************************
 */


/*
 * ----------------------------
 * TITLE of your Photo-Gallery
 * ----------------------------
 * This name will be in the HTML-title and in the header of the page.
 * If you make a bookmark of the page this is the name your bookmark will have.
 */
"title" => "yappa-ng Photo Gallery",

/*
 * ---------------------------------
 * sort order of ALBUMS / SUBALBUMS
 * ---------------------------------
 * sort  by none, name, mtime
 * values are:  none / name / mtime
 * defaults to: ? */
"album_sort_by" => "name",
/* sort order (a)scending or (d)escending, not used when 'sort_by' is 'none'
 * values are:  a / d
 * defaults to: ? */
"album_sort_order" => "a",


/*
 *   LINK CONFIG
 *
 */


/* You have the possibility to define Links
 * Theme "zirkon": in the upper left corner
 * Theme "riders": below the images
 * If left blank, this link will not be displayed */

/* THESE LINKS belowe are DEMO-LINKS!
 * you SHOULD change them to links you need!
 * You can/should change ALL of them, because the copyright-link is in the copyright-footer! */

/* Name of the Site. Intended to lead to Site-Root
 * name: displayed name
 * url: url of the page you want displayed by clicking onto it
 * target: should it be opened
 *               - in this window?:  _top or _self
 *               - in a new window?: _blank */
"site_root_name" => "ZIRKON Box:",
"site_root_url" => "http://www.zirkon.at",
"site_root_target" => "_self",

/* Link One */
"site_link1_name" => "",
"site_link1_url" => "",
"site_link1_target" => "",

/* Link Two */
"site_link2_name" => "",
"site_link2_url" => "",
"site_link2_target" => "",

/* Link Three */
"site_link3_name" => "yappa-ng Sourcecode",
"site_link3_url" => "http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html",
"site_link3_target" => "_top",

/* Link Four */
"site_link4_name" => "",
"site_link4_url" => "",
"site_link4_target" => "",

/* Link Five */
"site_link5_name" => "yappa-ng All Over The World",
"site_link5_url" => "http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_link_collection.html",
"site_link5_target" => "_self",


/*
 *   THUMBNAIL CONFIG
 *
 */

/* thumbnails width and height */
"thumb_width" => 100,
"thumb_height" => 100,

/* Thumbnail "border" in thumbnail view */
"thumb_border_width" => 150,
"thumb_border_height" => 130,

/* size of the pages navbar in thumbnail mode (must be multiple of 2) */
"navlink_pages" => 10,


/*
 *   SINGLE IMAGE VIEW CONFIG
 *
 */

/* available sizes
 * If you add a size please make sure the syntax is the same (small "x", no blanks,....) */
"resize_options" => array( "640x640", "800x800", "1024x1024", "1600x1600", "original" ),

/* jpeg quality for resized images */
"resize_quality" => 60,

/* default size when viewing an image
 * This is the
 * Please make sure that the defa*/
"resize_default" => "640x640",

/* this is the size of the minipreview-icons used in the admin-modules:
 *    - edit image-captions
 *    - delete images
 *    - rotate images */
"resize_mini" => "50x50",


/*
 *   PASSWORD CONFIG
 *
 */

/* Most of the parameters changed into the Online Admin-Configuration of the Album! */

/* email adress of the sysadmin for questions of password-protected albums */
"email" => "wizard@zirkon.at",


/*
 *   LANGUAGE SUPPORT
 *
 */

/*
 * -------------------------------
 * Select your Default Language !
 * -------------------------------
 * Here you set the language in which yappa-ng will start the first time a user opens your gallery.
 * (If autodetect is "no" or the language of the user is not installed.)
 * You NEED THIS!!! (Even if you selected "no language support" and/or "autodetect_language" yes) !!
 *
 * You can just leave this to "English".
 * If you have any questions regarding the Languages:
 * There is a very good description/explanation in the /docs-directory of your yappa-ng installation.
 * The file is named: LANGUAGE_SUPPORT
 * defaults to: NO DEFAULT - if not set correctly EXIT PROGRAM */
"lang_default" => "English",

/*
 * ---------------------------------------------
 * do you want to have language support enabled?
 * ---------------------------------------------
 * HINT: If say "no" here AND you make descriptons to your albums/images in your default language
 * be sure to say "no" to the "autodetect_language" too!
 * If you let the browser of your user select the language and it is NOT the language you wrote the descriptions
 * than he/she will never be able to read them.
 * values are:  yes / no
 * defaults to: yes */
"lang_support" => "yes",

/*
 * ------------------------------
 * Enable "autodetect language" ?
 * ------------------------------
 * This feature tries to detect the language which is configured in the users browser!
 * if the languaga does not exist then the default language is needed!!
 * HINT: if you have language support disabled but leave this to "yes"
 * nobody will be able to switch to his language or even the language you want as default.
 * (Its your decision!)  ;-))
 * values are:  yes / no
 * defaults to: no */
"autodetect_language" => "yes",

/*
 * ---------------------------------------
 * Enable "intuitive language selection" ?
 * ---------------------------------------
 * This feature does NOT affect your language selection (be it autodetected, selected or default).
 * The language of the program itself (explainig texts, buttons,...) is untouched.
 * This feature works only with the language related userfiles:
 *    - album title and album description
 *    - image captions
 *    - gallery main news file
 * where every language has its own (separate) file.
 * It works only for the DEFAULT-language (as configured here in this file).
 * Here is how it works:
 *   Suppose: You have autodetect enabled and your default language is "English"
 *   Suppose: Your native language is English (thats why you have default language to "English")
 *   Suppose: You have all your album-descriptions and all image captions in English
 *   Suppose: Someone connects with autoetected language "Espanol"
 *            This guy has yappa-ng in spanish, but will NEVER see your hard work in commenting all images
 *            and making a decent album-title and a nice album-description.
 * With "lang_intuitive" set to  "yes" this Spanish guy keeps yappa-ng in Spanish - but gets
 * your English (or other Default-language) album descriptions, image captions,...
 * If you have a Spanish album title created he gets OF COURSE his (= spanish ) version!
 * A really nice feature!
 * values are:  yes / no
 * defaults to: yes */
"lang_intuitive" => "yes",


/*
 *   THEME SUPPORT
 *
 */

/*
 * ---------------------------
 * Select your Default Theme !
 * ---------------------------
 * Here you set the Theme in which yappa-ng will start the first time a user opens your gallery.
 * You NEED THIS!!! (Even if you selected "no theme support") !!
 * Implementet themes are (yappa-ng 2.0.1): blue, zirkon, riders (at the moment, more to follow!)
 * defaults to: NO DEFAULT - if not set correctly EXIT PROGRAM */
"theme_default" => "zirkon",

/*
 * ----------------------------
 * Do you want themes support??
 * ----------------------------
 * This means: do you want that your users can change the theme (like in my demo-gallery).
 * values are: yes / no
 * defaults to "yes" */
"theme_support" => "yes",

/*
 * -------------------------------------
 * What is the theme you want installed?
 * -------------------------------------
 * This is the list your users which your users will get ass selectbox (Dropdown Menu).
 * values are (yappa-ng 2.0.1): blue, zirkon, riders
 * defaults to: "zirkon" */
"themes_installed" => array ("blue",
			     "zirkon",
			     "riders",
			     "passport",
			     "hot",
			     "bash",
			     ),

/*
 * --------------------------------------------
 * Use the "Old Layout" for the selecton-boxes?
 * --------------------------------------------
 * The "old layout" for zirkon, riders & blue is really nice and functional...
 * ...but it is NOT valid HTML 4.01 Transitional.
 * Deside for yourself if you want validated HTML or nice HTML... ;-)
 *
 * For the Chinese Language this paramater gets overruled!!!
* Chinese language will always be "old layout".
* If you want to enable the "valid html"-display for chinese language you
* have to edit the "themes_zirkon/riders_header.inc.php and edit both lines which are:
* if (($oldLayOut == "yes" ) or ($lang_akt["name"] == "Chinese")) { ?>
*
* values are: yes / no
* defaults to: "no"  */
"oldLayOut" => "no",

/* Remark: You can find more settings for the themes in the file:
 *         ./themes/themes_support.inc.php
 * In this file you can define your own LOGO for the upper left corner!
 */


/*
 *   ADMIN MODULE
 *
 */

/*
 * ---------------------
 * Upload Filesize Limit
 * ---------------------
 * Set here the Limit for single files (=images, photos).
 * This is used in the Admin Module: Upload Images */
"upload_limit" => "1500000",

/*
 * --------------------------------------------
 * Number of files to upload in one single pass
 * --------------------------------------------
 * Set here the Number of "image upload select boxes" you want to display.
 * This is used in the Admin Module: Upload Images
 * The more images are uploaded at once the longer the Album-Admin has to wait,
 * until he gets the next chance to upload the next images.
 * A really unimportant parameter.  ;-)
 * This is a parameter fund in the admin_module_upload.inc.php
 * If set to 0 there will be absolutely no upload possible!! */
"upload_number" => "8",

/*
 * -------------------------------------------
 * Show System Info (Paths) in the Album Info?
 * -------------------------------------------
 * In the Admin-Menue there is a "Show Album Info" where all settings of the
 * Album you are viewing are displayed.
 * Shall the System Info (Paths to directories,...) you defined above be displayed in the admin-module:
 * Module: Show album info ?
 * The above info could be used for hacks, so not everybody will want to display it.
 * On the other hand it could be useful for debugging!
 * values are:  yes / no
 * defaults to: no */
"show_info" => 'yes',

/*
 * ---------------------------------------------------------------
 * Let all album-admins use the "Initialize Album" admin feature?
 * ---------------------------------------------------------------
 * This depends on your hardware and your disk-space.
 * The initialization of an album creates ALL cached images
 * of one resize size (e.g. 50x50 OR 1600x1600) at once.
 * Hardware: If there are some hundreds of images in this album,
 *           and you initialize the 1600x1600 resize size your server
 *           will get VERY busy for the next view seconds/minutes.
 * Disk-space: I do not think creating all 1600x1600 images in advance
 *           is a very good idea. From my experience the users seldom
 *           (or never) view ALL images in the max resolution (bandwith problem).
 *           Creating all images in all sizes will only cost USELESS diskspace.
 * On the other hand: Creating the 50x50, thumbnails and default resize-size
 * in advance is a very good idea!
 * Decide for yourself and/or educate your users (with admin access)!  ;-)
 * Or / And test it with your hardware - maybe it isn't that bad.
 * (on my server (Pentium 1.6 GHz, 1 GB RAM, Linux SuSE 8.0) its not that bad! - I leave it to "yes").
 *  - Will not even be seen in the admin menu if set to "no"!
 *  - Will be seen in the admin menue but the "submit" will result in no action if "demo_gallery"=yes!
 * values are:  yes / no
 * defaults to: yes */
"use_initialize" => "yes",

/*
 * ----------------------------------------------------------------------
 * Do you want to allow <a href="xyz">xyz</a> tags in album-descriptions?
 * ----------------------------------------------------------------------
 * Default behavior of yappa-ng is to delete these HTML-tags!
 * This is for security reasons, because if you are not alone setting up the albums
 * every admin could make a link to whereever you do not want...  ;-))
 * If you want in your gallery allow these tags please set this parameter to "yes" !
 * This will be overridden with a "no" if you set "Demo_Gallery" to yes!
 * values are:  yes / no
 * defaults to: no */
"permit_ahref" => "no",

/*
 * -------------------------------------------------------------------------------
 * Do you want to allow album-admins to create new albums within their own albums?
 * -------------------------------------------------------------------------------
 * Some systems do not want that their album-admins are allowed to create
 * new albums within their own albums.
 * If you set this parameter to "no", then it is not possible to create new albums
 * with help of the admin-menu. Nobody will!!
 * If you set this parameter to "no" you can make new albums only if:
 *   a) you create the album manually:
 *              - create the subdirectory
 *              - copy the hits.log, config_album.inc.php, index.html into this album
 *              - set all permissions for the webserver
 *   b) you set this flag to "yes", create the albums with the admin-interface 
 *      and set it back to "no"  ;-))
 * But the main intention is to let it to yes!
 * values are:  yes / no
 * defaults to: yes */
"permit_newalbum" => "yes",


/*
 *   MISCELLANEOUS
 *
 */

/*
 * -----------------------------------
 * Do you want some basic errorchecks?
 + -----------------------------------
 * This is set to "yes" after download of yappa-ng to help you install yappa-ng.
 * I would recommend to turn it off after yappa-ng is running correctly
 * (but on the other hand: THAN you will not get any warnings anymore? )  ;-)
 * values are: yes, no
 * defaults to: "no" */
"send_warnings" => "yes",

/*
 * -----------------------------------
 * Here is some help for initial setup.
 + -----------------------------------
 * This is set to "yes" after download of yappa-ng to help you install yappa-ng.
 * I would recommend to turn it off after yappa-ng is running correctly
 * (but on the other hand: THAN you will not get any warnings anymore? )  ;-)
 * values are: yes, no
 * defaults to: "yes" */
"debug_mode" => "yes",

/*
 * -------------------------------------
 * Do you want to encrypt the passwords?
 * -------------------------------------
 * Set this to "yes" if:
 *       - you want encryption with MD5
 *       - you have MD5 installed for your webserver
 * values are: yes, no
 * defaults to: "no" */

"use_MD5" => "no",

/*
 * -----------------------------------------
 * Show the "Overview over all albums" link?
 * -----------------------------------------
 * If you do not want the users (=surfers) to know all albums you are hosting
 * (= get an verview over all albums in your gallery)
 * than select "no" here!!
 * values are:  yes / no
 * defaults to: yes */
"use_overall" => "yes",

/*
 * -------------------------------
 * Is this set up as DEMO-Gallery?
 * -------------------------------
 * Use this, if you want to create a demo gallery!
 * If you turn this option on then nobody can:
 *   - change the admin password of the galleries
 *   - enter html-codes into the text
 * values are:  yes / no
 * defaults to: no */
"demo_gallery" => "no",

);

/*
 * ***********************************************************************************************
 * END of Public Configuration Part!
 *
 * Congratulation - you are through the configuration! Now point your browser to the directory
 * you have the yappa-ng "index.php" in and enjoy!
 *
 * If you have troubles (e.g. have "broken images" instead of thumbnails please take a look into
 * the FAQ in the "/docs"-directory! There is detailed help !
 *
 *                                   HAVE FUN!!!
 *
 * ***********************************************************************************************
 */

/* Now, after initializing all public parameters load the private parameters */

require("config_private.inc.php");

?>
