<?php

/*
 * ***********************************************************************************************
 * Filename:     config_private.inc.php
 * Module:       Global Settings - Private
 * Subcategory:  Main Privat Configuration File
 * Description:  Only "Global Settings". Located in the yappa-ng root directory.
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/config_private.inc.php,v 1.19 2003/08/23 14:32:04 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */



/*
 *   MAIN CONFIG - Private Part
 *
 */

/*
 * ***********************************************************************************************
 *
 * This is the PRIVATE part of the yappa-ng configuration !!
 *
 * Please DO NOT edit values in this file -
 * most of the values are changeable only for convenient and easy debugging
 * and/or extreme setups.
 *
 * Some of the values may break the output/stability of yappa-ng if changed.
 *
 * Be prepared - I did warn you!  ;-)
 *
 * ***********************************************************************************************
 */


/* Version number of the current yappa-ng release */
$config['release'] = "2.1.0 stable";

/* Errorreporting for easy debugging!
 * Switch in check_basic.inc.php
 * 1 = E_ALL
 * 2 = E_ALL & ~(E_NOTICE)
 * 3 = E_ALL & ~(E_WARNING | E_NOTICE )
 * default for official releases: 2
 */
$config["error_rep"] = 2;

/* Defines the config for resize and thumbnail cache
 * and the allowed mime-type
 */
$define = array(
    "thumbnails_dirname" => "thumbnails",

    "resize_script" => "show.php",

    "image_mime" => array(
        "jpg" => "image/jpeg",
        "jpeg" => "image/jpeg",
        "jpe" => "image/jpeg",
        "gif" => "image/gif",
        "png" => "image/png",
    ),

    "mkdir_mode" => 0755,
);

/* hits counter log filename */
$config["log_filename"] = "hits.log";

/* These are the file-"startings" for the language-related files:
 *    - "captions_xxx.txt"   - the file containing all image captions of one album
 *    - "info_xxx.txt"       - the file containing the album-title and the album-description
 *    - "report_xxx.inc.php" - the file conatining the name and url for the report
 *    - "news_xxx.html"      - the main gallery news-file
 * "xxx" means the used language.
 */
$config['capt_txt'] = "captions_";
$config['info_txt'] = "info_";
$config['rep_txt'] = "report_";
$config['news_txt'] = "news_";

//$config['path_lang_include'] = "languages/";
//$config['path_lang_search'] = "./languages/";
$config['path_lang_include'] = $config['source_root'] . "/languages/";
$config['path_lang_search'] = $config['source_root'] . "/languages/";
//$config['path_admin_include'] = "./admin_modules/";
$config['path_admin_include'] = $config['source_root'] . "/admin_modules/";
$config['path_themes_include'] = $config['source_root'] . "/themes/";

/* If you set this to "yes" you will can give a second password in the Admin-Module "Change Admin_password".
 * This password is for an "Upload-User".
 * If you set the password in the admin-module and someone logs in (Admin-Login) with this password he/she
 * gets an Admin-Menu, but only:
 *    - Album Info
 *    - Upload images (hence the name)  ;-)
 *    - rotate images (ALL images of this album!!)
 *    - initialize images
 *    - edit image captions (ALL images of this album!)
 * values are:  yes / no
 * defaults to: no */
$config['permit_uploaduser'] = "no";



/*********************************************************************************
 ***                                                                           ***
 ***                  Debug Options or Incompatibility Options!                ***
 ***                                                                           ***
 *********************************************************************************

/* Are you using PHP 4.0.6 ?
 * -------------------------------
 * There are some keywords which are not working in PHP 4.0.6
 * If you are using 4.0.6 set this to "yes"
 * _ALL_ others leave this at no!!!!
 * Hint: if you set this to "yes" AND are using GD you will 
 *       have to set the "gd_truecolor"  (config.inc.php) to "no"
 * values are:  yes / no
 * defaults to: no */
$config['php_4_0_6'] = "no";

/* Use old show image method with the "trailing path info" ?
 * Changed in release 2.1.0 (01. Aug. 2003):
 *    Old: Info transmitted as "Trailing PathInfo" PATH_INFO (which needs AcceptPathInfo On in apache setup and ??? in IIS setup)
 *    New: Info transmitted as regular QUERY_STRING. This should anhance the OS / Webserver compatibility.
 * Since I do not exactly know if really every OS / Webbrowser is happy with this setup, i will leave the old as option in it!
 * Corresponding sourcecodechange in show.php/common.php/function makeshowlink.
 * Old method to call the show.php script is kept for my own reassurance only!  ;-))
 * values are:  yes / no
 * defaults to: no */
$config['use_pathinfo'] = "no";


/* Laguage-autodetect - debug function.
 * for details read the comment in the /languages/language_selection.inc.php function: "write_lang_protocol"
 * and all cases of comment: debug autodetect in the same file
 * It is for debug-purposes only!!
 * values are:  yes / no
 * defaults to: no */
$config['debug_autodetect'] = "no";

/* some debug constants */
$log_date = date("d.m.y-h:m");



/*********************************************************************************
 ***                                                                           ***
 ***                        Alternate Display Method!                          ***
 ***                                                                           ***
 *********************************************************************************
 *
 *
 * IMPORTANT: Should be of no use anymore since release 2.1.0 where I rewrote the show image method!
 *
 *
 * Activate only if EVERYTHING else doesn't work!!
 * This is a slower alternative for the show.php - display method!
 * It is used in cases the AcceptPathInfo (Apache) or similar in  iis or other webserver
 * does not work! 
 *
 * You HAVE TO enable the cache for this to work! ("resize_cache" => true) !!
 */
 
/* Use the alternate image display method?
 * values are:  yes / no
 * defaults to: no */
$config['i_see_no_images'] = "no";

/* The path to your yappa-ng installation!
 * The cache will be within this directory (a subdirectory "/cache") !
 * Will be used only if above parameter 'i_see_no_images' = set to yes! */
$config['yappa-ng_path'] = "/usr/local/httpd/htdocs/yappa-ng";






?>
