<?php

/*
 * ***********************************************************************************************
 * Filename:     image-magick.class.php
 * Module:       image-magick Class
 * Subcategory:  -
 * Description:  provides interaction with the ImageMagick library
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/image-magick.class.php,v 1.6 2003/07/20 12:15:34 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */

class ImageUtil
{
	var $_convert_path;

	function ImageUtil(&$config)
	{
		$this->_convert_path = $config["convert_path"];
		if(!file_exists($this->_convert_path)) {
			$log_msg = date("d.m.y-H:i") . "\t" . __LINE__ . "\t" . "image-magick.class.php" . "\t" . "file not found '$this->_convert_path'" . "\n";
			@error_log($log_msg, 3, "yappa-ng.error.log");
			exit("file not found '$this->_convert_path'");
		}
	}

	/* rsize the image. if destination exists make an cached image
	 * else pass the converted image directly to the webbrowser */
	function resize($src, $dst, $params)
	{

		$params_line = " -size " . $params["resize_width"] . "x" . $params["resize_height"] . " -geometry " . $params["resize_width"] . "x" . $params["resize_height"] . " -quality " . $params["quality"];

		if($dst) {
			exec("$this->_convert_path $params_line \"$src\" \"" . escapeshellcmd($dst) . "\"");
		} else {
			passthru("$this->_convert_path $params_line \"$src\" -");
		}

	}

	/* rotate the original image - src & dest are the same */
	function rotate($src, $params)
	{

		$params_line = "-quality " . $params["quality"] . " -rotate " . $params["rotate"];

		exec("$this->_convert_path $params_line \"$src\" \"" . escapeshellcmd($src) . "\"");

	}

	/* resize all the cached images unconditionally (admin-section intit album - resize) */
	function init_resize($src, $dst, $params)
	{

		$params_line = " -size " . $params["resize_width"] . "x" . $params["resize_height"] . " -geometry " . $params["resize_width"] . "x" . $params["resize_height"] . " -quality " . $params["quality"];

		exec("$this->_convert_path $params_line \"$src\" \"" . escapeshellcmd($dst) . "\"");

	}

}


?>
