<?php


/*
 * ***********************************************************************************************
 * Filename:     image_alternate_display.inc.php
 * Module:       Image Display
 * Subcategory:  -
 * Description:  Hack for systems with incorrect/missing AcceptPathInfo,
 *               meaning: they cannot use the show.php-script with trailing path_info
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/image_alternate_display.inc.php,v 1.3 2003/04/23 19:55:24 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */

 
/* Hack for systems with incorrect/missing AcceptPathInfo,
 * meaning: they cannot use the show.php-script with trailing path_info
 * Activated only if parameter 'i_see_no_images' is set to yes !
 * For activation read the comments in the config_private.inc.php and the FAQ !!!
 *
 * Script similar to show.php - but returns the image PATH - not the show.php/trailing_path/and/info
 */

/* definitions */
$album_root = $config['photo_root'] . '/' .$album_name;
$obj_path = $album_root . '/' . $image_name;
$mime_type = get_image_mime($obj_path);


if($size == "thumbnail") {
	$thumbnail_path = update_cache($album_name, $image_name, $size);
	return $thumbnail_path;
} elseif($size == "original") {
	return $obj_path;
} elseif($size == "download") {
	header("Content-Disposition: attachment; filename=$obj_name");
	readfile($obj_path);
} else {
	list($resize_width, $size_height) = split('x', $size);

	if($config["resize_cache"] && ($image_cached = update_cache($album_name, $image_name, $size))) {
		return $image_cached;
	} else {
		$cimage = new ImageResize($obj_path);
		$cimage->set_params(
		array(
			"resize_width" => $resize_width,
			"resize_height" => $resize_height,
			"quality" => $config["resize_quality"]
		)
	);

	$cimage->convert();
	}

}




?>
