<?php

/*
 * ***********************************************************************************************
 * Filename:     index.php
 * Module:       Main display unit
 * Subcategory:  -
 * Description:  Controls the complete User-Interface. Calls various other display Units on demand
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/index.php,v 1.19 2003/08/12 19:51:25 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */
require("config.inc.php");
include_once("common.php");
include_once("check_basic.inc.php");
include_once("main.php");
include_once(singleslash($config['path_lang_include'] . "language_selection.inc.php"));
include_once("passwd.inc.php");
include_once(singleslash($config['path_themes_include'] . "themes_support.inc.php"));

$print_footer = true;
?>

<!-- #### HTML starts here #### -->

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<html>

<head>
<title><?php print $config["title"]; ?></title>
<link rel="SHORTCUT ICON" href="images/favicon.ico">
<link rel=stylesheet type="text/css" href="<?php print $theme["css"]; ?>">
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $lang_akt["charset"]; ?> ">
</head>

<body bgcolor="#FFFFFF">

<!-- themes_header -->
<?php
/* TOP main selection bar - theme (Include) ************************************************************************** */

require($theme['head']);

?>

<?php
/* ALBUM Mode START *********************************************************************************** */
if($page["mode"] == "album") {
	/* Top-10 Ranking selected */
	if(rawurldecode($HTTP_GET_VARS["top10image"]) == "yes") {
		if ( $passwd_needed  == 1) {
			/* User - Password Query Screen - language-specific */
			include("passwd_query.inc.php");
		} else {
			//include("top10_images.inc.php");
			include("top10_images.inc.php");
		}
	/* Album-Info selected */
	} elseif(rawurldecode($HTTP_GET_VARS["album_info"]) == "yes") {
		if ( $passwd_needed  == 1) {
			/* User - Password Query Screen - language-specific */
			include("passwd_query.inc.php");
		} else {
			//include("top10_images.inc.php");
			include("album_info.inc.php");
		}
	/* "overview" selected */
	} elseif(rawurldecode($HTTP_GET_VARS["overview"]) == "yes") {
		include_once("overview.inc.php");
	/* "Admin - Login" selected
	 * If the login is correct (Password correct or cookie already set) it switches automatically further to the Admin-Menu */
	} elseif(rawurldecode($HTTP_GET_VARS["adminlogin"]) == "yes") {
		include_once("passwd_admin.inc.php");
	/* ok - no special view selected - so go on with thumbnail page */
	} else {
		/* LEFT Album Navigation Bar */
		/* table opens in index_leftnavbar.inc.php.
		 * Gets closed at the end of index_thumbs.inc.php.
		 * If index_thumbs.inc.php is not activated close the table here in this script !!
		 */
		include("index_leftnavbar.inc.php");
		if($page["thumbnails_tot"] > 0) {
			/* Thumbnail Array START ********************************************************************* */

			/* user-password-query  */
			if($passwd_needed == 1) {
				/* User - Password Query Screen - language-specific */
				include("passwd_query.inc.php");
				/* index_thumbs.inc.php not activatedand -> close table */
				?>
				</td></tr></table>
				<?php
			} else {
				/* no user - password required or user - password already sent */

				/* Thumbnail page including the INFO table above thumbnailarray */
				include("index_thumbs.inc.php");
			}
		} else {
			if((count($page["album_path"]) == 1) && (rawurldecode($HTTP_GET_VARS["overview"]) != "yes") && (($HTTP_GET_VARS["adminlogin"]) != "yes")) {
				// do nothing ;-)
				/* index_thumbs.inc.php not activatedand -> close table */
				@include($lang_akt["news"]);
				?>
				</td></tr></table>
				<?php
			} elseif(count($page["subalbums"]) == 0) { 
				/* here are no more subalbums AND no images -> print "no images in this album" and close table! */
				?>
				<table cellspacing="3" cellpadding="10" width="100%">
				<tr><td align="center" class="adminStatus"><?php echo $lang_akt["admin_modules_noimage"]; ?></td></tr>
				</table>
				</td></tr></table>
			<?php } else { 
				/* here are only subalbums - no images -> close table */
				?>
				</td></tr></table>
			<?php }
		}
	}
	/* if((count($page["album_path"]) == 1) && (rawurldecode($HTTP_GET_VARS["overview"]) != "yes") && (($HTTP_GET_VARS["adminlogin"]) != "yes")) {
		@include($lang_akt["news"]);
	} */
}

if($page["mode"] == "image") {

	/* user-password-query ***************************************************************************************** */
	if($passwd_needed == 1) {
		include("passwd_query.inc.php");
	} else {
		/* no userpassword needed ***************************************************************************************** 
		 * load the single-image
		 */
		include("index_image.inc.php");
	}
} ?>

<?php /*
</td></tr>
</table>
*/ ?>

<?php
if($theme["use_footer"] != "no") {
	if($print_footer){
		include($theme["footer"]);
	}
}


if($print_footer){
	require($theme["copyright-footer"]);
}

?>

</body>
</html>
