<?php

/*
 * ***********************************************************************************************
 * Filename:     index_image.inc.php
 * Module:       Main display unit
 * Subcategory:  Single-Image Mode
 * Description:  All displaycode for the single image mode
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/index_image.inc.php,v 1.8 2003/08/10 10:51:34 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */

 
/* Initializiation */




?>

<!-- #### image/ #### -->
<!-- START image navbar top -->
<table cellspacing="0" cellpadding="5" border="0" width="100%">
<tr valign="top"><td width="100%">
<table border="0" cellspacing="0" cellpadding="0" align="center" class="imageNavbar" height="40px"><tr><td>
<table border="0" cellspacing="3" cellpadding="5" height="40px">
<tr>
<td class="imagemenuCell">
<?php
/* if it is not the first image give the image-previous button */
if($page["prev"]) {
	/* if not deselected in this album give the little icon for preview of prev image */
	if ($config_album['preview_icons'] != 'no') {
		$l_help = $album->get_imageindex($page["image_name"]) - 1;
		$image_name = $album->get_imagename($l_help); 
		$l_src_prev = makeshowlink($image_name, $selected_album, $config['resize_mini']);
		/* calculate the image width/height */
		$l_path = singleslash($config['photo_root'] . "/" . $selected_album . "/" . $image_name);
		$l_size = calc_resized_width_height($l_path,$config['resize_mini']);
		?>
		<a href="<?php print $page["prev"]["link"]; ?>"><img src="<?php print $l_src_prev; ?>" name="<?php print $image_name; ?>" <?php print $l_size[2]; ?> alt="<?php print $image_name; ?>"></a></td>
	<?php } ?>
	<td class="imagemenuCell"><a class="imageLinkPrevnext" align="center" href="<?php print $page["prev"]["link"]; ?>"><?php print $lang_akt["previousi"]; ?></a>
<?php } ?>
&nbsp;(<?php print ($album->get_imageindex($page["image_name"]) + 1); ?> / <?php print $album->count_images(); ?>) &nbsp;
<?php
/* if it is not the last image give the image-next button */
if($page["next"]) { ?>
	<a class="imageLinkPrevnext" align="center" href="<?php print $page["next"]["link"]; ?> "><?php print $lang_akt["nexti"]; ?></a></td>
	<?php
	/* if not deselected in this album give the little icon for preview of next image */
	if ($config_album['preview_icons'] != 'no') {
		$l_help = $album->get_imageindex($page["image_name"]) + 1;
		$image_name = $album->get_imagename($l_help); 
		$l_src_next = makeshowlink($image_name, $selected_album, $config['resize_mini']);
		/* calculate the image width/height */
		$l_path = singleslash($config['photo_root'] . "/" . $selected_album . "/" . $image_name);
		$l_size = calc_resized_width_height($l_path,$config['resize_mini']);
		?>
		<td class="imagemenuCell" width="50px"><a href="<?php print $page["next"]["link"]; ?> "><img src="<?php print $l_src_next; ?>" name="<?php print $image_name; ?>" <?php print $l_size[2]; ?> alt="<?php print $image_name; ?>"></a>
	<?php }
}?>
</td>
<td class="imagemenuCell"> &nbsp;
<?php print $lang_akt["viewsize"]; ?>
<?php
foreach($page["resize_options"] as $resize_option) {
	if ($resize_option["geometry"] == "download" ) {
		$l_download_url = makeshowlink($page["image_name"], $selected_album, "download"); ?>
		<a class="imageLinkNav" href="<?php print $l_download_url; ?>"><?php print $resize_option["geometry"]; ?></a>
		<?php
	} else {
		if ($resize_option["selected"]) { ?>
			<b>[<?php print $resize_option["geometry"] ?>]</b>
			<?php $selected_resize = $resize_option["geometry"];
		} else { ?>
			<a class="imageLinkNav" href="<?php print htmlentities($resize_option["link"]); ?>"><?php print $resize_option["geometry"]; ?></a>
		<?php }
	}
} ?>
</td>
<td class="imagemenuCell">
<a class="imageLinkPrevnext" href="<?php print htmlentities($page["page_link"]); ?>"><?php print $lang_akt["thumbnails"]; ?></a>
</td>
</tr></table>
</td></tr></table>

<!-- END image navbar top -->

<!-- START image full view -->

<p>
<?php
/* calculate the image width/height */
$l_path = singleslash($config['photo_root'] . "/" . $selected_album . "/" . $page["image_name"]);
$l_size = calc_resized_width_height($l_path, $selected_resize);
?>
<table width="<?php echo $l_size[0]; ?>" cellspacing="0" cellpadding="4" class="imageCell" border="0" align="center">
<tr><td>
<table width="100%" border="0" cellspacing="0" cellpadding="1">
<tr><td width="40%" class="imagenameCell" align = "left">
<b><?php list($xxx, $yyy, $zzz) = $params;
if ($config_album["use_hitlog"] == "yes") {
	print $lang_akt["IHits"] . ": " . $page["info_line"]["0"]["value"];
} else {
	print " ";
}  ?></b></td>
<td width="60%" class="imagenameCell" align="right"><?php
print $lang_akt["picname"] ?><b><?php print $page["image_name"]; ?></b>
</td></tr>
<tr><td class="imagecaptionCell" colspan=2>
<?php print $page["image_info"]["caption"]; ?>
</td></tr>
<tr><td class="imagedescriptionCell" colspan=2>
<?php
for($i = 0; $i < count($page["info_line"]); $i++) {
	switch ($page["info_line"][$i]["key"]) {
		case "Size":
			print $lang_akt["ISize"] . ": " . $page["info_line"][$i]["value"] . " | " . $lang_akt["selected_size"] . ": " . $selected_resize;
			break;
		case "Hits":
			break;
		default:
			print $page["info_line"][$i]["key"] . ": " . $page["info_line"][$i]["value"];
			break;
	}
	if(($i < (count($page["info_line"]) - 1)) && ($i != 0)) {
		print " | ";
	}
} ?>
</td></tr>
</table>
</td></tr>
<tr><td height="<?php echo $hohe; ?>" align="center"><img src="<?php print $page["image_src"]; ?>" <?php print $l_size[2]; ?> alt="<?php print $page["image_name"]; ?>"></td>
</tr></table>

<br>
<?php
if(is_array($exif = $page["image_info"]["exif"])) { ?>
	<table border="0" cellspacing="0" cellpadding="2">
	<tr bgcolor="#CCCCCC"><td colspan="2"><font size="3">EXIF data</font></td></tr>
	<?php $row = 0;
	foreach(array( "CameraModel", "DateTime", "Width", "Height", "FlashUsed", "IsColor", "FocalLength", "ExposureTime",
	"ApertureFNumber", "ISOspeed") as $k) {
		echo "<tr bgcolor=\"" . ($row ? "#DDDDDD" : "#EEEEEE") . "\"><td><font size=\"2\"><b>$k</b></font></td><td><font size=\"2\">" . $exif[$k] . "</font></td></tr>\n";
		$row = 1 - $row;
	} ?>
	</table>
<?php } ?>

<!-- END image full view -->

<!-- START image navbar bottom -->
<table border="0" cellspacing="0" cellpadding="0" align="center" class="imageNavbar" height="40px"><tr><td>
<table border="0" cellspacing="3" cellpadding="5" height="40px">
<tr>
<td class="imagemenuCell">
<?php
/* if it is not the first image give the image-previous button */
if($page["prev"]) {
	/* if not deselected in this album give the little icon for preview of prev image */
	if ($config_album['preview_icons'] != 'no') {
		$l_help = $album->get_imageindex($page["image_name"]) - 1;
		$image_name = $album->get_imagename($l_help); 
		$l_src_prev = makeshowlink($image_name, $selected_album, $config['resize_mini']);
		/* calculate the image width/height */
		$l_path = singleslash($config['photo_root'] . "/" . $selected_album . "/" . $image_name);
		$l_size = calc_resized_width_height($l_path,$config['resize_mini']);
		?>
		<a href="<?php print $page["prev"]["link"]; ?>"><img src="<?php print $l_src_prev; ?>" name="<?php print $image_name; ?>" <?php print $l_size[2]; ?> alt="<?php print $image_name; ?>"></a></td>
	<?php } ?>
	<td class="imagemenuCell"><a class="imageLinkPrevnext" align="center" href="<?php print $page["prev"]["link"]; ?>"><?php print $lang_akt["previousi"]; ?></a>
<?php } ?>
&nbsp;(<?php print ($album->get_imageindex($page["image_name"]) + 1); ?> / <?php print $album->count_images(); ?>) &nbsp;
<?php
/* if it is not the last image give the image-next button */
if($page["next"]) { ?>
	<a class="imageLinkPrevnext" align="center" href="<?php print $page["next"]["link"]; ?> "><?php print $lang_akt["nexti"]; ?></a></td>
	<?php
	/* if not deselected in this album give the little icon for preview of next image */
	if ($config_album['preview_icons'] != 'no') {
		$l_help = $album->get_imageindex($page["image_name"]) + 1;
		$image_name = $album->get_imagename($l_help); 
		$l_src_next = makeshowlink($image_name, $selected_album, $config['resize_mini']);
		/* calculate the image width/height */
		$l_path = singleslash($config['photo_root'] . "/" . $selected_album . "/" . $image_name);
		$l_size = calc_resized_width_height($l_path,$config['resize_mini']);
		?>
		<td class="imagemenuCell" width="50px"><a href="<?php print $page["next"]["link"]; ?> "><img src="<?php print $l_src_next; ?>" name="<?php print $image_name; ?>" <?php print $l_size[2]; ?> alt="<?php print $image_name; ?>"></a>
	<?php }
}?>
</td>
<td class="imagemenuCell"> &nbsp;
<?php print $lang_akt["viewsize"]; ?>
<?php
foreach($page["resize_options"] as $resize_option) {
	if($resize_option["selected"]) { ?>
		<b>[<?php print $resize_option["geometry"] ?>]</b>
		<?php $selected_resize = $resize_option["geometry"];
	} else { ?>
		<a class="imageLinkNav" href="<?php print htmlentities($resize_option["link"]); ?>"><?php print $resize_option["geometry"]; ?></a>
	<?php }
} ?>
</td>
<td class="imagemenuCell">
<a class="imageLinkPrevnext" href="<?php print htmlentities($page["page_link"]); ?>"><?php print $lang_akt["thumbnails"]; ?></a>
</td>
</tr></table>
</td></tr></table>

<!-- END image navbar bottom -->

</td></tr>
</table>

<!-- #### /image #### -->
