<?php

/*
 * ***********************************************************************************************
 * Filename:     index_thumbs.inc.php
 * Module:       Main display unit
 * Subcategory:  Thumbnail Mode
 * Description:  All displaycode for the thumbnail display mode
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/index_thumbs.inc.php,v 1.8 2003/07/20 12:15:34 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */



?>
<!-- #### thumbnails/ #### -->
<table cellspacing="3" cellpadding="10" width="<?php print $page["thumb_table_width"]; ?>">
<?php
/* Title of album, Albumstats and Description */
?>
<!-- START Info-section above thumbnail-array  -->
<tr><td class="thumbnailCell" colspan="<?php print $config_album["thumbs_per_row"]; ?>">
<div class="thumbHeader">
<table class="thumbHeader" width="100%" border="0" cellspacing="0" cellpadding="0">
<tr><td class="infoAlbumStatCell">
[
<?php print $page["album_images"] . " " . $lang_akt["images"] . ", "; ?>
<?php print $page["thumb_max_page"] . " " . $lang_akt["pages"]; ?>
<?php if($page["album_hits"] > 1) { ?>, <?php print $page["album_hits"] . " " . $lang_akt["hits"]; } ?>
]
</td></tr>
<tr><td class="infoAlbumTitleCell"><?php print $page["album_title"] ? $page["album_title"] : $page["album_name"]; ?></td></tr>
<tr><td class="infoAlbumInfoCell"><?php if($page["album_comment"]) { print $page["album_comment"]; } ?>
</td></tr></table>
</div>
<!-- END Info-section above thumbnail-array  -->


<!-- next/prev page links - start -->
<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
<td width="30%" align="left"><?php
if($page["navlink_previous"]) {
	?><font class="textNavlink"><a href="<?php print htmlentities($page["navlink_previous"]); ?>"><?php print $lang_akt["previousp"]; ?></a></font><?php
}
?></td>
<td width="40%" align="center">
<table border="0" cellspacing="1" cellpadding="1"><tr>
<td><?php if($page["navlink_back"]) { ?>
	<font class="textNavlink"><a href="<?php print htmlentities($page["navlink_back"]); ?>">&lt;&lt;</a>&nbsp;</font>
<?php } ?></td>
<?php
foreach($page["navlinks"] as $navlink) {
	?><td><font class="textNavlink"><?php
	if($navlink["selected"]) {
		print "<b>" . $navlink["page"] . "</b>&nbsp;";
	} else {
		?><a href="<?php print htmlentities($navlink["link"]); ?>"><?php print $navlink["page"]; ?></a>&nbsp;<?php
	}
	?></font></td><?php
}
?>
<td><?php if($page["navlink_forw"]) { ?>
<font class="textNavlink"><a href="<?php print htmlentities($page["navlink_forw"]); ?>">&gt;&gt;</a></font>
<?php } ?></td>
</tr></table>

</td>
<td width="30%" align="right"><?php
if($page["navlink_next"]) {
?><font class="textNavlink"><a href="<?php print htmlentities($page["navlink_next"]); ?>"><?php print $lang_akt["nextp"]; ?></a></font><?php
}
?></td>
</tr></table>
</td></tr>
<!-- next/prev page links - end -->

<!-- START thumbnail array -->

<?php
/* if "Top 10" enabled, get the top10. The tablepadding of these images will get colored to mark them */
if($config_album["use_top10"] != "no") {
	$log_file_destination = $config["photo_root"] . "/" . $selected_album . "/" . $config["log_filename"];
	$hitcounter = new HitCounter($log_file_destination);
	$top10array = $hitcounter->top10();
}
$thumb_count = 0;
foreach($page["thumbnails"] as $thumb) {
	if(($thumb_count % $config_album["thumbs_per_row"]) == 0) {
		print "<tr>";
	}
	/* calculate the image width/height */
	$l_path = singleslash($config['photo_root'] . "/" . $selected_album . "/" . $thumb["alt"]);
	$l_size = calc_resized_width_height($l_path, "thumbnail");
	?>
	<td align="center" valign="top" class="thumbnailCell" width="<?php print $page["thumbnail_cell_width"]; ?>">
	<?php $markTop10 = 0;
	/* if top10 enabled, mark the top10 images with another color and the label "top xx" */
	if($config_album["use_top10"] != "no") {
		foreach($top10array as $top10thumb => $key) {
			if ($thumb["alt"] == $top10thumb) {
				$markTop10 = 1; ?>
			<?php }
		}
		if ($markTop10 == 1) { ?>
			<table class ="thumbTop10Table" border="0" cellspacing="0" cellpadding="0" width="<?php echo $config["thumb_border_width"] ?>" height="<?php echo $config["thumb_border_height"] ?>">
			<tr height="5px"><td class="thumbHeadTop10Cell" width="50%">Top <?php print $config_album["number_top10"]; ?></td><td class="thumbHeadCommentCell" width="50%">&nbsp;</td></tr>
		<?php } else {  ?>
			<table class="thumbStandardTable" border="0" cellspacing="0" cellpadding="0" width="<?php echo $config["thumb_border_width"] ?>" height="<?php echo $config["thumb_border_height"] ?>">
			<tr height="5px"><td class="thumbHeadTop10Cell" width="50%">&nbsp;</td><td class="thumbHeadCommentCell" width="50%">&nbsp;</td></tr>
		<?php }
	} else { ?>
		<table class="thumbStandardTable" border="0" cellspacing="0" cellpadding="0" width="<?php echo $config["thumb_border_width"] ?>" height="<?php echo $config["thumb_border_height"] ?>">
		<tr height="5px"><td class="thumbHeadTop10Cell" width="50%">&nbsp;</td><td class="thumbHeadCommentCell" width="50%">&nbsp;</td></tr>
	<?php } ?>
	<tr><td  colspan="2" align="center"><a href="<?php print $thumb["link"]; ?>"><img src="<?php print $thumb["src"]; ?>"  <?php print $l_size[2]; ?>  alt="<?php
	/* alt = imagename or "please click this image to view!" or similar text from */
	if ($config_album["thumbnail_alt"] == "imagename") {
		print $thumb["alt"]; ?>" name="<?php print $thumb["alt"];
	} else {
		print $lang_akt["thumb_alt"]; ?>" name="<?php $lang_akt["thumb_alt"];
	} ?>" border="0"></a><br>
	<?php if ($config_album["show_image_names"] == "yes") { ?>
		<a class="linkImage" href="<?php print $thumb["link"]; ?>"><?php print $thumb["alt"]; ?></a>
	<?php } ?>
	</td>
	</tr>
	<tr height="5px"><td class="thumbHeadTop10Cell" colspan = 2 width="100%" align="center">
	<?php if (($config_album["show_image_hits"] != "no") && ($config_album["use_hitlog"] != "no")) { 
		$lhelp = $thumb["image_hits"] ? $thumb["image_hits"] : 0;
		print $lang_akt["IHits"] . ": " . $lhelp;
	} else { ?>
		&nbsp;
	<?php } ?>
	</td></tr></table>
	<?php if($thumb["caption"]) { ?>
		<table width="<?php echo $config["thumb_border_width"] ?>"><tr>
		<td><font class="textImageCaption"><?php print $thumb["caption"]; ?></font></td>
		</tr></table>
	<?php } ?>

	</td>
	<?php
	$thumb_count++;
	if((($thumb_count % $config_album["thumbs_per_row"]) == 0) ||  ($page["album_images"] == $thumb_count)) {
		print "</tr>";
	}
} ?>

<!-- END thumbnail array -->


<!-- next/prev page links - start -->
<tr><td class="thumbnailCell" colspan="<?php print $config_album["thumbs_per_row"]; ?>">
<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>
<td width="30%" align="left"><?php
if($page["navlink_previous"]) {
	?><font class="textNavlink"><a href="<?php print htmlentities($page["navlink_previous"]); ?>"><?php print $lang_akt["previousp"]; ?></a></font><?php
}
?></td>
<td width="40%" align="center">
<table border="0" cellspacing="1" cellpadding="1"><tr>
<td><?php if($page["navlink_back"]) { ?>
	<font class="textNavlink"><a href="<?php print htmlentities($page["navlink_back"]); ?>">&lt;&lt;</a>&nbsp;</font>
<?php } ?></td>
<?php
foreach($page["navlinks"] as $navlink) {
	?><td><font class="textNavlink"><?php
	if($navlink["selected"]) {
		print "<b>" . $navlink["page"] . "</b>&nbsp;";
	} else {
		?><a href="<?php print htmlentities($navlink["link"]); ?>"><?php print $navlink["page"]; ?></a>&nbsp;<?php
	}
	?></font></td><?php
}
?>
<td><?php if($page["navlink_forw"]) { ?>
<font class="textNavlink"><a href="<?php print htmlentities($page["navlink_forw"]); ?>">&gt;&gt;</a></font>
<?php } ?></td>
</tr></table>

</td>
<td width="30%" align="right"><?php
if($page["navlink_next"]) {
?><font class="textNavlink"><a href="<?php print htmlentities($page["navlink_next"]); ?>"><?php print $lang_akt["nextp"]; ?></a></font><?php
}
?></td>
</tr></table>
</td></tr>
<!-- next/prev page links - end -->

</table>

<?php
/* close table opened in index_leftnavbar.inc.php */
?>
</td></tr></table>


<!-- #### /thumbnails #### -->
