<?php
/*
 * ***********************************************************************************************
 * Filename:     lang_esp.inc.php
 * Module:       Language-Module
 * Subcategory:  Spanish Language File (Espaol)
 * Description:  Includes all Languagestrings for the Spanish Language
 * Remark:       Translated by Jos Jorge Enrquez Rodrguez <ejorge19@hotmail.com>
 *               Most parts of Admin-Module translated (some are still in English)!
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger, Jos Jorge Enrquez Rodrguez [translated text]
 * $Header: /cvsroot/yappa-ng/yappa-ng/languages/lang_esp.inc.php,v 1.12 2003/07/30 20:46:33 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html  (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */


/*
 * HOWTO:
 *
 * How To create a *NEW* language:
 * ===============================
 *
 * Please read in the file LANGUAGES_SUPPORT in the yappa-ng docs-directory!
 *
 *
 * PLEASE:	if you create a new language file (translate this one)
 *		email it to me!! (wizard@zirkon.at)
 *		THANK YOU !!
 *
 */

$language_new = array(


/* ====================================
 *
 * you *may* change everything below here if you are not
 * satisfied with the translations / wordings   ;-)
 *
 * But *PLEASE* only on the *RIGHT* side !!!!!
 *
 * If you are creating a new language file
 * you HAVE TO translate every single item in the list below
 * ON THE RIGHT (not left) SIDE !!!!!!!!
 *
 * ==================================== */

/* Language Selection */
"language" => "Idioma",

/* return to previous album */
"back" => "Atr&aacute;s",

/* descriptor/counter pages */
"pages" => "p&aacute;ginas",

/* descriptor/counter: image/images */
"image" => "imagen",
"images" => "im&aacute;genes",

/* descriptor/counter: album/albums */
"album" => "lbum",
"albums" => "lbumes",

/* mark an empty album in left navbar */
"empty" => "empty album",

/* hits (album-hits) */
"hits" => "visitas",

/* Hits (image-hits)*/
"IHits" => "Vistas de Imagen",

/* Size (image-original-size)*/
"ISize" => "Tama&ntilde;o original",

/* Selected Size */
"selected_size" => "Tama&ntilde;o de vista actual",

/* picture-name */
/* to leave it out just set the string to zero [ "" ] */
"picname" => "Nombre de archivo de la imagen: ",

/* next/previous Page */
"nextp" => "p&aacute;gina siguiente &gt;",
"previousp" => "&lt; p&aacute;gina anterior",

/* next/previous image */
"nexti" => "imagen siguiente &gt;",
"previousi" => "&lt; imagen anterior",

/* Change View Size */
"viewsize" => "Cambiar tama&ntilde;o de la vista: ",
"change" => "Cambiar",

/* show thumbnails */
"thumbnails" => "mostrar miniaturas",

/* exif - informations */
"exifdata" => "Informaci&oacute;n EXIF",
"cameramodel" => "Modelo de c&aacute;mara",
"datetime" => "Fecha",
"width" => "Ancho",
"hight" => "Altura",
"flash" => "Flash",
"color" => "A Color",
"focal" => "Longitud del Foco",
"exposure" => "ExposureTime",
"arperture" => "ArpertureFNumber",
"isopeed" => "ISOspeed",

/* thumbnail description ("alt="-text), if selected in config_album.inc.php: "thumbnail_alt" => "text" */
"thumb_alt" => "&#161;Haz clic en la imagen para verla!",

/* help */
"help" => "Ayuda",

/* Admin-Login */
"adminlogin" => "Admin-Login",

/* home */
"home" => "Home",

/* Submit */
"submit" => "Submit",

/* ************************************************************
 * ***                                                      ***
 * ***              ===> Top 10 Images <===                 ***
 * ***                                                      ***
 * ************************************************************
 *
 */

/* selection in thumbnail view */
/* View the Top x pictures of this gallery */
"t10_selection1" => "Ver las ",
"t10_selection2" => " im&aacute;genes de esta galer&iacute;a",

/* Header: Top x "Images" */
"t10_top" => "Top",
"t10_images" => "Im&aacute;genes",

/* back to thumbnailview */
"t10_back" => "Volver a vista de miniaturas",

/* ===> gallery HTT - Statistics <=== */
/* Diese Galerie wurde bisher "xxx" mal aufgerufen */
/* As of now this gallery was viewed "xxx" times */
"t10_line1_part1" => "Hasta hoy esta galer&iacute;a ha sido visitada ",
/* xxx */
"t10_line1_part2" => " veces.",

/* Es befinden sich "yyy" Bilder in dieser Galerie. */
/* "yyy" pictures are in this gallery */
"t10_line2_part1" => "",
/* yyy */
"t10_line2_part2" => " im&aacute;genes en esta galer&iacute;a.",

/* Diese "xxx" Bilder wurden insgedsamt "yyy" mal einzeln angesehen. */
/* "yyy" pictures are in this gallery */
"t10_line3_part1" => "En conjunto estas ",
/* xxx */
"t10_line3_part2" => " im&aacute;genes fueron vistas ",
/* yyy */
"t10_line3_part3" => " veces en vista sencilla.",

/* Das sind durchschnittlich "xxx" Aufrufe pro Bild. */
/* On an average these are "xxx" calls per image */
"t10_line4_part1" => "En promedio hay ",
/* yyy */
"t10_line4_part2" => " vistas por imagen.",

/* ===> gallery Support - Statistics <=== */
/* german language */
"t10_fileinfo_ger" => "Alem&aacute;n",
/* english language */
"t10_fileinfo_eng" => "Ingl&eacute;s",
/* Has this gallery descriptions for individual images ? */
"t10_fileinfo_cap" => " Esta galer&iacute;a tiene descripciones individuales por imagen ?  ",
/* Has this gallery a title and a short description ? */
"t10_fileinfo_inf" => " Tiene la galer&iacute;a t&iacute;tulo y descripci&oacute;n ?  ",
/* Has this gallery a special Report ? */
"t10_fileinfo_rep" => " Tiene la galer&iacute;a un Reporte Especial del evento ?  ",
/* Is this gallery password-protected ? */
"t10_fileinfo_pwd" => " Est&aacute; la galer&iacute;a protegida con contrase&ntilde;a ?  ",

/* ===> top 10 table <=== */
/* Table-Header: Image (Bild)*/
"t10_himage" => "Imagen",
/* Table-Header: Hits (Aufrufe)*/
"t10_hhits" => "Vistas",
/* Table-Header: Ranking (if use_hitlog is off)*/
"t10_hhitsb" => "Ranking",
/* Table-Header: Caption (Beschreibung)*/
"t10_hcaption" => "Descripci&oacute;n de la imagen",

/* ************************************************************
 * ***                                                      ***
 * ***                ===> Album-Info <===                  ***
 * ***                                                      ***
 * ************************************************************
 *
 */

/* Album-Info */
"album_info" => "Album-Info",
/* Album Title / Album Info */
"ai_title" => "Album Title / Album Info",
/* Image Captions */
"ai_captions" => "Image Captions",
/* Album Report */
"ai_report" => "Album Report",
/* Legend */
"ai_legend" => "Legend",
/* Currently selected and used Language */
"ai_l_selused" => "Currently selected and used Language",
/* Default Language configured (not selected) */
"ai_l_def" => "Default Language configured (not selected)",
/* Currently Selected Language = Default Language */
"ai_l_SelDef" => "Currently Selected Language = Default Language",
/* Language-dependent Files */
"ai_l_dep" => "Language-dependent Files",
/* File not availlable */
"ai_l_not" => "File not availlable",
/* File availlable, but not used */
"ai_l_nouse" => "File availlable, but not used",
/* File availlable and used */
"ai_l_used" => "File availlable and used",
/* Has this Album 'Language Autodetect' enabled? */
"ai_auto" => "Has this Album 'Language Autodetect' enabled?",
/* Has this Album 'Intuitive Language Management' enabled? */
"ai_intuitive" => "Has this Album 'Intuitive Language Management' enabled?",


/* ************************************************************
 * ***                                                      ***
 * ***              ===> Password Query <===                ***
 * ***                                                      ***
 * ************************************************************
 *
 * If you do NOT use "Password Query"
 * [ putting a file with name passwd.inc.php into the album directory ]
 * THAN you can ignore these settings !
 */

/* STOP! */
"passwd_stop" => "ALTO!",

/* You need a password to view the pictures of the album: */
"passwd_Uneed1" => "Se requiere contrase&ntilde;a para poder accesar a las im&aacute;genes de la
galer&iacute;a:",
"passwd_Uneed2" => "",

/* Please enter the password! */
"passwd_enterpwd" => "Por favor introduzca la contrase&ntilde;a!",

/* Password:  */
"passwd_passwd" => "Contrase&ntilde;a: ",

/* Send! */
"passwd_send" => "Enviar!",

/* If you are of the opinion to be <b>authorized for approval to view these photos</b>, but: */
"passwd_line1" => "Si piensas que debieras <b>estar autorizado para ver estas fotos</b>, pero:",

/* - you haven't got a password <b>or</b> */
"passwd_line2" => "- no cuentas con contrase&ntilde;a <b>o</b>",

/* - you have forgotten your password */
"passwd_line3" => "- haz olvidado tu contrase&ntilde;a",

/* please <b>write an email to: */
"passwd_line4" => "por favor <b>env&iacute;a un email a: ",

/*  containing the following points: */
"passwd_line5" => " con los siguientes puntos:",

/* - your real name */
"passwd_line6" => "- tu nombre real",

/* - write reasons, why you are authorized, */
"passwd_line7" => "- las razones por las cuales tienes acceso,",

/* - to which photo-album you want to have access!  */
"passwd_line8" => "- la galer&iacute;a a la que deseas tener acceso! ",

/* ************************************************************
 * ***                                                      ***
 * ***          ===> ADMIN - Password Query <===            ***
 * ***                                                      ***
 * ************************************************************
 *
 * This is the dialog for ADMIN-Login
 * Parts are taken from the "User-Password Query"
 */

/* Admin access */
"passwd_admin_access" => "Administraci&oacue;n",

/* Cancel */
"passwd_admin_cancel" => "Cancelar",

/* Please enter the admin-password! */
"passwd_admin_enterpwd" => "Por favor introduce la contrase&ntilde;a de Administrador!",

/* You need a password to Administrate the album: */
"passwd_admin_Uneed1" => "Se requiere contrase&ntilde;a para administrar la galer&iacute;a:",
"passwd_admin_Uneed2" => "",

/* If you are of the opinion to be <b>authorized for approval to configure this album</b>, but: */
"passwd_admin_line1" => "Si piensas que debieras <b>tener autorizaci&oacute;n para configurar esta
galer&iacute;a</b>, pero:",

/* - which photo-album you want to configure!  */
"passwd_admin_line8" => "- la galer&iacute;a que deseas configurar! ",


/* ************************************************************
 * ***                                                      ***
 * ***             ===> Gallery Overview <===               ***
 * ***                                                      ***
 * ************************************************************
 */

/* Overview - Title in the left albumselection-bar */

"ov_overview" => "Vista general de todos los lbumes",


/* ************************************************************
 * ***                                                      ***
 * ***               ===> Themes Support <===               ***
 * ***                                                      ***
 * ************************************************************
 */

/* Theme / Template (Vorlage) */
"header_theme" => "Templete:",

/* header display text */
"header_txt" =>
"La&nbsp;Galer&iacute;a&nbsp;de&nbsp;Fotos&nbsp:Online&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<br>Fotos
Originales y Hospedaje de Fotos",

/* date format for header
 * 1 == xx. Month year
 * 2 == Month, xxth(st) year
 * if you need special formats for your language PLEASE conact me!!
 */
"dateform" => "1",

/* Name of month */
"january" => "Enero",
"february" => "Febrero",
"march" => "Marzo",
"april" => "Abril",
"may" => "Mayo",
"june" => "Junio",
"july" => "Julio",
"august" => "Agosto",
"september" => "Septiembre",
"october" => "Octubre",
"november" => "Noviembre",
"december" => "Deciembre",


/* ************************************************************
 * ***                                                      ***
 * ***                ===> Admin Module <===                ***
 * ***                                                      ***
 * ************************************************************
 */

/* If you are in the process of translating this file and are now at this point:
 *
 * From here on there is *very* much text to translate!
 * In my opinion most of the admins (who install this program ?)
 * will know at least a little bit of the english language
 * (it IS the main internet language at the moment and will be for long!!)
 * [just for info (= jfi): my native language is german - i am from Austria (NOT Germany, NOT
Australia!!!)
 * so there may be translation errors!! ]
 * SO: if you let everything below here in the english language
 * and translate everything above this point I would be very happy!!
 * But IF you have the time AND the knowledge (no automated internet translaten service is good
enough!)
 * that would be absolute SUUPER!!
 * However: if you have the compete translation or "only" till here:
 * PLEASE email the translated file to: wizard@zirkon.at
 * THANK you IN ADVANCE (= TIA)  ;-)
 *
 * /wizard
 */

/* ************************************************************
 * ***              ===> Admin: General <===                ***
 * ************************************************************
 */

/* DEMO MODE */
"admin_modules_demo" => "YAPPA-ng MODO DEMO",
/* No images in this album! */
"admin_modules_noimage" => "&#161;No hay im&aacute;genes en esta galer&iacute;a!",

/* ************************************************************
 * ***             ===> Admin Left Navbar <===              ***
 * ************************************************************
 */
/* Logout */
"logout" => "Salir",
/* Currently processed Album */
"current_album" => "Galer&iacute;a procesado actualmente",
/* General Settings */
"general_t" => "Configuraci&oacute;n General",
/* General Album Settings */
"admin_main_hmain" => "Configuraci&oacute;n General de la galer&iacute;a",
/* Create New Album */
"admin_new_hmain" => "Crear Nueva Galer&iacute;a",
/* Upload Images */
"admin_upload_hmain" => "Subir Im&aacute;genes",
/* Delete Images */
"admin_delimage_hmain" => "Borrar Im&aacute;genes",
/* Change Admin Password */
"admin_cpwdadmin_hmain" => "Cambiar Contrase&ntilde;a de Administraci&oacute;n",
/* Delete Album */
"admin_deldir_hmain" => "Borrar Galer&iacute;a",
/* Set/Delete User Password */
"admin_cpwduser_hmain" => "Configurar/Borrar Contrase&ntilde;a de Usuario",
/* Language Specific Settings */
"lang_spec" => "Opciones de Idioma",
/* Edit Image-Captions */
"admin_capt_hmain" => "Editar Subt&iacute;tulos de Imagen",
/* Edit Album Description */
"admin_info_hmain" => "Editar Descripci&oacute;n de la Galer&iacute;a",
/* Link/Unlink External Files */
"link_ext" => "Agregar/Quitar Archivos Externos",
/* Rotate Images */
"admin_rotimage_hmain" => "Rotar Im&aacute;genes",
/* Detailed Album Info */
"admin_ainfo_hmain" => "Informaci&oacute;n de Galer&iacute;a",
/* Initialize Album */
"admin_init_hmain" => "Inicializar Galer&iacute;a",


/* ************************************************************
 * ***           ===> Admin MAIN - Module <===              ***
 * ************************************************************
 */

/* Display the Image-Hits of this album? */
"admin_main_hitlogh" => "&#191;Mostrar el n&uacute;mero de visitas a esta galer&iacute;a?",
/* Display the Image-Hits of this album? explained... */
"admin_main_hitlogfull" => "&#191;Deseas emplear el contador para las im&aacute;genes de esta
galer&iacute;a?
  Puedes escoger entre mostrar las vistas de las im&aacute;genes bajo las miniaturas, como un
Top-10 y con las im&aacute;genes normales.
  Si eliges no, el contador llevar&aacute;a la cuenta de cualquier forma, y puedes activarlo
cuando gustes.
  &#161;Si habilitas la opci&oacute;n de Ranking-Top-X-Im_&aacute;genes, se mostrar&aacute;a el
ranking en lugar de las visitas!",
/* Yes */
"yes" => "Si",
/* Yes */
"no" => "No",
/* Let the users comment the images? (Not implemented yet!) */
"admin_main_comh" => "&#191;Permitir a los usuarios escribir comentarios? (&#161;A&uacute;n no
implementado!)",
/* Let the users comment the images? (Not implemented yet!) explained.... */
"admin_main_comfull" => "&#191;Deseas permitir a los visitantes escribir comentarios sobre las
  im&aacute;genes de esta galer&iacute;a? Los comentarios se mostrar&aacute;n bajo la imagen en el
modo de vista Sencilla. Habr&aacute; un indicador
  sobre la miniatura en el modo de vista de miniaturas si existe al menos un comentario para la
imagen. &#161;Cualquier persona podr&aacute; enviar un comentario!",
/* How to sort the images of this album? */
"admin_main_isorth" => "&#191;C&oacute;mo ordenar las im&aacute;genes de este album?",
/* How to sort the images of this album? explained....*/
"admin_main_isortfull" => "Configurar el tipo de orden para las im&aacute;genes de esta
galer&iacute;a.
  Si seleccionas ninguno, no habr&aacute; ning&uacute;n ordenamiento.
  Si seleccionas por nombre de archivos, entonces tosas las im&aacute;genes se ordenar&aacute;n
alfab&eacute;ticamente.
  Y si seleccionas fecha, todas las im&aacute;genes ser&aacute;n ordenadas de acuerdo a la fecha
en la que se agregaron las im&aacute;genes.",
/* isort radios */
"admin_main_isortradio1" => "nombre de archivo",
"admin_main_isortradio2" => "fecha",
"admin_main_isortradio3" => "ninguno",
"admin_main_isortradio4" => "vistas de imagen",
"admin_main_isortradio5" => "subt&iacute;tulos de imagen",
/* IMPORTANT:*/
"admin_main_isortimportant" => "IMPORTANTE: ",
/* Sorting order based on image-captions is different for every language because....*/
"admin_main_isortimp2" => "&#161;El ordenamiento basado en los subt&iacute;tulos de las
im&aacute;genes es diferente para cada idioma debido a que
        se cuenta con un archivo de subt&iacute;tulos (captions) diferentes para cada idioma!",
/* Sort the images Ascending or Descending? */
"admin_main_sortadh" => "&#191;Ordenar las im&aacute;genes de manera Ascendente o Descendente?",
/* Sort the images Ascending or Descending? explained....*/
"admin_main_sortadfull" => "De acuerdo a tu decisi&oacute;n anterior: &#191;Te gustar&iacute;a
ordenar las im&aacute;genes de manera ascendente o descendente?
  (p. ej. si has seleccionado ordenar por nombre de archivo: &#191;deseas que se inicie con a o
con z?)
  (&#161;Si seleccionaste ordenar por ninguno esta opci&oacute;n ser&aacute; ignorada!)",
/* sortad radios */
"admin_main_sortadradio1" => "ascendente",
"admin_main_sortadradio2" => "descendente",
/* Display mini-preview images for the previous/next image in single image view? */
"admin_main_minih" => "Display mini-preview images for the previous/next image in single image view?",
/* Display mini-preview images for the previous/next image in single image view? explained.... */
"admin_main_minifull1" => "yappa-ng can display mini-preview images with the size ",
/* here is the size parameter (default 50x50) displayed */
"admin_main_minifull2" => " with the image of the previous and the next image before and after the previous image/next image link.
        It is a nice littel feature!",


/* Header: Thumbnail Display Settings */
"admin_main_hthumb" => "Configuraci&oacute;n de la vista de miniaturas",
/* How many Thumbnails per row? */
"admin_main_perrowh" => "How many Thumbnails per row?",
/* How many Thumbnails per row? explained....*/
"admin_main_perrowfull" => "How many thumbnails do you want to display in a row on one page?",
/* Number of thumbs per row*/
"admin_main_perrowtext" => "Number of thumbs per row",
/* How many Thumbnail rows? */
"admin_main_rowsh" => "How many Thumbnail rows?",
/* How many Thumbnail rows? explained....*/
"admin_main_rowsfull" => "How many rows of thumbnails do you want to display on one page?",
/* Number of thumbnail rows*/
"admin_main_rowstext" => "Number of thumbnail rows",
/* Alt-Text of thumbnails? */
"admin_main_alth" => "Alt-Text of thumbnails?",
/* Alt-Text of thumbnails? explained....*/
"admin_main_altfull" => "During loading of the thumbnail and if you hold the mousepointer over a
thumbnail
  a text will be displayed.Should there be the filename of the image (thumbnail) or should there
be a text, saying
  Click on the image to view!?",
/* Special Alt-Text */
"admin_main_altradio1" => "Special ALT-text",
/* Imagename */
"admin_main_altradio2" => "Imagename",
/* Display imagenames under the thumbnails? */
"admin_main_imagenameh" => "Display imagenames under the thumbnails?",
/* Display imagenames under the thumbnails? explained....*/
"admin_main_imagenamefull" => "Do you want to display the filenames under the thumbnails.
  The filename has a link (the same as the thumbnail itself) to the image in the
Single-Image-View. If you say
  no than no filename will be displayed under the thumbnail.",

/* Display image hits under the thumbnails? */
"admin_main_hitsthumbh" => "&#191;Mostrar vistas de imagen bajo las miniaturas?",
/* Display image hits under the thumbnails? explained....*/
"admin_main_hitsthumbfull" => "&#191;Deseas mostrar las vistas de imagen de acuerdo al contador
   bajo las miniaturas?. Si seleccionas no entonces no se mostrar&aacute; ning&uacute;n indicador
de vistas bajo la miniatura.",

/* Header: Top-X Ranking of Images */
"admin_main_htop10" => "Top-X de Im&aacute;genes",
/* How many Thumbnails per row? */
"admin_main_top10h" => "&#191;Mostrar las visitas del Top X de esta galer&iacute;a?",
/* Display the Top X Image-Hits of this album? explained....*/
"admin_main_top10full" => "&#191;Deseas mostrar las im&aacute;genes Top X con estad&iacute;sticas
para esta galer&iacute;a?
  Se mostrar&aacute; como un bo&oacute;n/enlace en la barra de menu superior.",
/* Number of images in the Top-X ranking? */
"admin_main_numbertop10h" => "&#191;N&uacute;mero de im&aacute;genes en el Top-X?",
/* Number of images in the Top-X ranking? explained....*/
"admin_main_numbertop10full" => "SI (!!) empleas el Ranking Top-X de Im&aacute;genes en esta
galer&iacute;a:
  &#191;Cu&aacute;ntas im&aacute;genes deseas contar en el Top-X?
  (&#161;Esta opci&oacute;n ser&aacute; ignorada si no empleas la opci&oacute;n del Top10!)",
/* Number of images in the Top-X ranking? */
"admin_main_numbertop10text" => "N&uacute;mero de im&aacute;genes en el Ranking Top-X",

/* Mark the Top-X on the thumbnail-page? */
"admin_main_marktop10h" => "&#191;Se&ntilde;alar Top-X en la p&aacute;gina de miniaturas?",
/* Mark the Top-X on the thumbnail-page? explained....*/
"admin_main_marktop10full" => "&#191;Deseas indicar las im&aacute;genes que se encuentran en el
Top-X de esta galer&iacute;a en la vista de miniaturas?
  Estas im&aacute;genes tendr&aacute;n una se&ntilde;al Top-X en la esquina superior izquierda del
borde de la miniatura.
  Tambi&eacute;n se tiene un fondo diferente para las im&aacute;genes del Top-X.
  (&#161;Esta opci&oacute;n s&oacute;lo se emplea si habilitas la opci&oacute;n del Top-X!).",

/* Status1: The Configfile was successfully written */
"admin_main_status1" => "El archivo de configuraci&oacute;n fue escrito exitosamente. ",
/* Status2: ERROR while writing the config-file. No file was written! */
"admin_main_status2" => "&#161;ERROR al escribir el archivo de configuraci&oacute;n! &#161;No se
escribi&oacute;! ",
/* Status2: ERROR!! Type in only NUMBERS! No file was written!  */
"admin_main_status3" => "&#161;&#161;ERROR!! &#161;Introduce s&oacute;lo N&Uacute;MEROS mayores
que cero! &#161;No se escribi&oacute;!",



/* ************************************************************
 * ***      ===> Admin: Admin Passwort - Module <===        ***
 * ************************************************************
 */

/* DEMO: You CANNOT change the admin Password! */
"admin_cpwdadmin_demo2" => "&#161;Esta es la raz&oacute;n por la cual NO PUEDES cambiar la
contrase&ntilde;a de administraci&oacute;n!",
/* CHANGE the existing Admin-Password*/
"admin_cpwdadmin_changepwd" => "CAMBIAR la Contrase&ntilde;a de Administrador",
/* CHANGE the existing Admin-Password explained............*/
"admin_cpwdadmin_changepwdfull" => "Cambiar la contrase&ntilde;a de administraci&oacute;n.
&#161;No se admite una contrase&ntilde;a vac&iacute;a! No puedes emplear la contrase&ntilde;a
est&aacute;ndar de yappa-ng 'nonono'!",
/* Please type in the admin-password */
"admin_cpwdadmin_text1" => "Por favor introduce la contrase&ntilde;a de administrador",
/* Please RETYPE the admin-password */
"admin_cpwdadmin_text2" => "Por favor VUELVE a introducir la contrase&ntilde;a de administrador",

/* Status1: Password SET / CHANGED */
"admin_cpwdadmin_status1" => "La contrase&ntilde;a de administrador fue cambiada con &eacute;xito.",
/* Status3: Default password not permitted! */
"admin_cpwdadmin_status3" => "&#161;&#161;&#161;&#161;La contrase&ntilde;a default NO es
permitida!! TODO administrador de yappa-ng lo sabe!!!!",
/* Status5: Demo-Mode! Admin-Password not changed! */
"admin_cpwdadmin_status5" => "&#161;Modo Demo! &#161;No se cambi&oacute; la contrase&ntilde;a de
Administrador!!!",

/* SET a new password for the Upload-User*/
"admin_cpwdadmin_setuploaduser" => "SET a new password for the Upload-User",
/* SET a new password for the Upload-User explained.... */
"admin_cpwdadmin_setuploaduserfull" => "SET here the password for an upload-user. If anyone types in THIS password at the Admin-Login,
	this user will get a minimalized Admin-Menu with only Info / Upload / Rotate / Initialize and Edit Image Captions enabled.
	This user will have NO access to all other Admin-functions!<br>
	If NOT SET the Upload-User will be DISABLED!",

/* CHANGE or DELETE the existing password for the Upload-User*/
"admin_cpwdadmin_changeuploaduser" => "CHANGE or DELETE the existing password for the Upload-User",
/* CHANGE or DELETE the existing password for the Upload-User explained.... */
"admin_cpwdadmin_changeuploaduserfull" => "CHANGE or DELETE the existing password for an upload-user. The upload-user has no possibility to change
	this password - you will have to do it for him/her. If you want to DISABLE the Upload-User please just mark the box (no password needed).",
/* DELETE (=disable) Upload-User */
"admin_cpwdadmin_deluploaduser" => "DELETE (=disable) Upload-User",
/* Please type in the password for the Upload-User */
"admin_pwduploaduser_text1" => "Please type in the password for the Upload-User",
/* Please RETYPE the password for the Upload-User */
"admin_pwduploaduser_text2" => "Please RETYPE the password for the Upload-User",

/* ************************************************************
 * ***       ===> Admin: User Passwort - Module <===        ***
 * ************************************************************
 */

/* At the moment there is no userpassword set */
"admin_cpwduser_notset" => "&#161;No se ha configurado la contrase&ntilde;a de usuario!",
/* The Userpassword for this album at the moment is:  */
"admin_cpwduser_isset" => "La contrase&ntilde;a de usuario para esta Galer&iacute; es:  ",
/* SET / CHANGE or DELETE the existing Userpassword*/
"admin_cpwduser_changepwd" => "ESTABLECER / CAMBIAR o ELIMINIAR la contrase&ntilde;a de usuario
existente",
/* SET or Delete explained....... */
"admin_cpwduser_changepwdfull" => "Si eliminas una contrase&ntilde;a de usuario existente todos
podr&aacute;n ver las im&aacute;genes de esta galer&iacute;au. &#161;&#161;No se necesita eliminar
una contrase&ntilde;a existente antes de cambiarla!!",
/* set new / change existing userpassword */
"admin_cpwduser_changeradio" => " establecer nueva / cambiar contrase&ntilde;a de usuario",
/* delete existing userpassword */
"admin_cpwduser_deleteradio" => " eliminar contrase&ntilde;a de usuario",
/* Userpassword Case-Sensitive? */
"admin_cpwduser_csensh" => "&#191;Contrase&ntilde;a de usuario sensible a May&uacute;sculas?",
/* Userpassword Case-Sensitive explained (uppercase / lowercase)..... */
"admin_cpwduser_csensfull" => "&#191;La comparaci&oacute;n entre la contrase&ntilde;a guardada y
la introducida por el usuario debe distinguir entre may&uacute;sculas y min&uacute;sculas?
(&#161;&#161;Si cambias esta opci&oacute;n debes proporcionar la contrase&ntilde;a nuevamente a
los usuarios!!)",
/* case-sensitive */
"admin_cpwduser_yesradio" => " sensible a may&uacute;sculas?",
/* case-INsensitive */
"admin_cpwduser_noradio" => " NO sensible a may&uacute;sculas?",
/* User Passwort Input */
"admin_cpwduser_pwdh" => "Introducci&oacute;n de la Contrase&ntilde;a de Usuario",
/* User Passwort Input explained.........*/
"admin_cpwduser_pwdfull" => "Aqu&iacute; estableces / cambias la contrase&ntilde;a de usuario.
&#161;No se permite una contrase&ntilde;a vac&iacute;a! &#161;Por favor recuerda que el usuario
debe introducir EXACTAMENTE (may&uacute;sculas y min&uacute;sculas) la contrase&ntilde;a si has
activado la opci&oacute;n 'sensible a may&uacute;sculas'!",
/* Please type in the userpassword */
"admin_cpwduser_pwdtxt1" => " Por favor introduce el la contrase&ntilde;a de usuario",
/* Please RETYPE the userpassword */
"admin_cpwduser_pwdtxt2" => " Por favor REINTRODUCE la contrase&ntilde;a de usuario",
/* Status1: Password SET / CHANGED */
"admin_cpwduser_status1" => "La contrase&ntilde;a de usuario ha sido establecida / cambiada
exitosamente.",
/* Status2: Passwords don't match - no change! */
"admin_cpwduser_status2" => "&#161;Las contrase&ntilde;as no coinciden! &#161;No se realiz&oacute;
el cambio!",
/* Status3: Password deleted! */
"admin_cpwduser_status3" => "La contrase&ntilde;A de usuario fue eliminada con &eacute;xito.",
/* Status4: Empty Password - no change! */
"admin_cpwduser_status4" => "&#161;Contrase&ntilde;a vac&iacute;a! &#161;No se realiz&oacute; el
cambio!",

/* ************************************************************
 * ***     ===> Admin: Create New Album - Module <===       ***
 * ************************************************************
 */

/* Explanation: The New Album will be a subalbum of the current album: */
"admin_new_expl1" => "Explicaci&oacute;n: La nueva galer&iacute;a ser&aacute; una
subgaler&iacute;a de la actual: ",
/* Should you want it to be a subdirectory of any other album you havbe to log into the selected
album as admin and create the new album from there! */
"admin_new_expl2" => "&#161;Si desea crear un subdirectorio de otra galer&iacute;a debe entrar
como administrador a esa galer&iacute;a y crear la nueva galer&iacute;a desde ah&iacute;!",
/* DEMO: You cannot set the admin Password! */
"admin_new_demo2" => "&#161;Esta es la raz&oacute;n por la que NO puede configurar la
contrase&ntilde;a de administrador! (Ser&aacute;a 'nonono')",
/* Name of the Album (Name of the directory)*/
"admin_new_nameosh" => "Nombre de la galer&iacute;a (Nombre del directorio)",
/* Name of the Album (Operating System) explained............*/
"admin_new_nameosfull" => "Por favor introduce el nombre de la nueva galer&iacute;a (&#161;solo el
nombre del directorio - no la ruta (path)!). Este es el nombre del directorio en su disco duro,
  y NO el nombre que los usuarios ver&aacute;n despu&eacute;s. &#161;SIN espacios, SIN caracteres
especiales and NO umlauts!
  &#161;Este nombre de directorio NO puede ser cambiado! &#161;NO puede introducir rutas
completas, solo el nombre del directorio!!
  &#161;Si desea que este sea el directorio de OTRA galer&iacute;a debe entrar como administrador
de esa galer&iacute;a y crear la nueva galer&iacute;a desde all&iacute;!",
/* Name of the Album (Dateiverzeichnis) */
"admin_new_nameostext" => " Directorio de la galer&iacute;a",
/* Set the Admin-Password */
"admin_new_adminpwdh" => "Establecer contrase&ntilde;a de administraci&oacute;n",
/* Set the Admin-Password explained....... */
"admin_new_adminpwdfull" => "Por favor introduzca una contrase&ntilde;a de administraci&oacute;n
para la nueva galer&iacute;a.
  &#161;Aseg&uacute;rese de <b>RECORDAR</b> esta contrase&ntilde;a!
  &#161;Sin ella NO podr&aacute; realizar cambios a la galer&iacute;a!!",
/* Status1a: Congratulation: Album sucesscfully created*/
"admin_new_status1a" => "&#161;Felicitaciones: Galer&iacute;a creada con &eacute;xito!<br>",
/* Status1b: Now log out of this album and log into the new album and do: */
"admin_new_status1b" => "Ahora salga de esta galer&iacute;a, entre a lan ueva y haga lo
siguiente:<br>",
/* Status1c: Set the Album info, upload pictures, edit the albumdescription and do whatever you
like! */
"admin_new_status1c" => "Configure la informaci&oacute;n de la galer&iacute;a, suba
im&aacute;genes, edite la descripci&oacute;n de la galer&iacute;a y &#161;cualquier otra cosa que
desee!<br>",
/* Status1d: Have Fun! */
"admin_new_status1d" => "&#161;Divi&eacute;rtase!",
/* Status1x: DEMO-Mode:The Admin-Password has been set to:  nonono! */
"admin_new_status1x" => "Modo-DEMO: &#161;La contrase&ntilde;a de administraci&oacute;n es: 
nonono!",
/* Status3: The configfile could not be created! The directory is written! */
"admin_new_status3" => "&#161;No se pudo crear el archivo de configuraci&oacute;n! &#161;El
directorioe est&aacute; creado!",
/* Status5: The hitcounter could not be created! The directory is written! */
"admin_new_status5" => "&#161;No se pudo crear el contador! &#161; The directory is written!",
/* Status6: The directory could not be created. Maybe the directory already exists OR check the
permissions for the directory or ask your ISP) */
"admin_new_status6" => " &#161;NO se pudo crear el directorio. (Tal vez el directorio ya existe O
revise los permisos del directorio O pregunte a su administrador)!",
/* Status7: This is no valid directoryname!! */
"admin_new_status7" => "&#161;Nombre de directorio no v&aacute;lido!!",

/* ************************************************************
 * ***       ===> Admin: Upload Images - Module <===        ***
 * ************************************************************
 */
/* You are uploading the images into album: */
"admin_upload_album" => "You are uploading the images into album:",
/* Explanation: You can only upload '*.jpg', '*.jpeg', '*.gif' and '*.png' images (Security!)! */
"admin_upload_expl1" => "S&oacute;lo puedes subir im&aacute;genes '*.jpg', '*.jpeg', '*.gif' y
'*.png' (&#161;Segurdad!)!",
/* The Filesize-limit is */
"admin_upload_expl2a" => "El tama&ntilde;o l&iacute;mite es  ",
/* for each file (bigger files are NOT accepted)! */
"admin_upload_expl2b" => " por archivo (&#161;NO se aceptan archivos mayores)",
/* File */
"admin_upload_file" => "Archivo ",
/* Upload Error! Image not uploaded */
"admin_upload_error" => " &#161;Error al subir! Imagen no subida",
/* Upload OK! */
"admin_upload_ok" => " &#161;Se subi&oacute; correctamente!",
/* Upload is no image and was NOT uploaded! */
"admin_upload_noimage" => "  &#161;No es una imagen y por lo tanto NO se subi&oacute;!",

/* ************************************************************
 * ***          ===> Admin: Edit Album Info <===            ***
 * ************************************************************
 */

/* Explanation: These settings are all language specific! */
"admin_info_expl1" => "&#161;Estas opciones son espec&iacute;ficas para cada idioma! ",
/* Explanation:Switch the language! */
"admin_info_expl2" => "Si desea realizar la edici&oacute;n para otro idioma &#161;<b>s&oacute;lo
cambie el idioma y h&aacute;galo</b>!! ",
/* DEMO: yappa-ng is running in DEMO-MODE! */
"admin_info_demo1" => "&#161;yappa-ng se est&aacute; ejecutando en modo DEMO! ",
/* DEMO: This is the reason you cannot enter HTML-tags in this menu! */
"admin_info_demo2" => "&#161;Por esta raz&oacute;n no puede introducir etiquetas HTML en este
men&uacute;! ",
/* Status1: The Infofile was successfully written */
"admin_info_status1" => "La informaci&oacute;n de archivo fue guardada exitosamente. ",
/* Status2: ERROR while writing the info-file. No file was written! */
"admin_info_status2" => "&#161;ERROR al guardar la informaci&oacute;n de archivo! &#161;No se
guard&oacute; ning&uacute;n archivo! ",
/* Title of the Album*/
"admin_info_titleh" => "T&iacute;tulo de la Galer&iacute;a",
/* Title of the Album explained............*/
"admin_info_titlefull" => "Por favor introduzca (o cambie) el t&iacute;tulo de la galer&iacute;a.
Este ser&aacute;a el t&iacute;tulo visible por todos. Cambiar&aacute;a si cambia de idioma.
  Here you can use spaces and umlauts, but NO special characters and NO HTML-tags!
  Puede cambiar este t&iacute;tulo cuando lo desee.
  Debiera mantener el t&iacute;tulo de <b>poca longitud</b>, &#161;ya que se mostrar&acute;a a la
izquierda en la barra de selecci&oacute;n de galer&iacute;as!
  Si el t&iacute;tulo es muy largo no habr&aacute;a mucho espacio para las miniaturas, ya que
&#161;la barra de selecci&oacute;n de galer&iacute;as ocupar&aacute;a la mayor parte de la
ventana!",
/* Title of the Album  */
"admin_info_titletext" => " T&iacute;tulo de la Galer&iacute;a",
/* Album Comments*/
"admin_info_commenth" => "Comentarios de la galer&iacute;a",
/* Album Comments explained............*/
"admin_info_commentfull" => "Por favor introduzca una descripci&oacute;n breve de los contenidos
de esta galer&iacute;a. Se mostrar&aacute;a arriba de las miniaturas.",
/* Comments */
"admin_info_commenttext" => " Comentarios",
/* You can insert some HTML-codes: */
"admin_info_allowed_html" => "You can insert some HTML-codes:",
/* &lt;br&gt; will make a new line */
"admin_info_allowed_html_br" => "&lt;br&gt; will make a new line",
/* &lt;b&gt;bold text&lt;/b&gt; will get <b>bold text</b> */
"admin_info_allowed_html_bold" => "&lt;b&gt;bold text&lt;/b&gt; will get <b>bold text</b>",
/* &lt;u&gt;bold text&lt;/u&gt; will get <u>underlined text</u> */
"admin_info_allowed_html_underline" => "&lt;u&gt;underlined text&lt;/u&gt; will get <u>underlined text</u>",

/* ************************************************************
 * ***       ===> Admin: Edit Image Captions <===           ***
 * ************************************************************
 */
/* Edit / Create Image Captions! */
"admin_capt_titleh" => "&#161;Editar / Crear subt&iacute;tulos para las im&aacute;genes!",
/* Edit / Create Image Captions explained.. */
"admin_capt_titlefull" => "Puede agregar un subt&iacute;tulo para cada imagen o cambiar/editar los
subt&iacute;tulos actuales.
  Estos subt&iacute;tulos se mostar&aacute;n completos arriba de la imagen en el modo de vista
normal.
  En el modo de miniaturas, se mostrar&aacute;n las primeras 30 letras del subt&iacute;tulo debajo
de la miniatura. ",
/* Status1: The Captionfile was successfully written */
"admin_capt_status1" => " El archivo de subt&iacute;tulos fue guardado con &eacute;xito. ",
/* Status2: ERROR while writing the info-file. No file was written! */
"admin_capt_status2" => "&#161;ERROR al guardar el archivo. No se guard&oacute;! ",

/* ************************************************************
 * ***          ===> Admin: Delete Images <===              ***
 * ************************************************************
 */
/* Delete selected images  */
"admin_delimage_titleh" => "&#161;Eliminar im&aacute;genes seleccionadas!",
/* Delete selected images explained.. */
"admin_delimage_titlefull" => "Puedes eliminar im&aacute;genes si marcas la casilla junto a la
imagen.
  Ten cuidado y checa tu decisi&oacute;n antes de hacer clic en el bot&oacute;n 'Enviar'. &#161;NO
habr&aacute; advertencia '&#191;est&aacute;s seguro...'!!",
/* Status1: successfully deleted */
"admin_delimage_status1" => " eliminada exitosamente.<br>",


/* ************************************************************
 * ***          ===> Admin: Delete Album <===               ***
 * ************************************************************
 */
/* Delete current album  */
"admin_deldir_titleh" => "&#161;Eliminar galer&iacute;a actual!",
/* Delete current album explained... */
"admin_deldir_titlefull" => "Puedes eliminar esta galer&iacute;a si marcas la casilla abjajo. Para
asegurarte de que REALMENTE deseas 
      eliminar toda la galer&iacute;a debes marcar una segunda casilla. &#161;Todo en esta
galer&iacute;a y la galer&iacute;a misma (el subdirectorio)
      ser&aacute;n eliminados! &#161;NO habr&aacute;a forma de recuperarlos!",
/* Delete the Album: X ? */
"admin_deldir_delete" => "&#191;Realmente deseas eliminar la siguiente Galer&iacute;a?",
/* Delete the Album? */
"admin_deldir_del" => "&#191;Deseas eliminar esta Galer&iacute;a?",
/* Delete the Album? */
"admin_deldir_realdel" => "&#191; <b>REALMENTE</b> deseas eliminar <b>esta</b> Galer&iacute;a?",
/* Status1: successfully deleted */
"admin_deldir_status1" => "Galer&iacute;a eliminada exitosamente.<br>",
/* Status1b: Please click on the button below to leave the admin-menue for this nonexisting album */
"admin_deldir_status1b" => "<br><br>&#161;Por favor haz clic en el enlace abajo para salir del
men&uacute; de administraci&oacute;n de esta galer&iacute;a inexistente<br>",
/* Status1c: or you will get ERRORS and unpredictable behavior! */
"admin_deldir_status1c" => "o podr&iacute;as tener ERRORES o comportamiento indeseable del
sistema!<br>",
/* linkout: Click here to Continue! */
"admin_deldir_linkout" => "&#161;Clic aqu&iacute;a para Continuar!",

/* Status2a: The Album could not be completely deleted.<br> */
"admin_deldir_status2a" => "La Galer&iacute;a no pude ser eliminada completamente.<br>",
/* Status2b: Parts of the Album may be already deleted! */
"admin_deldir_status2b" => "&#161;Partes de la Galer&iacute;a pueden ya haber sido eliminadas!<br>",
/* Status2c: Please control what went wrong before going on with yur standard-tasks! */
"admin_deldir_status2c" => "<b>&#161;Por favor revisa el problema antes de continuar con tus
tareas normales!<b>",


/* Status3: Album has subalbums - cannot delete! */
"admin_deldir_status3a" => "Esta Galer&iacute;a contiene una Sub-Galer&iacute;a.<br>",
"admin_deldir_status3b" => "&#161;Elimina primero la Sub-Galer&iacute;a antes de eliminar esta
Galer&iacute;a!<br>",
"admin_deldir_status3c" => "&#161;Si s&oacute;lo deseas eliminar las im&aacute;genes ve a
'Eliminar Im&aacute;genes'!<br>",

/* Status4: cannot-delete-album flag set - cannot delete! */
"admin_deldir_status4a" => "&#161;Esta Galer&iacute;a no puede ser eliminada!<br>",
"admin_deldir_status4b" => "&#161;Esta Galer&iacute;a est&aacute;a bloqueada por el administrador
del sistema!<br>",
"admin_deldir_status4c" => "Puedes crear galer&iacute;as aqu&iacute;a y eliminarlas de nuevo<br>
&#161;pero NO PUEDES eliminar esta galer&iacute;a!<br>",



/* ************************************************************
 * ***          ===> Admin: Rotate Images <===              ***
 * ************************************************************
 */
/* Rotate selected images  */
"admin_rotimage_titleh" => "&#161;Rotar im&aacute;genes seleccionadas!",
/* Rotate selected images explained.. */
"admin_rotimage_titlefull" => "Puede rotar las im&aacute;genes haciendo clic en la caja de
selecci&oacute;n al lado de la imagen.
         Tenga cuidado y revise su decisi&oacute;n antes de presionar el bot&oacute;n 'enviar'.
&#161;No se pedir&aacute; confirmaci&oacute;n!!",
/* 90 left */
"admin_rotimage_left" => "90 Izquierda",
/* 90 right */
"admin_rotimage_right" => "90 Derecha",
/* 180 UpsideDown */
"admin_rotimage_flip" => "180 Al rev&eacute;s",
/* Status1: successfully rotated */
"admin_rotimage_status1" => " rotada exitosamente.<br>",

/* ************************************************************
 * ***        ===> Admin: Initialize Album <===             ***
 * ************************************************************
 */
/* Initialize all images of one resize-size at once!  */
"admin_init_titleh" => "Initialize all images of one resize-size at once!",
/* Initialize all images of one resize-size at once explained...  */
"admin_init_titlefull" => "Select one resize-size you want to initialize (make all resized images
for the cache at once)
      and click on submit. <br><br><b>You have to be patient - it <u>WILL</u> take a while untill
all images are converted on the server!</b>",
/* IMPORTANT: don't make all 1600x1600 ...!  */
"admin_init_isortimp" => "It makes sense to convert the thumbnails, 50x50 and the default size
images. It makes absolutely
      <b>NO SENSE</b> to convert the larger resize sizes in advance. From my experience only very
view of the presented pictures
      get viewed in the larger resize-sizes. It does not make a difference if a very large image
is preconverted in the cache or
      converted 'on the fly' - the transmition will take the most time.",
/* Status0a: You initialized the resize-size of */
"admin_init_status0a" => "You initialized the resize-size of ",
/* Status0a: You initialized the resize-size of */
"admin_init_status0b" => " pixel.",
/* Status1: successfully initialized */
"admin_init_status1" => "successfully initialized!<br>",
/* Status2: You tried to initialize an incorrect resize value of */
"admin_init_status2" => "You tried to initialize an incorrect resize value of ",
/* Status3: could not create the needed cache-directory xyz */
"admin_init_status3" => "Could not create the needed cache-directory ",
/* Status9: This is a DEMO-gallery! This option is disabled in the DEMO-gallery-mode! */
"admin_init_status9" => "This is a DEMO-gallery! This option is disabled in the DEMO-gallery-mode!
<br>",

/* ************************************************************
 * ***          ===> Admin: Album Info <===                 ***
 * ************************************************************
 */
/* ALBUM settings (configured only for this album):  */
"admin_ainfo_head1" => "Configuraci&oacute;n de la GALER&Iacute;A (solo para esta galer&iacute;a):",

/* Thumbnails  */
"admin_ainfo_head1_1" => "Miniaturas",
/* Thumbnailpage Layout (row x column)  */
"admin_ainfo_thumb1_1" => "Esquema de la p&aacute;gina de miniaturas (rengl&oacute;n x columna):",
/* Display 'alt'-Text?  */
"admin_ainfo_alt1_1" => "&#191;Mostrar texto alternativo?",
/* Display Image Names below thumbnail?  */
"admin_ainfo_names1_1" => "&#191;Mostrar nombres de imagen debajo de la miniatura?",

/* Hits  */
"admin_ainfo_head1_2" => "Vistas",
/* Use Hitlog?  */
"admin_ainfo_hitlog1_2" => "&#191;Emplear registro de vistas?",
/* Display Image Hits below thumbnail?  */
"admin_ainfo_disphits1_2" => "&#191;Mostrar vistas de imagen debajo de la miniatura?",

/* Image sorting  */
"admin_ainfo_head1_3" => "Ordenamiento de imagen",
/* Sort order of Images:  */
"admin_ainfo_sort1_3" => "Ordenar im&aacute;genes:",
/* Ascending / Descending?  */
"admin_ainfo_sortad1_3" => "Ascendente / Descendente?",

/* Top X  */
"admin_ainfo_head1_4" => "Top X",
/* Use the Top X ? */
"admin_ainfo_use1_4" => "&#191;EMplear el Top X ?",
/* Mark the TopX on thumbnails? */
"admin_ainfo_mark1_4" => "&#191;Marcar im&aacute;genes del TopX en las miniaturas?",
/* Number used for TopX: */
"admin_ainfo_number1_4" => "N&uacute;mero usado para el TopX:",

/* Userpassword for this Album */
"admin_ainfo_head1_5" => "Contrase&ntilde;a de usuario para esta galer&iacute;a",
/* Has this album a Userpassword set? */
"admin_ainfo_pwdset1_5" => "&#191;Cuenta esta galer&iacute;a con contrase&ntilde;a de usuario?",
/* Is the userpassord case-sensitive? */
"admin_ainfo_case1_5" => "&#191;La contrase&ntilde;a de usuario es sensible a may&uacute;sculas?",



/* GENERAL settings (configured central for all albums):  */
"admin_ainfo_head2" => "Configuraci&oacute;n GENERAL (para todas las galer&iacute;as):",

/* Settings for Albums  */
"admin_ainfo_head2_1" => "Configuraci&oacute;n para las galer&iacute;as",
/* Albums sorted by:  */
"admin_ainfo_sort2_1" => "Galer&iacute;as ordenadas por:",
/* Album sorted ascending/descending?  */
"admin_ainfo_sortad2_1" => "&#191;Galer&iacute;a ordenada ascentemente/descendentemente?",
/* Enable Overview over all Galleries?  */
"admin_ainfo_overview2_1" => "&#191;Habilitar vista general de todas las galer&iacute;as?",

/* Imagedisplay  */
"admin_ainfo_head2_2" => "Desplegado de imagen",
/* Installed Resize Options:  */
"admin_ainfo_resize2_2" => "Opciones de cambio de tama&ntilde;o instaladas:",
/* Default Resize Size:  */
"admin_ainfo_default2_2" => "Cambio de tama&ntilde;o por defecto:",
/* Resize Size for Minis:  */
"admin_ainfo_mini2_2" => "Cambio de tama&ntilde;o para minis:",
/* Thumbnail size:  */
"admin_ainfo_thumb2_2" => "Tama&ntilde;o de miniatura:",
/* Thumbnail-border size:  */
"admin_ainfo_border2_2" => "tama&ntilde;o del borde de miniatura:",
/* Resize Quality for JPGs:  */
"admin_ainfo_quality2_2" => "Calidad de cambio de tama&ntilde;o para JPGs:",
/* Number of pages in Navbar:  */
"admin_ainfo_navbar2_2" => "N&uacute;mero de p&aacute;gias en la barra de navegaci&oacute;n:",

/* Language Support  */
"admin_ainfo_head2_3" => "Soporte de Idioma",
/* Language Support Enabled?  */
"admin_ainfo_lang2_3" => "&#191;Habilitar el soporte de idiomas?",
/* Installed Languages:  */
"admin_ainfo_installed2_3" => "Idiomas instalados:",
/* Default Language:  */
"admin_ainfo_default2_3" => "Idioma por defecto:",
/* Enable Autodetect Language?  */
"admin_ainfo_auto2_3" => "&#191;Activar detecci&oacute;n autom&aacute;tica de idioma?",

/* Theme Support  */
"admin_ainfo_head2_4" => "Soporte de estilos",
/* Theme Support Enabled?  */
"admin_ainfo_enabled2_4" => "&#191;Habilitar el soporte de estilos?",
/* Installed Themes:  */
"admin_ainfo_installed2_4" => "Estilos instalados:",
/* Default Theme:  */
"admin_ainfo_default2_4" => "Estilo por defecto:",

/* Admin-Module: Upload Images  */
"admin_ainfo_head2_5" => "M&oacute;dulo-Administraci&oacute;n: Subir im&aacute;genes",
/* Upload Limit per Image:  */
"admin_ainfo_limit2_5" => "L&iacute;mite por imagen:",
/* Number of Files uploaded at once:  */
"admin_ainfo_upload2_5" => "N&uacute;mero de archivos a subir de una sola vez:",

/* Configuration  */
"admin_ainfo_head2_6" => "Configuraci&oacute;n",
/* Shall special Gallery-Info be displayed?  */
"admin_ainfo_special2_6" => "&#191;Mostrar informaci&oacute;n especial de galer&iacute;a?",
/* Photo Root Directory:  */
"admin_ainfo_root2_6" => "Directorio ra&iacute;z:",
/* Use Resize Cache?  */
"admin_ainfo_cache2_6" => "Use Resize Cache?",
/* Cache Root Directory:  */
"admin_ainfo_cacheroot2_6" => "Cache Root Directory:",
/* Use Passwordencryption (SHA1)?  */
"admin_ainfo_md52_6" => "&#191;Emplear encripci&oacute;n de contrase&ntilde;as (MD5)?",
/* Use 'Alternate-Image-Display'?  */
"admin_ainfo_alternate2_6" => "Use 'Alternate-Image-Display'?",
/* Path to yappa-ng  */
"admin_ainfo_path2_6" => "Path to yappa-ng:",
/* Use gdTrueColor?  */
"admin_ainfo_gdcolor2_6" => "Use gdTrueColor?",
/* Used Image Module:  */
"admin_ainfo_imagemodule2_6" => "Used Image Module:",
/* Convert Util (with full path):  */
"admin_ainfo_convert2_6" => "Convert Util (with full path):",
/* Display warnings on Startup?  */
"admin_ainfo_warning2_6" => "&#191;Mostrar advertencias al iniciar?",
/* Official Title of this Gallery:  */
"admin_ainfo_title2_6" => "T&iacute;tulo oficial de esta galer&iacute;a:",
/* Is this a DEMO Gallery?  */
"admin_ainfo_demo2_6" => "&#191;Es esta una galer&iacute;a de demostraci&oacute;n?",


);
?>
