<?php

/*
 * ***********************************************************************************************
 * Filename:     language_selection.inc.php
 * Module:       Language-Module
 * Subcategory:  Main LANGUAGE Module
 * Description:  Checks default language, sets cookies, loads language modules
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/languages/language_selection.inc.php,v 1.17 2003/08/12 19:51:25 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main-ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */
 
/*
 *
 * HOWTO:
 * How to create a new language:
 *===============================
 *
 * Please read the details on "How to create a new language"
 * in the file "LANGUAGE_SUPPORT" in your yappa-ng/docs directoy !!
 */


//include_once("config.inc.php");
include_once(singleslash($config['path_lang_include'] . "languages_translated.inc.php"));
//include_once("languages/languages_translated.inc.php");


// debug autodetect
/* This function protocols debug-information for the language-autodetect
 * logged information:
 *   - IP of remote (this information is ONLY used to log each IP only once - the logfiel would be too big otherwise!)
 *   - if autodetect is enabled (config)
 *   - what language -information was presented from remote
 *   - if the autodetect worked (main log-item!!)
 *   - the language that was presented to the user
 *   - if NO language was found through autodetect and therefore the default-language was used
 *   - the part of the presented language-information that was used for autodetect-correlation
 * The name of the created logfile is: "autodetect_protocol.txt" in the yappa-ng program-directory
 * This Debug-function is switched on/off in the config_private.inc.php
 *
 */
function write_lang_protocol($arrProtocol, $IP_remote) {

	global $config;

	if ($config['debug_autodetect'] == "yes") {
		$l_log = "autodetect_protocol.txt";
		$l_found_one_item = 0;
		$arrLog = array();
		$h_array = array();
		if(file_exists($l_log) && is_readable($l_log) && ($fd = fopen($l_log, "r"))) {

			while(!feof($fd)) {
				$data = fgets($fd, 1024);
				$h_array = explode("|",$data);
				$l_IP = $h_array[0];
				$arrLog[$l_IP][auto] = $h_array[1];
				$arrLog[$l_IP][presented] = $h_array[2];
				$arrLog[$l_IP][found] = $h_array[3];
				$arrLog[$l_IP][used] = $h_array[4];
				$arrLog[$l_IP][ddefault] = $h_array[5];
				$arrLog[$l_IP][k0] = $h_array[6];
				if($IP_remote == $l_IP) {
					if ($h_array[4] == $arrProtocol[$IP_remote][used]) {
						$l_found_one_item = 1;
					}
				}
			}
			fclose($fd);
		}
		if ($l_found_one_item != 1) {
			$arrLog[$IP_remote] = $arrProtocol[$IP_remote];
			if($fd = fopen($l_log, "a")) {
				flock($fd, 2); // get an exclusive lock
				$data =  $IP_remote . "|" . $arrProtocol[$IP_remote][auto] . "|" . $arrProtocol[$IP_remote][presented] . "|" . $arrLog[$IP_remote][found] . "|";
				$data .= $arrLog[$IP_remote][used] . "|" . $arrLog[$IP_remote][ddefault] . "|" . $arrLog[$IP_remote][k0]. "\n";
				fwrite($fd, $data);
				flock($fd, 3); // release the lock
				fclose($fd);
			}
		}
	}
}




/* create the language-specific date */

function LangSpecDate()
{
	global $lang_akt;

	$lhelp = date("n");
	switch ($lhelp) {
		case "1":	$langMonth = $lang_akt["january"];
				break;
		case "2":	$langMonth = $lang_akt["february"];
				break;
		case "3":	$langMonth = $lang_akt["march"];
				break;
		case "4":	$langMonth = $lang_akt["april"];
				break;
		case "5":	$langMonth = $lang_akt["may"];
				break;
		case "6":	$langMonth = $lang_akt["june"];
				break;
		case "7":	$langMonth = $lang_akt["july"];
				break;
		case "8":	$langMonth = $lang_akt["august"];
				break;
		case "9":	$langMonth = $lang_akt["september"];
				break;
		case "10":	$langMonth = $lang_akt["october"];
				break;
		case "11":	$langMonth = $lang_akt["november"];
				break;
		case "12":	$langMonth = $lang_akt["december"];
				break;
		default:	$langMonth = "Error!";
	}

	/* Syntax date() (examples)
	 * j: day with 1-2 digits (1-31)
	 * d: day with 2 digits (01-31)
	 * S: suffix for english format [st/nd/rd/th]
	 * Y: year, 4 digits [2003]
	 * y: year, 2 digits [03]
	 *
	 * h: hour 12-hour-format [01-12]
	 * a: "am" or "pm"
	 * A: "AM" or "PM"
	 * H: hour 24-hour-format [00-23]
	 * m: month numeric, 2 digits [01-12]
	 * M: month numeric, 1-2 digits [1-12]
	 */
	switch ($lang_akt["dateform"]) {
		case "1":	/* standard date format: day. month year */
				$langDate = date("j") . ". " . $langMonth . " " . date("Y");
				break;
		case "2":	/* american date: month, day(st/nd/rd/th) year [day with 2 digits: 01-31] */
				$langDate = $langMonth . ", " . date("dS Y");
				break;
		case "3":	/* polski date format: day month year*/
				$langDate = date("j") . " " . $langMonth . " " . date("Y");
				break;
		case "4":	/* american date: month, day(st/nd/rd/th) year  [day with 1-2 digits: 1-31] */
				$langDate = $langMonth . ", " . date("jS Y");
				break;
		default:	/* standard date format */
				$langDate = date("j") . ". " . $langMonth. " " . date("Y");
				break;
		}
	return $langDate;
}

function ret_entities($html) {
	$trans = get_html_translation_table(HTML_ENTITIES);
	$trans = array_flip($trans);
	return strtr($html, $trans);
}



/* Search for all above defined languagefiles in the yappa-ng language-directory 
 * If a defined language is not found than ignore it.
 * After this loop all really physically found and readable languagenames are in
 * the $arrLangInstalled array.
 * We check if ANY language is installed.
 * We search for the default-language (config.inc.php) too.
 */
$arrLangInstalled = array();
$arrLangNames = array();
$default_lang_ok = false;
$numberInstalledLanguages = 0;
foreach ($arrLangDef as $key => $value) {
	$l_filename = singleslash($config['path_lang_search'] . $arrLangDef[$key]['filename']);
	//$l_filename ="./languages/" . $arrLangDef[$key]['filename'];
	if ((file_exists($l_filename)) && (is_readable($l_filename))) {
		$arrLangInstalled[$key] = $arrLangDef[$key];
		$numberInstalledLanguages++;
	      $arrLangNames[] = $key;
		if ($key == $config['lang_default']) {
			$default_lang_ok = true;
		}
	}
}


/* check if ANY language is installed
 * yappa-ng ERRORCODE 030
 * FATAL
 */
if ($numberInstalledLanguages == 0) {
	print "<br>yappa-ng_ERROR_030: NO language-file found!!!";
	print $refer_to;
	$log_msg = date("d.m.y-H:i") . "\t" . __LINE__ . "\t" . "language_selection.inc.php" . "\t" . "no language installed or found!" . "\n";
	@error_log($log_msg, 3, "yappa-ng.error.log");
	die;
}


/* check if a default language is configured and readable
 * yappa-ng ERRORCODE 031
 * FATAL
 */
if (!$default_lang_ok) {
	print "<br>yappa-ng_ERROR_031: Default language not configured correctly!";
	print $refer_to;
	$log_msg = date("d.m.y-H:i") . "\t" . __LINE__ . "\t" . "language_selection.inc.php" . "\t" . "default language not configured correctly!" . "\n";
	@error_log($log_msg, 3, "yappa-ng.error.log");
	die;
}

/* sort the languages alphabetically */
if ($numberInstalledLanguages > 1) {
	asort($arrLangNames);
}


/* if the language was changed, set a cookie and set the $lang_used */
/* else set the $lang_used from the cookie! */

/*if (isset($HTTP_POST_VARS["cookie_lang_set"]) {
	$l_cookie_lang_set = $HTTP_POST_VARS["cookie_lang_set"];
}
if (isset($HTTP_COOKIE_VARS["cookie_lang"]) {
	$l_cookie_lang = $HTTP_COOKIE_VARS["cookie_lang"];
}
*/
$cookie_lang_set = $HTTP_POST_VARS["cookie_lang_set"];
if (($HTTP_COOKIE_VARS["cookie_lang"] != $cookie_lang_set) && isset($cookie_lang_set)) {
	/* set cookie with the choosen language - cookie time is 3 months */
	setcookie("cookie_lang",$cookie_lang_set,time()+(60*60*24*90));
	$lang_used = $cookie_lang_set;
} else {
	$lang_used = $HTTP_COOKIE_VARS["cookie_lang"];
}



/* if the cookie is not set AND the "autodetect_language"-feature is ON than
 * look if the language (which the client-browser suggests) is installed
 * and present his own native language to the user */
$lang_used_auto = "---";    // debug autodetect
$l_lang_found = "not_auto";
if ((!$HTTP_COOKIE_VARS["cookie_lang"]) && ($config["autodetect_language"] == "yes")) {
	if(isset($HTTP_SERVER_VARS['HTTP_ACCEPT_LANGUAGE'])) {
		$ldetail = split(',', $HTTP_SERVER_VARS['HTTP_ACCEPT_LANGUAGE']);
		if(count($ldetail) > 0) {
			while(list($k,$v) = each($ldetail)) {
				$k = split(';', $v, 1);
				$k = split('-', $k[0]);
				foreach ($arrLangInstalled as $key => $value) {
					if($arrLangInstalled[$key][lang_code] == $k[0]) {
						$cookie_lang_set = $key;
						$lang_used_auto = $k[0];    // debug autodetect
						/* set cookie with the choosen language - cookie time is 3 months */
						setcookie("cookie_lang",$cookie_lang_set,time()+(60*60*24*90));
						$lang_used = $cookie_lang_set;
						$l_lang_found = "autodetected";
						break;
					}
				}
			}
		}
	}
}



/* if the cookie is not set AND no client-browserlanguage is found
 * (or the autodetect_language = OFF),
 * take the default language as defined in the config.inc.php */
/* and set a cookie with the default language! */
$lang_used_default = "not_def";  // debug autodetect
if ((!$HTTP_COOKIE_VARS["cookie_lang"]) && ($l_lang_found != "autodetected")) {
	$lang_used = $config["lang_default"];
	$lang_used_default = "default_language";    // debug autodetect
	/* set cookie with the choosen language - cookie time is 3 months */
	setcookie("cookie_lang",$config["lang_default"],time()+(60*60*24*90));
	}

// debug autodetect
$l_IP = $HTTP_SERVER_VARS['REMOTE_ADDR'];
$arrProtocol = array();
$arrProtocol[$l_IP]['auto'] = $config["autodetect_language"];
$arrProtocol[$l_IP]['presented'] = $HTTP_SERVER_VARS['HTTP_ACCEPT_LANGUAGE'];
$arrProtocol[$l_IP]['found'] = $l_lang_found;
$arrProtocol[$l_IP]['used'] = $lang_used;
$arrProtocol[$l_IP]['ddefault'] = $lang_used_default;
$arrProtocol[$l_IP]['k0'] = $lang_used_auto;
write_lang_protocol($arrProtocol, $l_IP);


/* Everything ok and set: activate the selected language */
$l_language_file = "lang_" . $arrLangInstalled[$lang_used]['short'] . ".inc.php";
include_once(singleslash($config['path_lang_include'] . $l_language_file));
$lang_akt = $language_new;
$lang_akt['charset'] = $arrLangInstalled[$lang_used]['charset'];


/* Now after selecting a language build the filenames of the 'language-related files'.
 * These are: album info file, image captions file, a album report and the gallery news file.
 * These files are not longer defined for each language separately in the language-file itself
 * but get constructed here.
 * We define the file for the selected (=used) language AND for the default language (if not the same).
 * If there is no language-related file found for the selected language, show the file of the default language (if availlable)
 * The album-info file gets constructed separately in the album.inc.php !
 */
$defaultlanguage = $config['lang_default'];
$lang_akt['captions'] = $config['capt_txt'] . $arrLangInstalled[$lang_used]['short'] . ".txt";
$lang_akt['report'] = $config['rep_txt'] . $arrLangInstalled[$lang_used]['short'] . ".inc.php";
$lang_akt['news'] = $config['news_txt'] . $arrLangInstalled[$lang_used]['short'] . ".html";
$lang_akt['info'] = $config['info_txt'] . $arrLangInstalled[$lang_used]['short'] . ".txt";

if (isset($HTTP_GET_VARS['admintask'])) {
	$admintask = $HTTP_GET_VARS['admintask'];
} else {
	$admintask = "";
}

if (($config['lang_intuitive'] != "no") && ($admintask != "Captions") && ($admintask != "Description")) {
	if ($config['lang_default'] != $lang_used) {
		$lang_akt['info_def'] = $config['info_txt'] . $arrLangInstalled[$defaultlanguage]['short'] . ".txt";
		$lang_akt['captions_def'] = $config['capt_txt'] . $arrLangInstalled[$defaultlanguage]['short'] . ".txt";
		$h_filename = singleslash($config['photo_root'] . "/" . rawurldecode($HTTP_GET_VARS['album']) . "/" . $lang_akt['report']);
		if(!file_exists($h_filename) || !is_file($h_filename) || !is_readable($h_filename)) {
			$lang_akt['report'] = $config['rep_txt'] . $arrLangInstalled[$defaultlanguage]['short'] . ".inc.php";
		}
		$h_filename = singleslash($lang_akt['news']);
		if(!file_exists($h_filename) || !is_file($h_filename) || !is_readable($h_filename)) {
			$lang_akt['news'] = $config['news_txt'] . $arrLangInstalled[$defaultlanguage]['short'] . ".html";
		}
	}
}

?>
