<?php

/*
 * ***********************************************************************************************
 * Filename:     language_translated.inc.php
 * Module:       Language-Module
 * Subcategory:  Language definitions
 * Description:  Defines all availlable languages - no need to edit if no new language gets translated!
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/languages/languages_translated.inc.php,v 1.4 2003/08/03 12:47:23 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main-ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */

/*
 *
 * HOWTO:
 * How to create a new language:
 *===============================
 *
 * Please read the details on "How to create a new language"
 * in the file "LANGUAGE_SUPPORT" in your yappa-ng/docs/ directoy !!
 */


/*
 * Here EVERY translated language is defined!
 *	If you do not want to use it, it does not matter - leave it here!
 *	yappa-ng checks for itself if the file is existing and readable or not.
 *	If yappa-ng does not find ANY correct languagefile you will get an errormessage!
 *
 * If you translate a new / other language please put it into here!!
 */


/* Explanation of the following parameters:
 *
 * $arrLangDef[English][]
 *	==> This is the name of the language (exactly as you want it displayed in the language-selection-dropdown-menu).
 *	    This is the exact name to define in the config.inc.php as "default_language" !!!
 *	    If the language is "English" the variable is $arrLangDef[English][], if its "Chinese" its $arrLangDef[Chinese][]
 *
 * $arrLangDef[][filename]
 *	==> the filename of the language-file.
 *
 * $arrLangDef[][short]
 *	==> the short form of this language. Should be a 3 digit code (if possible).
 *	    This will be used to create the language-related files like:
 *	    for example: short="eng" -->   info_eng.txt, captions_eng.txt, news_eng.html,....
 *
 * $arrLangDef[][lang_code]
 *	==> this should be the international languagecode.
 *	    based on this info yappa-ng will try to autodetect the language your user wants (browserinfo).
 *	    for new languages: take a look at the file LANGUAGE_CODES in the yappa-ng/docs directory.
 *
 * $arrLangDef[][charset]
 *	==> Here you fill in the correct characterset for this language.
 *	    To read more about charsets and get a list of charsets with the corresponding languages
 *	    please take a look into the file LANGUAGE_CHARSETS in your yappa-ng/docs directoy.
 */



$arrLangDef = array();

$arrLangDef['Deutsch']['filename'] = "lang_ger.inc.php";
$arrLangDef['Deutsch']['short'] = "ger";
$arrLangDef['Deutsch']['lang_code'] = "de";
$arrLangDef['Deutsch']['charset'] = "iso-8859-1";

$arrLangDef['English']['filename'] = "lang_eng.inc.php";
$arrLangDef['English']['short'] = "eng";
$arrLangDef['English']['lang_code'] = "en";
$arrLangDef['English']['charset'] = "iso-8859-1";

$arrLangDef['Espaol']['filename'] = "lang_esp.inc.php";
$arrLangDef['Espaol']['short'] = "esp";
$arrLangDef['Espaol']['lang_code'] = "es";
$arrLangDef['Espaol']['charset'] = "iso-8859-1";

$arrLangDef['Chinese']['filename'] = "lang_cht.inc.php";
$arrLangDef['Chinese']['short'] = "cht";
$arrLangDef['Chinese']['lang_code'] = "tw";
$arrLangDef['Chinese']['charset'] = "Big5";

$arrLangDef['Dansk']['filename'] = "lang_dan.inc.php";
$arrLangDef['Dansk']['short'] = "dan";
$arrLangDef['Dansk']['lang_code'] = "dk";
$arrLangDef['Dansk']['charset'] = "iso-8859-1";

$arrLangDef['Finnish']['filename'] = "lang_fin.inc.php";
$arrLangDef['Finnish']['short'] = "fin";
$arrLangDef['Finnish']['lang_code'] = "fi";
$arrLangDef['Finnish']['charset'] = "iso-8859-1";

$arrLangDef['Franais']['filename'] = "lang_fra.inc.php";
$arrLangDef['Franais']['short'] = "fra";
$arrLangDef['Franais']['lang_code'] = "fr";
$arrLangDef['Franais']['charset'] = "iso-8859-1";

$arrLangDef['Italiano']['filename'] = "lang_ita.inc.php";
$arrLangDef['Italiano']['short'] = "ita";
$arrLangDef['Italiano']['lang_code'] = "it";
$arrLangDef['Italiano']['charset'] = "iso-8859-1";

$arrLangDef['Nederlands']['filename'] = "lang_ned.inc.php";
$arrLangDef['Nederlands']['short'] = "ned";
$arrLangDef['Nederlands']['lang_code'] = "nl";
$arrLangDef['Nederlands']['charset'] = "iso-8859-1";

$arrLangDef['Norsk']['filename'] = "lang_nor.inc.php";
$arrLangDef['Norsk']['short'] = "nor";
$arrLangDef['Norsk']['lang_code'] = "no";
$arrLangDef['Norsk']['charset'] = "iso-8859-1";

$arrLangDef['Polski']['filename'] = "lang_pol.inc.php";
$arrLangDef['Polski']['short'] = "pol";
$arrLangDef['Polski']['lang_code'] = "pl";
$arrLangDef['Polski']['charset'] = "iso-8859-2";

$arrLangDef['Romana']['filename'] = "lang_rom.inc.php";
$arrLangDef['Romana']['short'] = "rom";
$arrLangDef['Romana']['lang_code'] = "ro";
$arrLangDef['Romana']['charset'] = "iso-8859-2";


?>
