<?php


/*
 * ***********************************************************************************************
 * Filename:     overview.inc.php
 * Module:       Overview Module
 * Subcategory:  Main Module
 * Description:  Provides the album overview
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/overview.inc.php,v 1.10 2003/08/14 20:22:06 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */


include_once("main.php");
include_once(singleslash($config['path_lang_include'] . "language_selection.inc.php"));
include_once("passwd.inc.php");
include_once("config.inc.php");
include_once("album.class.php");

function GetRealVolume($v = 0) {
   if ($v > pow(2,10)) {
	  if ($v > pow(2,20)) {
    	 $r = (integer)($v / pow(2,20));
    	 $r .= " MB";
      } else {
         $r = (integer)($v / pow(2,10));
    	 $r .= " KB";
   	  } // end if
   } else {
      $r = (string) $v . " Byte";
   } // end if
   return $r;
}

function run_dirtree($workDir) {

	global $config;
	global $lang_akt;
	global $huugo;
	global $hit_counter;
	global $hit_counter;
	global $HTTP_SERVER_VARS;

	static $margin_level = 0;
	global $blank;

	if (is_dir($workDir)) {
	$_strSelFolder = $workDir;
	chdir($_strSelFolder);
	$cdir = dir($_strSelFolder);
	while ($entry = $cdir->read()) {
		/*print "<br>Entry = " . $entry."<br>"; */
		if(($entry != "..") && ($entry != ".")) {
			if (is_dir($entry) && is_readable($entry) && file_exists($entry . "/config_album.inc.php")) { ?>
				<table border="0" cellspacing="0" cellpadding="0">
				<tr valign="middle">
				<?php
				strlen($_strSelFolder)==1 ? $sep= "" : $sep= "/";
				$NextDir = $workDir . $sep . $entry;
				$selected_album = substr($NextDir,strlen($config["photo_root"]),strlen($NextDir));
		    		$album_group = new AlbumGroup($config["photo_root"]);

				// get selected album and check if selected album exists
				if(!$selected_album || !$album_group->exists($selected_album)) {
					$selected_album = "";
				}
				$album = $album_group->get_album($selected_album);
				$album->read_dir();
				$album->sort_dir();
				$album->read_album_info();
				$album->read_images_info();
				$album->read_passwd_info();
				$album->read_report_info();
				$page["album_title"] = $album->_album_title;
				$page["album_comment"] = $album->_album_comment;
				$page["images_count"] = $album->count_images();
				$page["subalbums_count"] = $album->count_subalbums();
				$page["url"] = $HTTP_SERVER_VARS['PHP_SELF'] . "?album=" .urlencode($selected_album)."&amp;";
				?>
				<td>
				<?php
				echo str_repeat($blank, $margin_level);
				if ( Passwd_check($selected_album) == 1) { ?>
					<a href="<?php print $page["url"] ?>"><img src="images/security.gif" border="0" width="24" height="24"></a>
				<?php } elseif ($page["images_count"] == 0) { ?>
					<a href="<?php print $page["url"] ?>"><img src="images/forward.gif" border="0" width="24" height="24"></a>
				<?php } else { 

				// print "album_previw = " . $album->_preview . " album_path = " . $album["path"]; //debug
				?>
				<?php
				/* <img src="<?php print makeshowlink($album["preview"], $album["path"], 'thumbnail'); ?>" border="0"></a></td> */
				?>
				<a href="<?php print $page["url"] ?>"><img src="images/album.gif" border="0" width="24" height="24"></a>
				<?php } ?>
				<a href="<?php print $page["url"]; ?>">
				<?php print  $page['album_title'] ? $page['album_title'] : $selected_album; ?>
				</a><br>
				<?php
				$NextDir = $workDir . $sep . $entry;
				/* $NextDir = $_strSelFolder . $sep . $entry; */
				?>
				</td>
				</tr>
				</table>
				<?php
				$margin_level++;
				run_dirtree($NextDir);
				chdir($workDir);

			}
		}
	} /* end while */
	/* $cdir->rewind(); */
	$cdir->close;
	($margin_level > 0) ? $margin_level-- : $margin_level = 0;
	} else { /* end if isdir */
		print "Vorsicht!! kein Directory!!!!!<br>";
	}
}
?>

<!-- START Overview Over All Albums -->

<table cellspacing="0" cellpadding="5" border="0" width="100%">
<tr valign="top"><td width="100%">

<table align="center" cellspacing="0" cellpadding="10" width="70%" class="thumbnailCell">
<tr><td class="headerTop10Title" align="left" cellspacing="0" cellpadding="0">
<?php
$strSelFolder = stripslashes($folder);

if ($strSelFolder == '') {
    $strSelFolder = $config["photo_root"];
}

$blank = "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
$startDir = $strSelFolder;

$path_help = @dirname($HTTP_SERVER_VARS['PATH_TRANSLATED']);

run_dirtree($startDir);

/* workaround for BUG with footer not beeing shown after overview.
   BUG reportet from Peter G. Allgaier on Jan. 19th, 2003 */

chdir($config['source_root']);

?>
</td></tr></table>


</td></tr>
</table>


<!-- END Overview Over All Albums -->
