<?php

/*
 * ***********************************************************************************************
 * Filename:     passwd.inc.php
 * Module:       Password-Support-Module
 * Subcategory:  Main Passwordcheck (User & Admin).
 * Description:  Checks, if userpassword is needed, if password is correctly entered 
 *               and sets/delets the needed cookies
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/passwd.inc.php,v 1.9 2003/08/10 10:51:34 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */

/* USER - Password - Check */


/* look for the passwd-file */

/* $albumpath is in most cases $selected_album !
 * $albumpath is the path from photo_root 
 */

function Passwd_check($albumpath)
	{
	global $config;

	$passwd_filename = $config["photo_root"] . "/" .$albumpath . "/passwd_txt.inc.php";
	if(file_exists($passwd_filename) && is_file($passwd_filename) && is_readable($passwd_filename)) {
		// Password needed!
		$passwd_check = 1;
	} else {
		$passwd_check = 0;
	}
	return $passwd_check;
}

/* set a cookie with the password, so that you can browse through the images */
if (isset($HTTP_POST_VARS['passwd_in'])) {
	$passwd_in = $HTTP_POST_VARS['passwd_in'];
} else {
	$passwd_in = "";
}

if ($config_album["passwd_csensitive"] != "yes") {
	/* passwd-compare NOT case sensitive */
	if ( (strcasecmp($passwd_in, $passwd_txt) == 0) && ($passwd_txt != "")) {
		$passwd_needed = 0;
		setcookie("passwd_txt",$passwd_txt);
	}
} else {
	/* passwd-compare IS case sensitive */
	if (( $passwd_in == $passwd_txt ) && ($passwd_txt != "")) {
		$passwd_needed = 0;
		setcookie("passwd_txt",$passwd_txt);
	}
}

if (isset($HTTP_COOKIE_VARS["passwd_txt"])) {
	$l_cookie_pwd_txt = $HTTP_COOKIE_VARS["passwd_txt"];
} else {
	$l_cookie_pwd_txt = "";
}
/* if the cookie is set, you can browse the images! */
if ($l_cookie_pwd_txt == $passwd_txt) {
       $passwd_needed = 0;
	}


if (isset($config_album['adminpwd'])) {
	$passwd_admin_txt = $config_album['adminpwd'];
} else {
	$passwd_admin_txt = "";
}
if (isset($config_album['upload_user_pwd'])) {
	$passwd_upload_usr_txt = $config_album['upload_user_pwd'];
} else {
	$passwd_upload_usr_txt = "";
}

/* ADMIN - Password - Check */

/* passwd-compare for admin-access is ALWAYS case sensitive */
if (isset($HTTP_POST_VARS['passwd_admin_in'])) {
	$passwd_admin_in = $HTTP_POST_VARS['passwd_admin_in'];
} else {
	$passwd_admin_in = "";
}

/* if you logged out out of the adminscreens delete the cookie! */
if (isset($HTTP_GET_VARS['logout'])) {
	$logout = $HTTP_GET_VARS['logout'];
} else {
	$logout = "";
}
if ($logout == "yes") {
	$admin_ok = 0;
	$admin_upload_user_ok = 0;
	$passwd_admin_in = "";
	$passwd_admin_txt = "";
	$passwd_upload_usr_txt = "";
	setcookie("passwd_admin_txt","");
}
/* password encryption thanks to Gertjan Vinkesteijn
* who sent me the code ready for cut&paste! THANKS!!
*/
if ($config['use_MD5'] != "yes") {
	$pwd_help = $passwd_admin_in;
} else {
	$pwd_help = md5($passwd_admin_in);
}
if (( $pwd_help == $passwd_admin_txt ) && ($passwd_admin_txt != "") && ($logout != "yes")) {
	$admin_ok = 1;
	$admin_upload_user_ok = 0;
	setcookie("passwd_admin_txt",$passwd_admin_txt);
}
if (( $pwd_help == $passwd_upload_usr_txt ) && ($passwd_upload_usr_txt != "") && ($logout != "yes")) {
	$admin_ok = 1;
	$admin_upload_user_ok = 1;
	setcookie("passwd_admin_txt",$passwd_upload_usr_txt);
}


/* if the cookie is set, you can browse the images! */
if (isset($HTTP_COOKIE_VARS["passwd_admin_txt"])) {
	$l_cookie_pwd_adm_txt = $HTTP_COOKIE_VARS["passwd_admin_txt"];
} else {
	$l_cookie_pwd_adm_txt = "";
}
if (($l_cookie_pwd_adm_txt == $passwd_admin_txt) && ($passwd_admin_txt != "") && ($logout != "yes")) {
	$admin_ok = 1;
	$admin_upload_user_ok = 0;
	}

/* if the cookie is set, you can browse the images! */
if (($l_cookie_pwd_adm_txt == $passwd_upload_usr_txt) && ($passwd_upload_usr_txt != "") && ($logout != "yes")) {
	$admin_ok = 1;
	$admin_upload_user_ok = 1;
	}

?>
