<?php

/*
 * ***********************************************************************************************
 * Filename:     show.php
 * Module:       Show
 * Subcategory:  -
 * Description:  Controls the display, cache, resize
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/show.php,v 1.16 2003/08/18 19:54:19 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */



require("config.inc.php");
include_once("image.class.php");
include_once("common.php");

/*
 * Changed in release 2.1.0 (01. Aug. 2003):
 *    Old: Info transmitted as "Trailing PathInfo" PATH_INFO (which needs AcceptPathInfo On in apache setup and ??? in IIS setup)
 *    New: Info transmitted as regular QUERY_STRING. This should anhance the OS / Webserver compatibility.
 * Since I do not exactly know if really every OS / Webbrowser is happy with this setup, i will leave the old as option in it!
 * Corresponding sourcecodechange in common.php / function makeshowlink
 * Thank you Marc Andrew Pawlowsky for the complete working sourcecode-snipped in Bug Tracker on sourceforge.net.
 */
$resize = null;
$album_name = null;
$obj_name= null;


if ($config['use_pathinfo'] != "yes") {
	/* New method to call the show.php script */
	// first check if PHP= 4.0.6 (array_key_exists did not exist in 4.0.6) ;-)
	if ($config['php_4_0_6'] != "yes") {
		if (array_key_exists("size", $_REQUEST)){
			$resize = $_REQUEST["size"];
		} else {
			$log_msg = date("d.m.y-H:i") . "\t" . __LINE__ . "\t" . "show.php" . "\t" . "no resize-size specified (use_pathinfo=no)!" . "\n";
			@error_log($log_msg, 3, "yappa-ng.error.log");
		}

		if (array_key_exists("album_name", $_REQUEST)){
			$album_name = $_REQUEST["album_name"];
		} else {
			$log_msg = date("d.m.y-H:i") . "\t" . __LINE__ . "\t" . "show.php" . "\t" . "no album-name specified (use_pathinfo=no)!" . "\n";
			@error_log($log_msg, 3, "yappa-ng.error.log");
		}

		if (array_key_exists("obj_name", $_REQUEST)){
			$obj_name = $_REQUEST["obj_name"];
		} else {
			$log_msg = date("d.m.y-H:i") . "\t" . __LINE__ . "\t" . "show.php" . "\t" . "no image_name specified (use_pathinfo=no)!" . "\n";
			@error_log($log_msg, 3, "yappa-ng.error.log");
		}
	} else {
		// aha - user is using PHP 4.0.6
		$resize = $HTTP_GET_VARS['size'];
		$album_name = $HTTP_GET_VARS['album_name'];
		$obj_name = $HTTP_GET_VARS['obj_name'];
	}
} else {
	/* Old method to call the show.php script. Only for my own reassurance kept in the sourcecode :-) */
	$path_info = getenv("PATH_INFO") ? getenv("PATH_INFO") : $HTTP_SERVER_VARS["PATH_INFO"];
	if($path_info == "") {
		$log_msg = date("d.m.y-H:i") . "\t" . __LINE__ . "\t" . "show.php" . "\t" . "PATH_INFO not recognised!" . "\n";
		@error_log($log_msg, 3, "yappa-ng.error.log");
		die("error: neither \$PATH?INFO or \$HTTP_SERVER_VARS defined, please check your PHP config.");
	}

	//preg_match("/^\/([^\/]+)\/(.+)\/(.+)$/", $path_info, $matches);
	$matched = preg_match("/^\/([^\/]+)\/(.*)\/(.+)$/", $path_info, $matches);

	$dummy = null;
	if ($matched) {
		list($dummy, $resize, $album_name, $obj_name) = $matches;
	}
	if ($obj_name == "") {
		$log_msg = date("d.m.y-H:i") . "\t" . __LINE__ . "\t" . "show.php" . "\t" . "no image_name specified (use_pathinfo=yes)!" . "\n";
		@error_log($log_msg, 3, "yappa-ng.error.log");
	}
	if ($resize == "") {
		$log_msg = date("d.m.y-H:i") . "\t" . __LINE__ . "\t" . "show.php" . "\t" . "no resize-size specified (use_pathinfo=yes)!" . "\n";
		@error_log($log_msg, 3, "yappa-ng.error.log");
	}

}

$album_name = rawurldecode($album_name);
$obj_name = stripslashes(rawurldecode($obj_name));

if(!is_dir($album_root = $config['photo_root'] . '/' . $album_name)) {
	$log_msg = date("d.m.y-H:i") . "\t" . __LINE__ . "\t" . "show.php" . "\t" . "album root [" . $album_root . "] does not exist" . "\n";
	@error_log($log_msg, 3, "yappa-ng.error.log");
	die("album root doesn't exists [$album_root]");
}

$obj_path = singleslash($album_root . '/' . $obj_name);
$mime_type = get_image_mime($obj_path);

/* some security-checks to be sure only images get downloaded and only from a valid source! */
/* First: check if it is an image with a valid extension (extensions defined in the config_private.inc.php - $define["mime_type"] */
if(! get_image_mime($obj_name)) {
	$log_msg = date("d.m.y-H:i") . "\t" . __LINE__ . "\t" . "show.php" . "\t" . "not a valid image (" . $obj_name . ") (url manipulated????). IP adress of user: " . $_SERVER["REMOTE_ADDR"] . "\n";
	@error_log($log_msg, 3, "yappa-ng.warning.log");
	exit();
}

/* Second:  check for valid album-filepath (no ".." , no other "bad" chars) - would be manipulated!! */
if (eregi("\.{2}|[$*?^]",$obj_path)) {
	$log_msg = date("d.m.y-H:i") . "\t" . __LINE__ . "\t" . "show.php" . "\t" . "invalid or manipulated file/path (" . $obj_path . "). IP adress of user: " . $_SERVER["REMOTE_ADDR"] . "\n";
	@error_log($log_msg, 3, "yappa-ng.warning.log");
	exit();
}


header("Content-type: $mime_type");

if($resize == "thumbnail") {
	$l_resize = $config['thumb_width'] . "x" . $config['thumb_height'];
	if($config["resize_cache"] && ($image_cached = update_cache($album_name, $obj_name, $l_resize))) {
		/* resize cache enabled - build image in cache and present cached image */
		readfile($image_cached);
	} else {
		/* resize cache DISabled - ok: convert on the fly and transmit to browser! */
		$cimage = new ImageResize($obj_path);
		$cimage->set_params(
			array(
			"resize_width" => $config['thumb_width'],
			"resize_height" => $config['thumb_height'],
			"quality" => $config["resize_quality"]
			)
		);

		$cimage->convert();
	}
} elseif($resize == "original") {
	/* present the original file unchanged to the webbrowser */
	readfile($obj_path);
} elseif($resize == "download") {
	/* present the original unchanged for download to the browser.
	 * depending on the webbrowser used and the settings of the used webserver/browser
	 * you get the image directly for download (download browserwindow opened) or opened in a new window 
	 */
	header("Content-Length: ".filesize($obj_path));
	header("Content-Disposition: attachment; filename=$obj_name");
	header("Cache-Control: private");
	//echo "\\n";
	readfile($obj_path);
} else {
	/* Verify that the selected size is a valid format: "NxN" where "N" is a number */
	$matched = preg_match("/^\d+x\d+$/", $resize);
		if (! $matched) {
			/* Size not in valid format - ok take thumbnail size instead */
			$resize = $config['thumb_width'] . "x" . $config['thumb_height'];
		}
	list($resize_width, $resize_height) = split('x', $resize);

	/* check for cached image: 
	 *   - if cached take it from cache and present it
	 *   - if not and cache is enabled build the cached image and than present it from cache
	 *   - if cache disabled convert it on the fly and present it. 
	 */
	if($config["resize_cache"] && ($image_cached = update_cache($album_name, $obj_name, $resize))) {
		/* resize cache enabled - take it from cache */
		readfile($image_cached);
	} else {
		/* resize cache DISabled - ok: convert on the fly and transmit to browser! */
		$cimage = new ImageResize($obj_path);
		$cimage->set_params(
			array(
			"resize_width" => $resize_width,
			"resize_height" => $resize_height,
			"quality" => $config["resize_quality"]
			)
		);

		$cimage->convert();
	}

}

exit;

?>
