<?php


/*
 * ***********************************************************************************************
 * Filename:     themes_passport_header.inc.php
 * Module:       Themes-Support-Module
 * Subcategory:  header of yappa-ng - passport
 * Description:  The main top navigation bar with all settings
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Alex Doll (alex.doll@agdconsulting.ca)
 * Copyright:   2003 Alex Doll
 * Basis:       yappa-ng zirkon theme by Fritz Berger <wizard@zirkon.at>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */




/* TOP main selection bar START ************************************************************************** */
?>

<font class="textTitle"><?php print $config["title"]; ?></font>
<font class="textAlbumPath">
 :
<?php
foreach($page["album_path"] as $album_path_item) {
	?><a href="<?php print $album_path_item["link"] ?>"><?php print $album_path_item["name"] ?></a> /
<?php
}
?>
</font>
<table width="100%" cellspacing="0" cellpadding="5" border="0">
<tr class="menubarCell" valign="bottom"><td>

<?php
/* theme selection  */
/* if theme support is enabled give the pulldown-menue for theme selection */
if ( $config["theme_support"] != "no" ) { ?>
	<td class="outernavbarRightBg" align=right>
	<form class="transparent" method="post" action="<?php echo $HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']; ?>">
	<select name="cookie_theme_set" onchange="submit()">
	<?php foreach($config["themes_installed"] as $themes) {
		if ($themes == $theme_used) {
			$_lhelp = " selected ";
		} else {
			$_lhelp = " ";
		}?>
		<option <?php print $_lhelp . "value=" . $themes .">" . $themes ?></option>
	<?php } ?>
	</select>
	<input type=submit name=Change value="Theme">
	</form>
	</td>

	<?php
	/* END theme selection */
} ?>

<?php
/* language selection  */
/* if language support is enabled give the pulldown-menue for language selection */
if ( $config["lang_support"] != "no" ) { ?>
	<td class="outernavbarRightBg" align="right">
	<form class="transparent" method="post" action="<?php echo $HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']; ?>">
	<select name="cookie_lang_set">
	<?php foreach($arrLangNames as $lang) {
		if ($lang == $lang_used) {
			$_lhelp = " selected ";
		} else {
			$_lhelp = " ";
		}?>
		<option <?php print $_lhelp . "value= \"" . $lang ."\">" . $lang ?></option>
	<?php } ?>
	</select>
	<input type=submit name=Change value="Change">
	</form>
	</td>

	<?php
	/* END language selection */
} ?>

	<td class="outernavbarRightBg">&nbsp;</td>
	<!-- Report -->
	<?php if($page["thumbnails_tot"] > 0) {
		if($report_enable == 1 ) { ?>
			<td class="outernavbarRightBg" nowrap>&nbsp;&nbsp;<a href="<?php print $report["report_url"]; ?>" class="lowerNavbar" style="text-decoration:none" target="_blank"><?php print $report["report_txt"]; ?></a>&nbsp;&nbsp;</td>
		<?php }

	} ?>
	<!-- Top 10 -->
	<?php if(($page["thumbnails_tot"] > 0) || ($page["mode"] == "image")){
		if($config_album["use_top10"] != "no") { ?>
			<td class="outernavbarRightBg" nowrap>
			&nbsp;&nbsp;<a href="<?php
			print $HTTP_SERVER_VARS['PHP_SELF'] . "?album=" . $selected_album .
			"&amp;top10image=yes&amp;"; ?>" class="lowerNavbar"
			style="text-decoration:none"><?php
			print "Top " . $config_album["number_top10"] . " " .
			$lang_akt["t10_images"]; ?></a>&nbsp;&nbsp;</td>
		<?php }

	} ?>

<!-- Album-Info -->
	<?php if(($page["thumbnails_tot"] > 0) || ($page["mode"] == "image")){
		if($config_album["use_albumInfo"] != "no") {
				// ok - display info
	?>
		<td class="outernavbarRightBg" nowrap>
		&nbsp;&nbsp;<a href="<?php print $HTTP_SERVER_VARS['PHP_SELF'] . "?album=" .
		$selected_album . "&amp;album_info=yes&amp;"; ?>"
		class="lowerNavbar" style="text-decoration:none"><?php
		print "Album-Info"; ?></a>&nbsp;&nbsp;</td>
		<?php }}?>

	<!-- Overview -->
	<?php if($config["use_overall"] != "no") { ?>
		<td class="outernavbarRightBg" nowrap>
		&nbsp;&nbsp;<a href="<?php
		print $HTTP_SERVER_VARS['PHP_SELF'] ."?album=&amp;overview=yes&amp;" ?>"
		class="lowerNavbar" style="text-decoration:none"><?php
		print $lang_akt["ov_overview"]; ?></a>&nbsp;&nbsp;</td>
	<?php } ?>
	<!-- Admin Login -->
	<td class="outernavbarRightBg" nowrap>&nbsp;&nbsp;<a href="<?php print $HTTP_SERVER_VARS['PHP_SELF'] . "?album=" . $selected_album . "&amp;adminlogin=yes&amp;"; ?>" class="lowerNavbar" style="text-decoration:none"><?php print $lang_akt["adminlogin"]; ?></a>&nbsp;</td>
	<?php /*

</td>
</tr>
</table>
<?php

/* TOP main selection bar END ************************************************************************** */

?>
