<?php

/*
 * ***********************************************************************************************
 * Filename:     themes_zirkon_header.inc.php
 * Module:       Themes-Support-Module
 * Subcategory:  header of yappa-ng - theme riders
 * Description:  The main top navigation bar with all settings
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/themes/themes_riders_header.inc.php,v 1.14 2003/08/21 19:54:32 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */

// sets the sides of the riders depending if active or inactive
function riderside($riderStatus) {

	/* active == 0		last rider was not active
	 *           1		last rider WAS active
	 * first == 0		this rider is first
	 *          1		this rider is NOT first
	 * ISactive == 1	this rider is active
	 *             0	this rider is NOT active
	 */
	if($riderStatus['active'] == 0) {
		// last Rider was NOT active
		if ($riderStatus['first'] == 0) {
			// I am first
			$riderStatus['first'] = 1;
			if ($riderStatus['ISactive'] == 0) {
				// I am NOT active
				?>
				<td>
					<img src="themes/themes_riders_01.gif" width="14" height="30" border="0" alt=""></td>
			<?php } else {
				// I AM active
				// set the "active Bit" fo the next rider
				$riderStatus['active'] = 1;
				?>
				<td>
					<img src="themes/themes_riders_02.gif" width="14" height="30" border="0" alt=""></td>
			<?php }
		} else {
			// I am NOT first
			if ($riderStatus['ISactive'] == 0) {
				// I am NOT active
				?>
				<td>
					<img src="themes/themes_riders_11.gif" width="14" height="30" border="0" alt=""></td>
			<?php } else {
				// I AM active
				// set the "active Bit" fo the next rider
				$riderStatus['active'] = 1;
				?>
				<td>
					<img src="themes/themes_riders_12.gif" width="14" height="30" border="0" alt=""></td>
			<?php }
		}
	} else {
		// last rider WAS active
		// so this rider cannot be active too
		// reset active bit
		$riderStatus['active'] = 0;
		// this rider cannot be first (last rider was active!)
		?>
		<td>
			<img src="themes/themes_riders_21.gif" width="20" height="30" border="0" alt=""></td>
	<?php }
	if ($riderStatus['ISactive'] == 1) {
		// this rider is active?
		?>
		<td class="riderbarActive" nowrap>&nbsp;
			<a href="<?php print $riderStatus['url']; ?>" class="riderTxtActive" style="text-decoration:none"><?php print $riderStatus['text']; ?></a>&nbsp;</td>
	<?php } else {
		// this rider is inactive
		?>
		<td class="riderbarNotactive" nowrap>&nbsp;
			<a href="<?php print $riderStatus['url']; ?>" class="riderTxtNotactive" style="text-decoration:none"><?php print $riderStatus['text']; ?></a>&nbsp;</td>
	<?php }
	return $riderStatus;
}

/* Initializations */
if (!isset($page["thumbnails_tot"])) {
	$page["thumbnails_tot"] = 0;
}
?>





<!-- THEME riders STARTS HERE  -->
<!-- Start Logos-bar -->
<table cellspacing="0" cellpadding="0" width="100%" border="0">
   <tr class="bgcolor2">
	<?php if (@is_readable($theme["left_image_image"])) { ?>
		<td valign="top" class="bgcolor2"><a href="<?php print $theme["left_image_linkurl"]; ?>"><img src="<?php print $theme["left_image_image"]; ?>" width="<?php print $theme["left_image_width"]; ?>" height="<?php print $theme["left_image_hight"]; ?>" alt="<?php print $config['title']; ?>" border="0"></a></td>
	<?php } else { ?>
		<td valign="middle" class="bgcolor2" nowrap><font class="textTitle"><?php print "&nbsp;&nbsp;&nbsp;" . $config["title"] . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"; ?></font></td>
	<?php } ?>

	<td class="headerMain" width="100%" valign="middle" align="left">
		<IMG SRC="images/pixel.gif" WIDTH="5" HEIGHT="5" BORDER="0" alt=""><div align="right" class="riderTxtActive"><?php print $lang_akt["header_txt"]; ?></div>
			<!-- Todays Date -->
		<font class="dateTxt"><?php print LangSpecDate(); ?></font><BR>
		<IMG SRC="images/pixel.gif" WIDTH="200" HEIGHT="5" BORDER="0" alt="">
	</td>

	<td class="yappaLogo" valign="top" align="right"><IMG SRC="images/pixel.gif" WIDTH="171" HEIGHT="75" BORDER="0" alt=""></td>
   </tr>
</table>
<!-- End Logos-bar -->


<?php
// mark the first rider separately
// first = 0 means it IS the first
$riderStatus['first'] = 0;
// marker for activity
// active = 0 means last rider was not active
$riderStatus['active'] = 0;
?>

<!-- Start Riders -->

<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr class="riderbarTr">
		<td class="riderbarBlank" width="100%">
        		 &nbsp;</td>

		<!-- Report -->
		<?php
		if($page["thumbnails_tot"] > 0) {
			if($report_enable == 1 ) {
				$riderStatus['ISactive'] = 0;
				$riderStatus['text'] = $report["report_txt"];
				$riderStatus['url'] = $report["report_url"];
				$riderStatus = riderside($riderStatus);
			}
		} ?>
		<!-- Top 10 -->
		<?php if(($page["thumbnails_tot"] > 0) || ($page["mode"] == "image")){
			if($config_album["use_top10"] != "no") {
				// ok - display Top10
				if(rawurldecode($HTTP_GET_VARS["top10image"]) == "yes") {
					// Top10 is active
					$riderStatus['ISactive'] = 1;
				} else {
					$riderStatus['ISactive'] = 0;
				}
				$riderStatus['text'] = $lang_akt["t10_top"] . " " . $config_album["number_top10"] . " " . $lang_akt["t10_images"];
				$riderStatus['url'] = $HTTP_SERVER_VARS['PHP_SELF'] . "?album=" . $selected_album . "&amp;top10image=yes&amp;";
				$riderStatus = riderside($riderStatus);
			}
		} ?>
		<!-- Album-Info -->
		<?php if(($page["thumbnails_tot"] > 0) || ($page["mode"] == "image")){
			if($config_album["use_albumInfo"] != "no") {
				// ok - display Top10
				if(rawurldecode($HTTP_GET_VARS["album_info"]) == "yes") {
					// Top10 is active
					$riderStatus['ISactive'] = 1;
				} else {
					$riderStatus['ISactive'] = 0;
				}
				$riderStatus['text'] = "Album-Info";
				$riderStatus['url'] = $HTTP_SERVER_VARS['PHP_SELF'] . "?album=" . $selected_album . "&amp;album_info=yes&amp;";
				$riderStatus = riderside($riderStatus);
			}
		} ?>
		<!-- Home -->
		<?php
		if((count($page["album_path"]) == 1) && (rawurldecode($HTTP_GET_VARS["overview"]) != "yes") && (($HTTP_GET_VARS["adminlogin"]) != "yes")) {
			// Overview is active
			$riderStatus['ISactive'] = 1;
		} else {
			$riderStatus['ISactive'] = 0;
		}
		$riderStatus['text'] = $lang_akt["home"];
		$riderStatus['url'] = $HTTP_SERVER_VARS['PHP_SELF'] ."?";
		$riderStatus = riderside($riderStatus);
		?>
		<!-- Overview -->
		<?php
		if($config["use_overall"] != "no") {
			if(rawurldecode($HTTP_GET_VARS["overview"]) == "yes") {
				// Overview is active
				$riderStatus['ISactive'] = 1;
			} else {
				$riderStatus['ISactive'] = 0;
			}
			$riderStatus['text'] = $lang_akt["ov_overview"];
			$riderStatus['url'] = $HTTP_SERVER_VARS['PHP_SELF'] ."?album=&amp;overview=yes&amp;";
			$riderStatus = riderside($riderStatus);
		}
		?>
		<!-- Admin Login -->
		<?php
		if(rawurldecode($HTTP_GET_VARS["overview"]) != "yes") {
			if(rawurldecode($HTTP_GET_VARS["adminlogin"]) == "yes") {
				// Adminlogin is active
				$riderStatus['ISactive'] = 1;
			} else {
				$riderStatus['ISactive'] = 0;
			}
			$riderStatus['text'] = $lang_akt["adminlogin"];
			$riderStatus['url'] = $HTTP_SERVER_VARS['PHP_SELF'] . "?album=" . $selected_album . "&amp;adminlogin=yes&amp;";
			$riderStatus = riderside($riderStatus);
		}
		?>
		<!-- end -->
		<?php
		if ($riderStatus['active'] == 0) {
			// last rider was NOT active
			?>
			<td>
				<img src="themes/themes_riders_10.gif" width="14" height="30" border="0" alt=""></td>
		<?php } else {
			// last rider was active
			?>
			<td>
				<img src="themes/themes_riders_20.gif" width="14" height="30" border="0" alt=""></td>
		<?php } ?>
	</tr>
</table>
<!-- End Riders -->

<!-- Start Navigation -->
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<td align="left" bgcolor="#0044b6" height="20" nowrap>
			<?php
			foreach($page["album_path"] as $album_path_item) { ?>
				<font class="navigationTxt"> &nbsp;&nbsp;->&nbsp;&nbsp;</font>
				<a href="<?php print $album_path_item["link"] ?>" class="navigationTxt" style="text-decoration:none"><?php print $album_path_item["name"] ?></a>
			<?php } ?>
		</td>
	</tr>
</table>
<!-- End Navigation -->

<!-- Start Selection -->
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<!-- theme selection -->
		<?php
		/* if theme support is enabled give the pulldown-menue for theme selection */
		if ( $config["theme_support"] != "no" ) { ?>
			<td align="right" valign="middle" width="100%" class="selectionTxt">
				<small><b><?php print $lang_akt["header_theme"]; ?></b>&nbsp;</small>
			</td>
			<?php
			/* original version - not HTML 4.01 transitional validated! - but more beautiful */
			if (($config['oldLayOut'] == "yes" ) or ($lang_used == "Chinese")) { ?>
			<td align="right" valign="middle" nowrap class="selectionTxt">
				<form action="<?php echo $HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']; ?>" method="post">
				<small>
					<select name="cookie_theme_set" class="selectbox">
					<?php foreach($config["themes_installed"] as $themes) {
						if ($themes == $theme_used) {
							$_lhelp = " selected ";
						} else {
							$_lhelp = " ";
						}?>
						<option <?php print $_lhelp . "value=" . $themes .">" . $themes ?></option>
					<?php } ?>
					</select>
				</small>
			</td>
			<td nowrap width="35" class="selectionTxt">
				<input type="image" name="Change" value="Theme" src="images/go.gif" alt="Go"align="middle">
			</td>
			</form>
			<?php
			/* this is the HTML 4.01 Transitional validated version
			 * validate this version n: http://validator.w3.org/
			 */
			} else { ?>
			<td>
			<table class="selectionTable">
			<tr>
			<td nowrap class="selectionTable">
			<form action="<?php echo $HTTP_SERVER_VARS['PHP_SELF'] . "?" . htmlentities($HTTP_SERVER_VARS['QUERY_STRING']); ?>" method="post" class="selectionTable">
			<small>
				<select name="cookie_theme_set" class="selectbox" onchange="submit()">
				<?php foreach($config["themes_installed"] as $themes) {
					if ($themes == $theme_used) {
						$_lhelp = " selected ";
					} else {
						$_lhelp = " ";
					}?>
					<option <?php print $_lhelp . "value=" . $themes .">" . $themes ?></option>
				<?php } ?>
				</select>
				<input type="image" name="Change" value="Theme" src="images/go.gif" alt="Go" align="middle">
			</small>
			</form>
			</td>
			</tr>
			</table>
			</td>
			<?php } ?>
		<?php } else { ?>
			<td align="right" valign="middle" width="100%" nowrap class="selectionTxt">&nbsp;</td>
		<?php } ?>

		<!-- end theme selection -->

		<!-- language selection -->
		<?php
		/* if language support is enabled give the pulldown-menue for language selection */
		if ( $config["lang_support"] != "no" ) { ?>
			<td align="right" valign="middle" width="200px" class="selectionTxt">
				<small>&nbsp;&nbsp;<b><?php print $lang_akt["language"]; ?>:</b>&nbsp;</small>
			</td>

			<td align="right" valign="middle" nowrap class="selectionTxt">

			<?php
			/* original version - not HTML 4.01 transitional validated! - but more beautiful */
			if (($config['oldLayOut'] == "yes" ) or ($lang_used == "Chinese")) { ?>
			<form action="<?php echo $HTTP_SERVER_VARS['PHP_SELF'] . "?" . $HTTP_SERVER_VARS['QUERY_STRING']; ?>" method="post">
			<small>
				<select name="cookie_lang_set" class="selectbox">
				<?php foreach($arrLangNames as $lang) {
					if ($lang == $lang_used) {
						$_lhelp = " selected ";
					} else {
						$_lhelp = " ";
					}?>
					<option <?php print $_lhelp . "value=" . $lang .">" . $lang ?></option>
				<?php } ?>
				</select>
			</small>
			</td>

			<td nowrap width="35" class="selectionTxt">
				<input type="image" name="Change" value="Change" src="images/go.gif" alt="Go" align="middle"></td></form>
			<?php
			/* this is the HTML 4.01 Transitional validated version
			 * validate this version n: http://validator.w3.org/
			 */
			} else { ?>
			<td>
			<table class="selectionTable">
			<tr>
			<td nowrap class="selectionTable">
			<form action="<?php echo $HTTP_SERVER_VARS['PHP_SELF'] . "?" . htmlentities($HTTP_SERVER_VARS['QUERY_STRING']); ?>" method="post" class="selectionTable">
			<small>
				<select name="cookie_lang_set" class="selectbox" onchange="submit()">
				<?php foreach($arrLangNames as $lang) {
					if ($lang == $lang_used) {
						$_lhelp = " selected ";
					} else {
						$_lhelp = " ";
					}?>
					<option <?php print $_lhelp . "value= \"" . $lang ."\">" . $lang ?></option>
				<?php } ?>
				</select>
				<input type="image" name="Change" value="Change" src="images/go.gif" alt="Go" align="middle">
			</small>
			</form>
			</td>
			</tr>
			</table>
			</td>
			<?php } ?>
		<!-- end language selection -->
		<?php } else { ?>
			<td align="right" valign="middle" width="1px" nowrap class="selectionTxt">&nbsp;</td>
		<?php } ?>
	</tr>
</table>
<!-- End Selection -->



<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr><td colspan="6" bgcolor="#0044b6"><img src="themes/themes_riders_pixel.gif" alt="" width="5" height="5"></td></tr>
</table>

