<?php

/*
 * ***********************************************************************************************
 * Filename:     themes_support.inc.php
 * Module:       Themes-Support-Module
 * Subcategory:  Main Theme Module
 * Description:  Controls teh theme supportof yappa-ng
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/themes/themes_support.inc.php,v 1.8 2003/08/21 19:54:32 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_ger.html (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */


/* main theme-array 
 * first shot
 * will get automated!!
 */
 
//include_once("config.inc.php");



/* if the theme was changed, set a cookie and set the $theme_used */
/* else set the $theme_used from the cookie! */
$cookie_theme_set = $HTTP_POST_VARS['cookie_theme_set'];
if (($HTTP_COOKIE_VARS["cookie_theme"] != $cookie_theme_set) && isset($cookie_theme_set)) {
	/* set cookie with the choosen theme - cookie time is 3 months */
	setcookie("cookie_theme",$cookie_theme_set,time()+(60*60*24*90));
	$theme_used = $cookie_theme_set;
} else {
	$theme_used = $HTTP_COOKIE_VARS["cookie_theme"];
}

/* if the cookie is not set, take the default theme as defined in the config.inc.php */
/* and set a cookie with the default theme! */
if (!$HTTP_COOKIE_VARS["cookie_theme"]) {
	$theme_used = $config["theme_default"];
	/* set cookie with the choosen theme - cookie time is 3 months */
	setcookie("cookie_theme",$config["theme_default"],time()+(60*60*24*90));
}


/* Here you configure your themes!
 *
 * $theme["css"]		the css-file used in this theme
 * $theme["head"]		the header-file used in this theme
 * $theme["left_image_image"]	the image used as left upper image (should be your logo)
 * $theme["left_image_width"]	width of the left upper image (your logo)
 * $theme["left_image_height"]	heigth of the left upper image (your logo)
 * $theme["left_image_linkurl"]	url which will be activated when clicking onto the left upper image (your logo)
 * $theme["use_footer"]		yes or no: will you use your own created footer?
 * $theme["footer"]		the file you use as footer!
 * $theme["copyright-footer"]	PLEASE let this stand!!! THIS is the ONLY thing you should NOT change - it is the only copyright-mark I want to be
 */


switch ($theme_used) {
	case "original":
		$theme["css"] = "themes/themes_original.css";
		$theme["head"] = "themes/themes_original_header.inc.php";
		$theme["use_footer"] = "no";
		$theme["footer"] = "index_footer.inc.php";
		$theme["copyright-footer"] = "index_footer-copyright.inc.php";
		break;
	case "blue":
		$theme["css"] = "themes/themes_blue.css";
		$theme["head"] = "themes/themes_zirkon_header.inc.php";
		$theme["left_image_image"] = "";
		$theme["left_image_linkurl"] = "";
		$theme["right_image_image"] = "";
		$theme["use_footer"] = "no";
		$theme["footer"] = "index_footer.inc.php";
		$theme["copyright-footer"] = "index_footer-copyright.inc.php";
		break;
	case "zirkon":
		$theme["css"] = "themes/themes_zirkon.css";
		$theme["head"] = "themes/themes_zirkon_header.inc.php";
		//$theme["left_image_image"] = "themes/themes_zirkon_head-blue_eng.gif";
		//$theme["left_image_width"] = "500";
		//$theme["left_image_hight"] = "75";
		//$theme["left_image_linkurl"] = "http://www.zirkon.at";
		$theme["left_image_image"] = "";
		$theme["left_image_width"] = "";
		$theme["left_image_hight"] = "";
		$theme["left_image_linkurl"] = "";
		$theme["use_footer"] = "no";
		$theme["footer"] = "index_footer.inc.php";
		$theme["copyright-footer"] = "index_footer-copyright.inc.php";
		/* left_image_alt is the Gallery-Title!!!! */
		break;
	case "riders":
		$theme["css"] = "themes/themes_riders.css";
		$theme["head"] = "themes/themes_riders_header.inc.php";
		//$theme["left_image_image"] = "themes/themes_riders_left_blue_eng.jpg";
		//$theme["left_image_width"] = "500";
		//$theme["left_image_hight"] = "75";
		//$theme["left_image_linkurl"] = "http://www.zirkon.at";
		$theme["left_image_image"] = "";
		$theme["left_image_width"] = "";
		$theme["left_image_hight"] = "";
		$theme["left_image_linkurl"] = "";
		$theme["use_footer"] = "yes";
		$theme["footer"] = "themes/themes_riders_footer.inc.php";
		$theme["copyright-footer"] = "index_footer-copyright.inc.php";
		/* left_image_alt is the Gallery-Title!!!! */
		break;
	case "passport":
		$theme["css"] = "themes/themes_passport.css";
		$theme["head"] = "themes/themes_passport_header.inc.php";
		$theme["left_image_image"] = "";
		$theme["left_image_width"] = "";
		$theme["left_image_hight"] = "";
		$theme["left_image_linkurl"] = "http://www.zirkon.at";
		$theme["use_footer"] = "no";
		$theme["footer"] = "themes/themes_passport_footer.inc.php";
		$theme["copyright-footer"] = "themes/themes_passport_footer-copyright.inc.php";
		/* left_image_alt is the Gallery-Title!!!! */
		break;
	case "hot":
		$theme["css"] = "themes/themes_hot.css";
		$theme["head"] = "themes/themes_hot_header.inc.php";
		$theme["left_image_image"] = "themes/themes_riders_left_blue_eng.jpg";
		$theme["left_image_width"] = "500";
		$theme["left_image_hight"] = "75";
		$theme["left_image_linkurl"] = "http://www.zirkon.at";
		$theme["use_footer"] = "yes";
		$theme["footer"] = "themes/themes_hot_footer.inc.php";
		$theme["copyright-footer"] = "index_footer-copyright.inc.php";
		/* left_image_alt is the Gallery-Title!!!! */
		break;
	case "bash":
		$theme["css"] = "themes/themes_bash.css";
		$theme["head"] = "themes/themes_bash_header.inc.php";
		$theme["left_image_image"] = "";
		$theme["left_image_width"] = "";
		$theme["left_image_hight"] = "";
		$theme["left_image_linkurl"] = "http://www.zirkon.at";
		$theme["use_footer"] = "yes";
		$theme["footer"] = "themes/themes_bash_footer.inc.php";
		$theme["copyright-footer"] = "themes/themes_passport_footer-copyright.inc.php";
		/* left_image_alt is the Gallery-Title!!!! */
		break;
	default:
		$theme["css"] = "themes/themes_zirkon.css";
		$theme["head"] = "themes/themes_zirkon_header.inc.php";
		$theme["use_footer"] = "no";
		$theme["footer"] = "index_footer.inc.php";
		$theme["copyright-footer"] = "index_footer-copyright.inc.php";
		break;
	}


?>
