<?php

/*
 * ***********************************************************************************************
 * Filename:     top10_images.inc.php
 * Module:       Top10 Module
 * Subcategory:  Main Top10 Module
 * Description:  Displays the Top-X-Ranking of the albums
 * ***********************************************************************************************
 *
 *
 * Project:     yappa-ng : yet another php photo album - next generation
 * Author:      Fritz Berger <wizard@zirkon.at>
 * Copyright:   2003 Fritz Berger
 * $Header: /cvsroot/yappa-ng/yappa-ng/top10_images.inc.php,v 1.11 2003/08/14 20:22:06 zirkon13 Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You may contact the author of yappa-ng by e-mail at:
 *    wizard@zirkon.at
 *
 * The latest version of yappa-ng can be obtained from:
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_mainger.html  (german)
 *    http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html (english)
 *
 * ***********************************************************************************************
 * ***********************************************************************************************
 * ***                                                                                         ***
 * ***   yappa-ng is based on "YAPPA v1.7 devel - 22.April 2002"                               ***
 * ***                         released on http://sourceforge.net/projects/yappa/              ***
 * ***   YAPPA is Copyright Federico 'pix' Feroldi (pix@pixzone.com)                           ***
 * ***   YAPPA is released under the GNU GPL                                                   ***
 * ***                                                                                         ***
 * ***********************************************************************************************
 * ***********************************************************************************************
 */


?>
<?php
/* fetch the "Top x " for this album */
$log_file_destination = singleslash($config["photo_root"] . "/" . $selected_album . "/" . $config["log_filename"]);
$hitcounter = new HitCounter($log_file_destination);
/* clean the hits.log - meaning delete all images from hits.log which have been deleted manually */
$l_images_array = array();
$l_images_array = $album->get_images();
$hitcounter->clean_hitslog($l_images_array);
$top10array = $hitcounter->top10();
?>

<!-- START TopX display -->

<table cellspacing="0" cellpadding="5" border="0" width="100%">
<tr valign="top"><td width="100%">

<table align="center" cellspacing="0" cellpadding="10" width="70%" class="top10HeadBg">
<div class="top10HeadBg">
<tr><td class="headerTop10Title" align="center" cellspacing="0" cellpadding="0">


<?php print $lang_akt["t10_top"] . " " . $config_album["number_top10"] . " " . $lang_akt["t10_images"]; ?>
</td></tr>

<tr><td class="headerTop10Albumname" align="center" cellspacing="0" cellpadding="0">
" <?php print $page["album_title"] ? $page["album_title"] : $page["album_name"]; ?> "<br>
</td></tr>
</div>
</table>
<table align="center" cellspacing="0" cellpadding="10" width="70%" class="top10BackBg">
<tr><td class="headerTop10Back" align="center" cellspacing="0" cellpadding="0">
[ <a href="<?php print makeselflink(array("album" => $selected_album)); ?>" class="aheaderTop10Back"><?php print $lang_akt["t10_back"]; ?></a> ]
</td></tr>
</table>
<table align="center" cellspacing="0" cellpadding="10" width="70%" class="thumbnailCell">
<tr><td class="headerTop10Statistic" align="center">
<?php print $lang_akt["t10_line1_part1"] . $page["album_hits"] . $lang_akt["t10_line1_part2"]; ?><br>
<?php print $lang_akt["t10_line2_part1"] . $top10array["number"] . $lang_akt["t10_line2_part2"]; ?><br>
<?php print $lang_akt["t10_line3_part1"] . $top10array["number"] . $lang_akt["t10_line3_part2"] . $top10array["sum"] . $lang_akt["t10_line3_part3"]; ?><br>
<?php print $lang_akt["t10_line4_part1"] . intval($top10array["aver"]) . $lang_akt["t10_line4_part2"]; ?>
</td></tr>
</table>

<table align="center" cellspacing="5" cellpadding="10" width="70%" class="thumbnailCell">
<tr class="headerTop10Tabledescription">
<th><?php print $lang_akt["t10_himage"]; ?></th>
<th><?php if ($config_album["use_hitlog"] == "yes") {
	print $lang_akt["t10_hhits"];
} else {
	print $lang_akt["t10_hhitsb"];
} ?></th>
<th align="left"><?php print $lang_akt["t10_hcaption"]; ?></th>
</tr>
<?php
$i = 0;
/* here starts the thumbnail-presentation of the top-10 */
/* array_size -3, because the last 3 are: sum, aver, num */
$array_size = count($top10array)-3;
for(reset($top10array); $key = key($top10array); next($top10array))
{
	if ($i < $array_size) {
		$i++;
		$l_src = makeshowlink($key, $selected_album, 'thumbnail');
		/* calculate the image width/height */
		$l_path = singleslash($config['photo_root'] . "/" . $selected_album . "/" . $key);
		$l_size = calc_resized_width_height($l_path,'thumbnail');
		?>
		<tr><td align="center" class="thumbnailCell">
		<table  class ="thumbTop10Table" border="0" cellspacing="0" cellpadding="0" width="<?php echo $config["thumb_border_width"] ?>" height="<?php echo $config["thumb_border_height"] ?>"><tr>
		<td align="center" border="0">
		<a href="<?php print makeselflink(array('album' => $selected_album, 'image' => $key)); ?>">
		<img src="<?php print $l_src; ?>" <?php print $l_size[2]; ?> 
		alt="<?php
		if ($config['thumbnail_alt'] == 'imagename') {
			print $key; ?>" name="<?php print $key;
		} else {
			print $lang_akt['thumb_alt']; ?>" name="<?php $lang_akt['thumb_alt'];
		} ?>" border="0"></a>
		</td></tr></table><td class="hitsTop10Cell">


		<?php if ($config_album["use_hitlog"] == yes) {
			echo $top10array[$key];  
		} else {
			echo $i;
		} ?>
		</td><td class="captionsTop10Cell" width ="100%">

		<?php
		$helparray = $album->get_thumbnail($key);
		if(strlen($helparray["caption"]) == 0) {
			$helparray["caption"] = " --- ";
		}
		print $helparray["caption"]; ?>
		</td></tr>
<?php
	}
} ?>

<table align="center" cellspacing="0" cellpadding="10" width="70%" class="top10BackBg">
<tr><td class="headerTop10Back" align="center" cellspacing="0" cellpadding="0">
[ <a href="<?php print makeselflink(array("album" => $selected_album)); ?>" class="aheaderTop10Back"><?php print $lang_akt["t10_back"]; ?></a> ]
</td></tr>
</table>

</table>


</td></tr>
</table>


<!-- END TopX display -->

<?php
/* END */
?>
